2012-01-23  Rob Savoye <rob@welcomehome.org>

	* gui/Player.cpp: revert time interval/FPS change for now.

2012-01-23  Rob Savoye <rob@welcomehome.org>

	* packaging/snapshot.am: change version to 0.8.10

2012-01-23  Rob Savoye <rob@welcomehome.org>

	* configure.ac: change version to 0.8.10

2012-01-20  Rob Savoye <rob@welcomehome.org>

	* libmedia/gst/VideoInputGst.cpp: remove extraneous spaces in string

2012-01-20  Rob Savoye <rob@welcomehome.org>

	* cygnal/cygnal.cpp: tweak copyright message

2012-01-20  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/EventDevice.cpp: fix typo

2012-01-20  Rob Savoye <rob@welcomehome.org>

	* gui/gui.cpp, libcore/parser/SWFMovieDefinition.cpp: correct typos

2012-01-20  Rob Savoye <rob@welcomehome.org>

	* cygnal/libnet/rtmp_client.cpp, cygnal/libnet/sslserver.cpp,
	gui/gui.cpp, libcore/LoadVariablesThread.cpp,
	libcore/MovieFactory.cpp, libcore/TextField.cpp,
	libcore/asobj/NetConnection_as.cpp, libcore/movie_root.cpp,
	libcore/vm/ASHandlers.cpp, libdevice/egl/eglDevice.cpp,
	libdevice/events/EventDevice.cpp,
	libmedia/gst/VideoConverterGst.cpp,
	libsound/aos4/sound_handler_ahi.cpp: correct typos

2012-01-20  Rob Savoye <rob@welcomehome.org>

	* po/cs.po, po/da.po, po/de.po, po/el.po, po/en_GB.po, po/es.po,
	po/fi.po, po/fr.po, po/gnash.pot, po/it.po, po/ja.po, po/km.po,
	po/ne.po, po/ru.po, po/zh_TW.po: update en_GB translation,
	regenerate pot file.

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* packaging/snapshot.am: keep NEXT_RELEASE at 0.8.10 till after the
	release

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/Makefile.am: add man page alises file to the dist

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* packaging/rpm.am: update copyright date, remove commented out
	block.

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* packaging/redhat/gnash.spec: enable docbook, install info pages

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* packaging/debian/rules: enable docbook, don't gzip man pages

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* packaging/debian/gnash-dump.install: fix typo in filename

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/Makefile.am: install-man1 doesn't need to depend on
	EXTRAMANPAGES

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/Makefile.am: install-man1 doesn't need to depend on
	EXTRAMANPAGES

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/Makefile.am: remove unused preformatted tjay are now aliases
	the correct way

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/dump-gnash.1, doc/C/fb-gnash.1, doc/C/gnash-gtk-launcher.1,
	doc/C/gnash-qt-launcher.1, doc/C/gtk-gnash.1,
	doc/C/preformatted/gnash-gtk-launcher.1.in, doc/C/qt4-gnash.1,
	doc/C/sdl-gnash.1: cleanup the handling of man pages

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* .gitignore: don't ignore man pages

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/Makefile.am: install manpage aliases as files, not links

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/preformatted/gnash-qt-launcher.1.in: remove extraneous man
	page aliasesdoc/C/preformatted/gnash-gtk-launcher.1.in

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/Makefile.am, doc/C/gnash.man-xml, packaging/deb.am,
	packaging/snapshot.am: update for new packages

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* packaging/debian/gnash-dump.manpages: install the dump-gnash man
	page

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/preformatted/fb-gnash.1.in,
	doc/C/preformatted/gtk-gnash.1.in,
	doc/C/preformatted/qt4-gnash.1.in: drop duplicate copies

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* packaging/debian/changelog, packaging/debian/control,
	packaging/debian/gnash-cygnal.install,
	packaging/debian/gnash-dump.install,
	packaging/debian/gnash-framebuffer.install,
	packaging/debian/gnash-framebuffer.manpages,
	packaging/debian/gnash-klash.install: add fb-gnash and dump-gnash
	packages

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* packaging/debian/rules: drop unused rules for optional package
	buulds, everything is selectable at runtime now.

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* packaging/redhat/gnash.spec: add dump-gnash manpage

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/gnash.man-xml: add dump-gnash as an aliases to this manpage

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* packaging/redhat/gnash.spec: build fb-gnash and dump-gnash
	packages too.

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/Makefile.am: build a dump-gnash manpage too, since we now
	package it.

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* doc/C/preformatted/cygnal.1.in,
	doc/C/preformatted/findmicrophones.1.in,
	doc/C/preformatted/findwebcams.1.in,
	doc/C/preformatted/flvdumper.1.in, doc/C/preformatted/gnash.1.in,
	doc/C/preformatted/gprocessor.1.in,
	doc/C/preformatted/rtmpget.1.in, doc/C/preformatted/soldumper.1.in: 
	regenerated the preformatted versions

2012-01-18  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/TouchDevice.cpp: fix typo with gettext macro

2012-01-17  Rob Savoye <rob@welcomehome.org>

	* configure.ac: remove extraneous = from help strings option names

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* testsuite/DummyCharacter.h, testsuite/DummyMovieDefinition.h,
	testsuite/FuzzyPixel.cpp, testsuite/FuzzyPixel.h,
	testsuite/Makefile.am, testsuite/MovieTester.cpp,
	testsuite/MovieTester.h, testsuite/actionscript.all/Makefile.am,
	testsuite/as3compile.all/Makefile.am, testsuite/check.h,
	testsuite/dejagnu.h, testsuite/libbase.all/CurlStreamTest.cpp,
	testsuite/libbase.all/IntTypesTest.cpp,
	testsuite/libbase.all/Makefile.am,
	testsuite/libbase.all/NoSeekFileTest.cpp,
	testsuite/libbase.all/Point2dTest.cpp,
	testsuite/libbase.all/Range2dTest.cpp,
	testsuite/libbase.all/RcTest.cpp,
	testsuite/libbase.all/URLTest.cpp,
	testsuite/libbase.all/memtest.cpp,
	testsuite/libbase.all/snappingrangetest.cpp,
	testsuite/libbase.all/string_tableTest.cpp,
	testsuite/libcore.all/AsValueTest.cpp,
	testsuite/libcore.all/BitsReaderTest.cpp,
	testsuite/libcore.all/ClassSizes.cpp,
	testsuite/libcore.all/CodeStreamTest.cpp,
	testsuite/libcore.all/CxFormTest.cpp,
	testsuite/libcore.all/DisplayListTest.cpp,
	testsuite/libcore.all/EdgeTest.cpp,
	testsuite/libcore.all/Makefile.am,
	testsuite/libcore.all/MatrixTest.cpp,
	testsuite/libcore.all/PropFlagsTest.cpp,
	testsuite/libcore.all/PropertyListTest.cpp,
	testsuite/libcore.all/SafeStackTest.cpp,
	testsuite/libcore.all/StreamTest.cpp,
	testsuite/libmedia.all/Makefile.am,
	testsuite/libmedia.all/test_audioinput.cpp,
	testsuite/libmedia.all/test_videoinput.cpp,
	testsuite/media/Makefile.am, testsuite/misc-haxe.all/Makefile.am,
	testsuite/misc-ming.all/BeginBitmapFillRunner.cpp,
	testsuite/misc-ming.all/BitmapDataTestRunner.cpp,
	testsuite/misc-ming.all/ButtonEventsTest-Runner.cpp,
	testsuite/misc-ming.all/ButtonPropertiesTestRunner.cpp,
	testsuite/misc-ming.all/DefineEditTextTest-Runner.cpp,
	testsuite/misc-ming.all/DefineEditTextVariableNameTest-Runner.cpp,
	testsuite/misc-ming.all/DefineTextTest-Runner.cpp,
	testsuite/misc-ming.all/DragDropTestRunner.cpp,
	testsuite/misc-ming.all/DrawingApiTestRunner.cpp,
	testsuite/misc-ming.all/KeyEventOrderRunner.cpp,
	testsuite/misc-ming.all/Makefile.am,
	testsuite/misc-ming.all/NetStream-SquareTestRunner.cpp,
	testsuite/misc-ming.all/PrototypeEventListenersTestRunner.cpp,
	testsuite/misc-ming.all/ResolveEventsTest-Runner.cpp,
	testsuite/misc-ming.all/RollOverOutTest-Runner.cpp,
	testsuite/misc-ming.all/SpriteButtonEventsTest-Runner.cpp,
	testsuite/misc-ming.all/Video-EmbedSquareTestRunner.cpp,
	testsuite/misc-ming.all/attachMovieLoopingTestRunner.cpp,
	testsuite/misc-ming.all/attachMovieTestRunner.cpp,
	testsuite/misc-ming.all/intervalTestRunner.cpp,
	testsuite/misc-ming.all/key_event_testrunner.cpp,
	testsuite/misc-ming.all/masks_test2runner.cpp,
	testsuite/misc-ming.all/masks_testrunner.cpp,
	testsuite/misc-ming.all/ming_utils.h,
	testsuite/misc-ming.all/morph_test1runner.cpp,
	testsuite/misc-ming.all/replace_buttons1test_runner.cpp,
	testsuite/misc-ming.all/replace_shapes1test_runner.cpp,
	testsuite/misc-ming.all/replace_sprites1test_runner.cpp,
	testsuite/misc-ming.all/root_stop_testrunner.cpp,
	testsuite/misc-mtasc.all/Makefile.am,
	testsuite/misc-swfc.all/Makefile.am,
	testsuite/misc-swfc.all/button_test1runner.cpp,
	testsuite/misc-swfc.all/sound_stop_runner.cpp,
	testsuite/misc-swfmill.all/Makefile.am,
	testsuite/misc-swfmill.all/backgroundTestRunner.cpp,
	testsuite/misc-swfmill.all/missing_bitmapTestRunner.cpp,
	testsuite/movies.all/Makefile.am,
	testsuite/movies.all/gravity_embedded-TestRunner.cpp,
	testsuite/movies.all/tic_tac2-TestRunner.cpp,
	testsuite/network.all/Makefile.am,
	testsuite/network.all/test_ssh.cpp,
	testsuite/network.all/test_ssl.cpp, testsuite/samples/Makefile.am,
	testsuite/samples/clip_as_button2-TestRunner.cpp,
	testsuite/samples/gotoFrameOnKeyEvent-TestRunner.cpp,
	testsuite/samples/subshapes-TestRunner.cpp,
	testsuite/swfdec/Makefile.am: update copyright date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* libcore/AMFConverter.cpp, libcore/AMFConverter.h,
	libcore/Bitmap.cpp, libcore/Bitmap.h, libcore/BitmapMovie.cpp,
	libcore/BitmapMovie.h, libcore/Button.cpp, libcore/Button.h,
	libcore/CharacterProxy.cpp, libcore/CharacterProxy.h,
	libcore/ClassHierarchy.cpp, libcore/ClassHierarchy.h,
	libcore/ConstantPool.cpp, libcore/ConstantPool.h,
	libcore/DisplayList.cpp, libcore/DisplayList.h,
	libcore/DisplayObject.cpp, libcore/DisplayObject.h,
	libcore/DisplayObjectContainer.cpp,
	libcore/DisplayObjectContainer.h, libcore/DragState.h,
	libcore/DynamicShape.cpp, libcore/DynamicShape.h,
	libcore/ExternalInterface.cpp, libcore/ExternalInterface.h,
	libcore/FillStyle.cpp, libcore/FillStyle.h, libcore/Filters.h,
	libcore/Font.cpp, libcore/Font.h,
	libcore/FreetypeGlyphsProvider.cpp,
	libcore/FreetypeGlyphsProvider.h, libcore/Function.cpp,
	libcore/Function.h, libcore/Function2.cpp, libcore/Function2.h,
	libcore/Geometry.cpp, libcore/Geometry.h, libcore/GnashKey.h,
	libcore/HostInterface.cpp, libcore/HostInterface.h,
	libcore/InteractiveObject.cpp, libcore/InteractiveObject.h,
	libcore/LineStyle.cpp, libcore/LineStyle.h,
	libcore/LoadVariablesThread.cpp, libcore/LoadVariablesThread.h,
	libcore/Makefile.am, libcore/ManualClock.h, libcore/MorphShape.cpp,
	libcore/MorphShape.h, libcore/Movie.h, libcore/MovieClip.cpp,
	libcore/MovieClip.h, libcore/MovieFactory.cpp,
	libcore/MovieFactory.h, libcore/MovieLibrary.h,
	libcore/MovieLoader.cpp, libcore/MovieLoader.h,
	libcore/NativeFunction.h, libcore/ObjectURI.h, libcore/PropFlags.h,
	libcore/Property.cpp, libcore/Property.h, libcore/PropertyList.cpp,
	libcore/PropertyList.h, libcore/RGBA.cpp, libcore/RGBA.h,
	libcore/Relay.cpp, libcore/Relay.h, libcore/RunResources.h,
	libcore/SWFCxForm.cpp, libcore/SWFCxForm.h, libcore/SWFMatrix.cpp,
	libcore/SWFMatrix.h, libcore/SWFMovie.cpp, libcore/SWFMovie.h,
	libcore/SWFRect.cpp, libcore/SWFRect.h, libcore/SWFStream.cpp,
	libcore/SWFStream.h, libcore/Shape.cpp, libcore/Shape.h,
	libcore/StaticText.cpp, libcore/StaticText.h,
	libcore/SystemClock.cpp, libcore/SystemClock.h,
	libcore/TextField.cpp, libcore/TextField.h, libcore/Timers.cpp,
	libcore/Timers.h, libcore/Transform.h, libcore/UserFunction.h,
	libcore/Video.cpp, libcore/Video.h, libcore/VirtualClock.h,
	libcore/abc/AbcBlock.cpp, libcore/abc/AbcBlock.h,
	libcore/abc/BoundValues.h, libcore/abc/Class.cpp,
	libcore/abc/Class.h, libcore/abc/CodeStream.cpp,
	libcore/abc/CodeStream.h, libcore/abc/Method.cpp,
	libcore/abc/Method.h, libcore/abc/MultiName.h,
	libcore/abc/Namespace.cpp, libcore/abc/Namespace.h,
	libcore/abc/abc_function.cpp, libcore/abc/abc_function.h,
	libcore/abc/asException.h, libcore/abc/as_class.cpp,
	libcore/abc/as_class.h, libcore/as_environment.cpp,
	libcore/as_environment.h, libcore/as_function.cpp,
	libcore/as_function.h, libcore/as_object.cpp, libcore/as_object.h,
	libcore/as_value.cpp, libcore/as_value.h,
	libcore/asobj/ASConversions.cpp, libcore/asobj/ASConversions.h,
	libcore/asobj/Accessibility_as.cpp,
	libcore/asobj/Accessibility_as.h, libcore/asobj/Array_as.cpp,
	libcore/asobj/Array_as.h, libcore/asobj/AsBroadcaster.cpp,
	libcore/asobj/AsBroadcaster.h, libcore/asobj/Boolean_as.cpp,
	libcore/asobj/Boolean_as.h, libcore/asobj/Camera_as.cpp,
	libcore/asobj/Camera_as.h, libcore/asobj/Color_as.cpp,
	libcore/asobj/Color_as.h, libcore/asobj/ContextMenuItem_as.cpp,
	libcore/asobj/ContextMenuItem_as.h,
	libcore/asobj/ContextMenu_as.cpp, libcore/asobj/ContextMenu_as.h,
	libcore/asobj/Date_as.cpp, libcore/asobj/Date_as.h,
	libcore/asobj/Error_as.cpp, libcore/asobj/Error_as.h,
	libcore/asobj/Function_as.cpp, libcore/asobj/Function_as.h,
	libcore/asobj/Global_as.cpp, libcore/asobj/Global_as.h,
	libcore/asobj/Key_as.cpp, libcore/asobj/Key_as.h,
	libcore/asobj/LoadVars_as.cpp, libcore/asobj/LoadVars_as.h,
	libcore/asobj/LoadableObject.cpp, libcore/asobj/LoadableObject.h,
	libcore/asobj/LocalConnection_as.cpp,
	libcore/asobj/LocalConnection_as.h, libcore/asobj/Math_as.cpp,
	libcore/asobj/Math_as.h, libcore/asobj/Microphone_as.cpp,
	libcore/asobj/Microphone_as.h, libcore/asobj/Mouse_as.cpp,
	libcore/asobj/Mouse_as.h, libcore/asobj/MovieClipLoader.cpp,
	libcore/asobj/MovieClipLoader.h, libcore/asobj/MovieClip_as.cpp,
	libcore/asobj/MovieClip_as.h, libcore/asobj/NetConnection_as.cpp,
	libcore/asobj/NetConnection_as.h, libcore/asobj/NetStream_as.cpp,
	libcore/asobj/NetStream_as.h, libcore/asobj/Number_as.cpp,
	libcore/asobj/Number_as.h, libcore/asobj/Object.cpp,
	libcore/asobj/Object.h, libcore/asobj/PlayHead.cpp,
	libcore/asobj/PlayHead.h, libcore/asobj/Selection_as.cpp,
	libcore/asobj/Selection_as.h, libcore/asobj/SharedObject_as.cpp,
	libcore/asobj/SharedObject_as.h, libcore/asobj/Sound_as.cpp,
	libcore/asobj/Sound_as.h, libcore/asobj/Stage_as.cpp,
	libcore/asobj/Stage_as.h, libcore/asobj/String_as.cpp,
	libcore/asobj/String_as.h, libcore/asobj/System_as.cpp,
	libcore/asobj/System_as.h, libcore/asobj/TextField_as.cpp,
	libcore/asobj/TextField_as.h, libcore/asobj/TextFormat_as.cpp,
	libcore/asobj/TextFormat_as.h, libcore/asobj/TextSnapshot_as.cpp,
	libcore/asobj/TextSnapshot_as.h, libcore/asobj/Video_as.cpp,
	libcore/asobj/Video_as.h, libcore/asobj/XMLNode_as.cpp,
	libcore/asobj/XMLNode_as.h, libcore/asobj/XMLSocket_as.cpp,
	libcore/asobj/XMLSocket_as.h, libcore/asobj/XML_as.cpp,
	libcore/asobj/XML_as.h, libcore/asobj/flash.am,
	libcore/asobj/flash/display/BitmapData_as.cpp,
	libcore/asobj/flash/display/BitmapData_as.h,
	libcore/asobj/flash/display/display.am,
	libcore/asobj/flash/display/display_pkg.cpp,
	libcore/asobj/flash/display/display_pkg.h,
	libcore/asobj/flash/external/ExternalInterface_as.cpp,
	libcore/asobj/flash/external/ExternalInterface_as.h,
	libcore/asobj/flash/external/external.am,
	libcore/asobj/flash/external/external_pkg.cpp,
	libcore/asobj/flash/external/external_pkg.h,
	libcore/asobj/flash/filters/BevelFilter_as.cpp,
	libcore/asobj/flash/filters/BevelFilter_as.h,
	libcore/asobj/flash/filters/BitmapFilter_as.cpp,
	libcore/asobj/flash/filters/BitmapFilter_as.h,
	libcore/asobj/flash/filters/BlurFilter_as.cpp,
	libcore/asobj/flash/filters/BlurFilter_as.h,
	libcore/asobj/flash/filters/ColorMatrixFilter_as.cpp,
	libcore/asobj/flash/filters/ColorMatrixFilter_as.h,
	libcore/asobj/flash/filters/ConvolutionFilter_as.cpp,
	libcore/asobj/flash/filters/ConvolutionFilter_as.h,
	libcore/asobj/flash/filters/DisplacementMapFilter_as.cpp,
	libcore/asobj/flash/filters/DisplacementMapFilter_as.h,
	libcore/asobj/flash/filters/DropShadowFilter_as.cpp,
	libcore/asobj/flash/filters/DropShadowFilter_as.h,
	libcore/asobj/flash/filters/GlowFilter_as.cpp,
	libcore/asobj/flash/filters/GlowFilter_as.h,
	libcore/asobj/flash/filters/GradientBevelFilter_as.cpp,
	libcore/asobj/flash/filters/GradientBevelFilter_as.h,
	libcore/asobj/flash/filters/GradientGlowFilter_as.cpp,
	libcore/asobj/flash/filters/GradientGlowFilter_as.h,
	libcore/asobj/flash/filters/filters.am,
	libcore/asobj/flash/filters/filters_pkg.cpp,
	libcore/asobj/flash/filters/filters_pkg.h,
	libcore/asobj/flash/flash_pkg.cpp, libcore/asobj/flash/flash_pkg.h,
	libcore/asobj/flash/geom/ColorTransform_as.cpp,
	libcore/asobj/flash/geom/ColorTransform_as.h,
	libcore/asobj/flash/geom/Matrix_as.cpp,
	libcore/asobj/flash/geom/Matrix_as.h,
	libcore/asobj/flash/geom/Point_as.cpp,
	libcore/asobj/flash/geom/Point_as.h,
	libcore/asobj/flash/geom/Rectangle_as.cpp,
	libcore/asobj/flash/geom/Rectangle_as.h,
	libcore/asobj/flash/geom/Transform_as.cpp,
	libcore/asobj/flash/geom/Transform_as.h,
	libcore/asobj/flash/geom/geom.am,
	libcore/asobj/flash/geom/geom_pkg.cpp,
	libcore/asobj/flash/geom/geom_pkg.h,
	libcore/asobj/flash/net/FileReferenceList_as.cpp,
	libcore/asobj/flash/net/FileReferenceList_as.h,
	libcore/asobj/flash/net/FileReference_as.cpp,
	libcore/asobj/flash/net/FileReference_as.h,
	libcore/asobj/flash/net/net.am,
	libcore/asobj/flash/net/net_pkg.cpp,
	libcore/asobj/flash/net/net_pkg.h,
	libcore/asobj/flash/text/TextRenderer_as.cpp,
	libcore/asobj/flash/text/TextRenderer_as.h,
	libcore/asobj/flash/text/text.am,
	libcore/asobj/flash/text/text_pkg.cpp,
	libcore/asobj/flash/text/text_pkg.h, libcore/builtin_function.h,
	libcore/event_id.cpp, libcore/event_id.h, libcore/fontlib.h,
	libcore/movie_root.cpp, libcore/movie_root.h,
	libcore/namedStrings.cpp, libcore/namedStrings.h,
	libcore/parser/BitmapMovieDefinition.cpp,
	libcore/parser/BitmapMovieDefinition.h, libcore/parser/Makefile.am,
	libcore/parser/SWFMovieDefinition.cpp,
	libcore/parser/SWFMovieDefinition.h, libcore/parser/SWFParser.cpp,
	libcore/parser/SWFParser.h, libcore/parser/TypesParser.cpp,
	libcore/parser/TypesParser.h, libcore/parser/action_buffer.cpp,
	libcore/parser/action_buffer.h, libcore/parser/filter_factory.cpp,
	libcore/parser/filter_factory.h, libcore/parser/movie_definition.h,
	libcore/parser/sound_definition.h,
	libcore/parser/sprite_definition.cpp,
	libcore/parser/sprite_definition.h,
	libcore/swf/CSMTextSettingsTag.cpp,
	libcore/swf/CSMTextSettingsTag.h, libcore/swf/ControlTag.h,
	libcore/swf/DefaultTagLoaders.cpp, libcore/swf/DefaultTagLoaders.h,
	libcore/swf/DefineBitsTag.cpp, libcore/swf/DefineBitsTag.h,
	libcore/swf/DefineButtonCxformTag.cpp,
	libcore/swf/DefineButtonCxformTag.h,
	libcore/swf/DefineButtonSoundTag.cpp,
	libcore/swf/DefineButtonSoundTag.h,
	libcore/swf/DefineButtonTag.cpp, libcore/swf/DefineButtonTag.h,
	libcore/swf/DefineEditTextTag.cpp, libcore/swf/DefineEditTextTag.h,
	libcore/swf/DefineFontAlignZonesTag.cpp,
	libcore/swf/DefineFontAlignZonesTag.h,
	libcore/swf/DefineFontNameTag.h, libcore/swf/DefineFontTag.cpp,
	libcore/swf/DefineFontTag.h, libcore/swf/DefineMorphShapeTag.cpp,
	libcore/swf/DefineMorphShapeTag.h,
	libcore/swf/DefineScalingGridTag.cpp,
	libcore/swf/DefineScalingGridTag.h,
	libcore/swf/DefineSceneAndFrameLabelDataTag.h,
	libcore/swf/DefineShapeTag.cpp, libcore/swf/DefineTextTag.cpp,
	libcore/swf/DefineTextTag.h, libcore/swf/DefineVideoStreamTag.cpp,
	libcore/swf/DefineVideoStreamTag.h, libcore/swf/DefinitionTag.cpp,
	libcore/swf/DefinitionTag.h, libcore/swf/DisplayListTag.h,
	libcore/swf/DoABCTag.h, libcore/swf/DoActionTag.h,
	libcore/swf/DoInitActionTag.h, libcore/swf/ExportAssetsTag.h,
	libcore/swf/ImportAssetsTag.h, libcore/swf/PlaceObject2Tag.cpp,
	libcore/swf/PlaceObject2Tag.h, libcore/swf/RemoveObjectTag.cpp,
	libcore/swf/RemoveObjectTag.h, libcore/swf/SWF.cpp,
	libcore/swf/SWF.h, libcore/swf/ScriptLimitsTag.h,
	libcore/swf/SetBackgroundColorTag.h,
	libcore/swf/SetTabIndexTag.cpp, libcore/swf/SetTabIndexTag.h,
	libcore/swf/ShapeRecord.cpp, libcore/swf/ShapeRecord.h,
	libcore/swf/SoundInfoRecord.cpp, libcore/swf/SoundInfoRecord.h,
	libcore/swf/SoundStreamHeadTag.cpp,
	libcore/swf/SoundStreamHeadTag.h, libcore/swf/StartSoundTag.cpp,
	libcore/swf/StartSoundTag.h, libcore/swf/StreamSoundBlockTag.cpp,
	libcore/swf/StreamSoundBlockTag.h, libcore/swf/SymbolClassTag.h,
	libcore/swf/TagLoadersTable.cpp, libcore/swf/TagLoadersTable.h,
	libcore/swf/TextRecord.cpp, libcore/swf/TextRecord.h,
	libcore/swf/VideoFrameTag.cpp, libcore/swf/VideoFrameTag.h,
	libcore/swf/tag_loaders.cpp, libcore/swf/tag_loaders.h,
	libcore/swf_event.h, libcore/vm/ASHandlers.cpp,
	libcore/vm/ASHandlers.h, libcore/vm/ActionExec.cpp,
	libcore/vm/ActionExec.h, libcore/vm/CallStack.cpp,
	libcore/vm/CallStack.h, libcore/vm/ExecutableCode.h,
	libcore/vm/Machine.cpp, libcore/vm/Machine.h,
	libcore/vm/Makefile.am, libcore/vm/SafeStack.h, libcore/vm/VM.cpp,
	libcore/vm/VM.h, libcore/vm/fn_call.h: update copyright date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* utilities/Makefile.am, utilities/dumpshm.cpp,
	utilities/findmicrophones.cpp, utilities/findwebcams.cpp,
	utilities/flvdumper.cpp, utilities/processor.cpp,
	utilities/rtmpget.cpp, utilities/soldumper.cpp: update copyright
	date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* plugin/Makefile.am, plugin/aos4/Makefile.am,
	plugin/aos4/plugin.cpp, plugin/aos4/plugin.h,
	plugin/klash/Makefile.am, plugin/klash/klash_part.cpp,
	plugin/klash/klash_part.h, plugin/klash4/Makefile.am,
	plugin/klash4/klash_part.cpp, plugin/klash4/klash_part.h,
	plugin/npapi/GnashNPVariant.h, plugin/npapi/Makefile.am,
	plugin/npapi/callbacks.cpp, plugin/npapi/callbacks.h,
	plugin/npapi/external.cpp, plugin/npapi/external.h,
	plugin/npapi/gshell.cpp, plugin/npapi/mozilla-sdk/np_entry.cpp,
	plugin/npapi/mozilla-sdk/npn_gate.cpp,
	plugin/npapi/mozilla-sdk/npp_gate.cpp,
	plugin/npapi/mozilla-sdk/npplat.h,
	plugin/npapi/mozilla-sdk/pluginbase.h, plugin/npapi/plugin.cpp,
	plugin/npapi/plugin.h, plugin/npapi/pluginScriptObject.cpp,
	plugin/npapi/pluginScriptObject.h, plugin/npapi/test.cpp,
	plugin/win32/Makefile.am, plugin/win32/plugin.cpp,
	plugin/win32/plugin.h: update copyright date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* extensions/Makefile.am, extensions/dbus/Makefile.am,
	extensions/dbus/dbus_ext.cpp, extensions/dbus/dbus_ext.h,
	extensions/dejagnu/Makefile.am, extensions/dejagnu/dejagnu.cpp,
	extensions/dejagnu/dejagnu.h, extensions/fileio/Makefile.am,
	extensions/fileio/fileio.cpp, extensions/fileio/fileio.h,
	extensions/gtk2/Makefile.am, extensions/gtk2/gtkext.cpp,
	extensions/gtk2/gtkext.h, extensions/lirc/Makefile.am,
	extensions/lirc/lirc_ext.cpp, extensions/lirc/lirc_ext.h,
	extensions/mysql/Makefile.am, extensions/mysql/mysql_db.cpp,
	extensions/mysql/mysql_db.h, extensions/mysql/mysql_table.cpp: 
	update copyright date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* libsound/AuxStream.h, libsound/EmbedSound.cpp,
	libsound/EmbedSound.h, libsound/EmbedSoundInst.cpp,
	libsound/EmbedSoundInst.h, libsound/InputStream.h,
	libsound/LiveSound.cpp, libsound/LiveSound.h, libsound/Makefile.am,
	libsound/NullSoundHandler.h, libsound/SoundEnvelope.h,
	libsound/SoundUtils.h, libsound/StreamingSound.cpp,
	libsound/StreamingSound.h, libsound/StreamingSoundData.cpp,
	libsound/StreamingSoundData.h, libsound/WAVWriter.cpp,
	libsound/WAVWriter.h, libsound/aos4/sound_handler_ahi.cpp,
	libsound/aos4/sound_handler_ahi.h,
	libsound/mkit/sound_handler_mkit.cpp,
	libsound/mkit/sound_handler_mkit.h,
	libsound/sdl/sound_handler_sdl.cpp,
	libsound/sdl/sound_handler_sdl.h, libsound/sound_handler.cpp,
	libsound/sound_handler.h: update copyright date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* libmedia/AudioDecoder.h, libmedia/AudioDecoderSimple.cpp,
	libmedia/AudioDecoderSimple.h, libmedia/AudioDecoderSpeex.cpp,
	libmedia/AudioDecoderSpeex.h, libmedia/AudioInput.h,
	libmedia/AudioResampler.cpp, libmedia/AudioResampler.h,
	libmedia/FLVParser.cpp, libmedia/FLVParser.h, libmedia/Id3Info.h,
	libmedia/Makefile.am, libmedia/MediaHandler.cpp,
	libmedia/MediaHandler.h, libmedia/MediaParser.cpp,
	libmedia/MediaParser.h, libmedia/SoundInfo.h,
	libmedia/VideoConverter.h, libmedia/VideoDecoder.h,
	libmedia/VideoInput.h, libmedia/ffmpeg/AudioDecoderFfmpeg.cpp,
	libmedia/ffmpeg/AudioDecoderFfmpeg.h,
	libmedia/ffmpeg/AudioInputFfmpeg.cpp,
	libmedia/ffmpeg/AudioInputFfmpeg.h,
	libmedia/ffmpeg/AudioResamplerFfmpeg.cpp,
	libmedia/ffmpeg/AudioResamplerFfmpeg.h,
	libmedia/ffmpeg/MediaHandlerFfmpeg.cpp,
	libmedia/ffmpeg/MediaHandlerFfmpeg.h,
	libmedia/ffmpeg/MediaParserFfmpeg.cpp,
	libmedia/ffmpeg/MediaParserFfmpeg.h,
	libmedia/ffmpeg/VideoConverterFfmpeg.cpp,
	libmedia/ffmpeg/VideoConverterFfmpeg.h,
	libmedia/ffmpeg/VideoDecoderFfmpeg.cpp,
	libmedia/ffmpeg/VideoDecoderFfmpeg.h,
	libmedia/ffmpeg/VideoDecoderFfmpegVaapi.cpp,
	libmedia/ffmpeg/VideoDecoderFfmpegVaapi.h,
	libmedia/ffmpeg/VideoInputFfmpeg.cpp,
	libmedia/ffmpeg/VideoInputFfmpeg.h,
	libmedia/ffmpeg/ffmpegHeaders.h, libmedia/gst/AudioDecoderGst.cpp,
	libmedia/gst/AudioDecoderGst.h, libmedia/gst/AudioInputGst.cpp,
	libmedia/gst/AudioInputGst.h, libmedia/gst/GstUtil.cpp,
	libmedia/gst/GstUtil.h, libmedia/gst/MediaHandlerGst.cpp,
	libmedia/gst/MediaHandlerGst.h, libmedia/gst/MediaParserGst.cpp,
	libmedia/gst/MediaParserGst.h, libmedia/gst/VideoConverterGst.cpp,
	libmedia/gst/VideoConverterGst.h, libmedia/gst/VideoDecoderGst.cpp,
	libmedia/gst/VideoDecoderGst.h, libmedia/gst/VideoInputGst.cpp,
	libmedia/gst/VideoInputGst.h, libmedia/haiku/AudioDecoderHaiku.cpp,
	libmedia/haiku/AudioDecoderHaiku.h,
	libmedia/haiku/AudioInputHaiku.cpp,
	libmedia/haiku/AudioInputHaiku.h,
	libmedia/haiku/MediaHandlerHaiku.cpp,
	libmedia/haiku/MediaHandlerHaiku.h,
	libmedia/haiku/MediaParserHaiku.cpp,
	libmedia/haiku/MediaParserHaiku.h,
	libmedia/haiku/VideoConverterHaiku.cpp,
	libmedia/haiku/VideoConverterHaiku.h,
	libmedia/haiku/VideoDecoderHaiku.cpp,
	libmedia/haiku/VideoDecoderHaiku.h,
	libmedia/haiku/VideoInputHaiku.cpp,
	libmedia/haiku/VideoInputHaiku.h: update copyright date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* Makefile.am, configure.ac: update copyright date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* cygnal/Makefile.am, cygnal/alloc.cpp, cygnal/cgi-bin/Makefile.am,
	cygnal/cgi-bin/echo/Makefile.am, cygnal/cgi-bin/echo/echo.cpp,
	cygnal/cgi-bin/echo/echo.h, cygnal/cgi-bin/echo/gateway.cpp,
	cygnal/cgi-bin/echo/gateway.h, cygnal/cgi-bin/fitcDemo/Makefile.am,
	cygnal/cgi-bin/fitcDemo/fitcDemo.cpp,
	cygnal/cgi-bin/fitcDemo/fitcDemo.h,
	cygnal/cgi-bin/oflaDemo/Makefile.am,
	cygnal/cgi-bin/oflaDemo/oflaDemo.cpp,
	cygnal/cgi-bin/oflaDemo/oflaDemo.h, cygnal/crc.cpp, cygnal/crc.h,
	cygnal/cvm.cpp, cygnal/cygnal.cpp, cygnal/cygnal.h,
	cygnal/doc/C/Makefile.am, cygnal/handler.cpp, cygnal/handler.h,
	cygnal/http_server.cpp, cygnal/http_server.h,
	cygnal/libamf/Makefile.am, cygnal/libamf/amf.cpp,
	cygnal/libamf/amf.h, cygnal/libamf/amf_msg.cpp,
	cygnal/libamf/amf_msg.h, cygnal/libamf/amftest.cpp,
	cygnal/libamf/amfutf8.h, cygnal/libamf/buffer.cpp,
	cygnal/libamf/buffer.h, cygnal/libamf/element.cpp,
	cygnal/libamf/element.h, cygnal/libamf/flv.cpp,
	cygnal/libamf/flv.h, cygnal/libamf/lcshm.cpp,
	cygnal/libamf/lcshm.h, cygnal/libamf/protocol.h,
	cygnal/libamf/sol.cpp, cygnal/libamf/sol.h,
	cygnal/libnet/Makefile.am, cygnal/libnet/cache.cpp,
	cygnal/libnet/cache.h, cygnal/libnet/cque.cpp,
	cygnal/libnet/cque.h, cygnal/libnet/cqueue.cpp,
	cygnal/libnet/cqueue.h, cygnal/libnet/diskstream.cpp,
	cygnal/libnet/diskstream.h, cygnal/libnet/http.cpp,
	cygnal/libnet/http.h, cygnal/libnet/lirc.cpp, cygnal/libnet/lirc.h,
	cygnal/libnet/netstats.cpp, cygnal/libnet/netstats.h,
	cygnal/libnet/network.cpp, cygnal/libnet/network.h,
	cygnal/libnet/rtmp.cpp, cygnal/libnet/rtmp.h,
	cygnal/libnet/rtmp_client.cpp, cygnal/libnet/rtmp_client.h,
	cygnal/libnet/rtmp_msg.cpp, cygnal/libnet/rtmp_msg.h,
	cygnal/libnet/sshclient.cpp, cygnal/libnet/sshclient.h,
	cygnal/libnet/sshserver.cpp, cygnal/libnet/sshserver.h,
	cygnal/libnet/sslclient.cpp, cygnal/libnet/sslclient.h,
	cygnal/libnet/sslserver.cpp, cygnal/libnet/sslserver.h,
	cygnal/libnet/statistics.cpp, cygnal/libnet/statistics.h,
	cygnal/proc.cpp, cygnal/proc.h, cygnal/rtmp_server.cpp,
	cygnal/rtmp_server.h, cygnal/serverSO.cpp, cygnal/serverSO.h,
	cygnal/testsuite/Makefile.am,
	cygnal/testsuite/cygnal.all/Makefile.am,
	cygnal/testsuite/cygnal.all/test_crc.cpp,
	cygnal/testsuite/libamf.all/Makefile.am,
	cygnal/testsuite/libamf.all/test_amf.cpp,
	cygnal/testsuite/libamf.all/test_amfmsg.cpp,
	cygnal/testsuite/libamf.all/test_buffer.cpp,
	cygnal/testsuite/libamf.all/test_el.cpp,
	cygnal/testsuite/libamf.all/test_flv.cpp,
	cygnal/testsuite/libamf.all/test_lc.cpp,
	cygnal/testsuite/libamf.all/test_number.cpp,
	cygnal/testsuite/libamf.all/test_object.cpp,
	cygnal/testsuite/libamf.all/test_sol.cpp,
	cygnal/testsuite/libamf.all/test_string.cpp,
	cygnal/testsuite/libamf.all/test_variable.cpp,
	cygnal/testsuite/libnet.all/Makefile.am,
	cygnal/testsuite/libnet.all/generate_amfbins.cpp,
	cygnal/testsuite/libnet.all/test_cache.cpp,
	cygnal/testsuite/libnet.all/test_cque.cpp,
	cygnal/testsuite/libnet.all/test_crc.cpp,
	cygnal/testsuite/libnet.all/test_diskstream.cpp,
	cygnal/testsuite/libnet.all/test_handler.cpp,
	cygnal/testsuite/libnet.all/test_http.cpp,
	cygnal/testsuite/libnet.all/test_rtmp.cpp: update copyright date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* libdevice/DeviceGlue.cpp, libdevice/DeviceGlue.h,
	libdevice/GnashDevice.h, libdevice/Makefile.am,
	libdevice/directfb/DirectFBDevice.cpp,
	libdevice/directfb/DirectFBDevice.h,
	libdevice/directfb/Renderer_DirectFB.cpp,
	libdevice/directfb/Renderer_DirectFB.h,
	libdevice/directfb/test_dfb.cpp, libdevice/egl/configTemplates.h,
	libdevice/egl/eglDevice.cpp, libdevice/egl/eglDevice.h,
	libdevice/egl/test_egl.cpp, libdevice/events/EventDevice.cpp,
	libdevice/events/InputDevice.cpp, libdevice/events/InputDevice.h,
	libdevice/events/MouseDevice.cpp, libdevice/events/TouchDevice.cpp,
	libdevice/events/UinputDevice.cpp,
	libdevice/events/test_events.cpp, libdevice/rawfb/RawFBDevice.cpp,
	libdevice/rawfb/RawFBDevice.h, libdevice/rawfb/test_rawfb.cpp,
	libdevice/vaapi/VaapiContext.cpp, libdevice/vaapi/VaapiContext.h,
	libdevice/vaapi/VaapiDevice.cpp, libdevice/vaapi/VaapiDevice.h,
	libdevice/vaapi/VaapiDisplay.cpp, libdevice/vaapi/VaapiDisplay.h,
	libdevice/vaapi/VaapiDisplayGLX.h,
	libdevice/vaapi/VaapiDisplayX11.h,
	libdevice/vaapi/VaapiException.h,
	libdevice/vaapi/VaapiGlobalContext.cpp,
	libdevice/vaapi/VaapiGlobalContext.h,
	libdevice/vaapi/VaapiImage.cpp, libdevice/vaapi/VaapiImage.h,
	libdevice/vaapi/VaapiImageFormat.cpp,
	libdevice/vaapi/VaapiImageFormat.h,
	libdevice/vaapi/VaapiSubpicture.cpp,
	libdevice/vaapi/VaapiSubpicture.h,
	libdevice/vaapi/VaapiSurface.cpp, libdevice/vaapi/VaapiSurface.h,
	libdevice/vaapi/VaapiSurfaceGLX.cpp,
	libdevice/vaapi/VaapiSurfaceGLX.h,
	libdevice/vaapi/VaapiSurfaceProxy.cpp,
	libdevice/vaapi/VaapiSurfaceProxy.h,
	libdevice/vaapi/test_vaapi.cpp, libdevice/vaapi/vaapi_common.h,
	libdevice/vaapi/vaapi_utils.cpp, libdevice/vaapi/vaapi_utils.h,
	libdevice/x11/X11Device.cpp, libdevice/x11/X11Device.h,
	libdevice/x11/test_x11.cpp: update copyright date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* libbase/AMF.cpp, libbase/AMF.h, libbase/BitsReader.cpp,
	libbase/BitsReader.h, libbase/CachedBitmap.h,
	libbase/ClockTime.cpp, libbase/ClockTime.h, libbase/GC.cpp,
	libbase/GC.h, libbase/GnashAlgorithm.h, libbase/GnashEnums.h,
	libbase/GnashException.h, libbase/GnashFactory.h,
	libbase/GnashFileUtilities.cpp, libbase/GnashFileUtilities.h,
	libbase/GnashImage.cpp, libbase/GnashImage.h,
	libbase/GnashImageGif.cpp, libbase/GnashImageGif.h,
	libbase/GnashImageJpeg.cpp, libbase/GnashImageJpeg.h,
	libbase/GnashImagePng.cpp, libbase/GnashImagePng.h,
	libbase/GnashNumeric.h, libbase/GnashSleep.h,
	libbase/GnashSystemFDHeaders.h, libbase/GnashSystemIOHeaders.h,
	libbase/GnashSystemNetHeaders.h, libbase/GnashVaapiImage.cpp,
	libbase/GnashVaapiImage.h, libbase/GnashVaapiImageProxy.h,
	libbase/GnashVaapiTexture.cpp, libbase/GnashVaapiTexture.h,
	libbase/IOChannel.cpp, libbase/IOChannel.h,
	libbase/ImageIterators.h, libbase/Makefile.am,
	libbase/NamingPolicy.cpp, libbase/NamingPolicy.h,
	libbase/NetworkAdapter.h, libbase/Point2d.h, libbase/RTMP.cpp,
	libbase/RTMP.h, libbase/Range2d.h, libbase/SWFCtype.cpp,
	libbase/SWFCtype.h, libbase/SharedMem.cpp, libbase/SharedMem.h,
	libbase/SharedMemHaiku.cpp, libbase/SharedMemW32.cpp,
	libbase/SimpleBuffer.h, libbase/Socket.cpp, libbase/Socket.h,
	libbase/Stats.h, libbase/StreamProvider.cpp,
	libbase/StreamProvider.h, libbase/StringPredicates.h,
	libbase/URL.cpp, libbase/URL.h, libbase/URLAccessManager.cpp,
	libbase/URLAccessManager.h, libbase/WallClockTimer.cpp,
	libbase/WallClockTimer.h, libbase/accumulator.h,
	libbase/arg_parser.cpp, libbase/arg_parser.h,
	libbase/curl_adapter.cpp, libbase/dsodefs.h, libbase/extension.cpp,
	libbase/extension.h, libbase/getclocktime.hpp, libbase/gettext.h,
	libbase/gmemory.h, libbase/log.cpp, libbase/log.h,
	libbase/memory.cpp, libbase/noseek_fd_adapter.cpp,
	libbase/noseek_fd_adapter.h, libbase/rc.cpp, libbase/rc.h,
	libbase/ref_counted.h, libbase/sharedlib.cpp, libbase/sharedlib.h,
	libbase/snappingrange.h, libbase/string_table.cpp,
	libbase/string_table.h, libbase/tree.hh, libbase/utf8.cpp,
	libbase/utf8.h, libbase/utility.h: update copyright date

2012-01-16  Rob Savoye <rob@welcomehome.org>

	* librender/GnashTexture.cpp, librender/GnashTexture.h,
	librender/Makefile.am, librender/Renderer.h,
	librender/agg/LinearRGB.h, librender/agg/Renderer_agg.cpp,
	librender/agg/Renderer_agg.h, librender/agg/Renderer_agg_bitmap.h,
	librender/agg/Renderer_agg_style.h, librender/cairo/PathParser.cpp,
	librender/cairo/PathParser.h, librender/cairo/Renderer_cairo.cpp,
	librender/cairo/Renderer_cairo.h,
	librender/opengl/Renderer_ogl.cpp, librender/opengl/Renderer_ogl.h,
	librender/opengles1/Renderer_gles1.cpp,
	librender/opengles1/Renderer_gles1.h,
	librender/opengles1/render_handler_gles.h,
	librender/openvg/OpenVGBitmap.cpp, librender/openvg/OpenVGBitmap.h,
	librender/openvg/OpenVGRenderer.cpp,
	librender/openvg/OpenVGRenderer.h, librender/openvg/OpenVGStyle.h,
	librender/testr.cpp, librender/testr_gtk.cpp: update copyright date

2012-01-13  Rob Savoye <rob@welcomehome.org>

	* po/cs.po, po/da.po, po/de.po, po/el.po, po/en_GB.po, po/es.po,
	po/fi.po, po/fr.po, po/gnash.pot, po/it.po, po/ja.po, po/km.po,
	po/ne.po, po/ru.po, po/zh_TW.po: update translations

2012-01-13  Rob Savoye <rob@welcomehome.org>

	* po/Makefile.am: add new translations, even though they are
	incomplete.

2012-01-11  Rob Savoye <rob@welcomehome.org>

	* libcore/movie_root.cpp: advance all characters before notifying
	them of loads.

2012-01-02  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2012-01-02  Rob Savoye <rob@welcomehome.org>

	* cygnal/libnet/sshclient.cpp: fix minor typos

2012-01-02  Rob Savoye <rob@welcomehome.org>

	* cygnal/cygnal.cpp, cygnal/libnet/sshclient.cpp: fix minor typos

2012-01-01  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2012-01-01  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk_glue_ovg.cpp, libcore/LineStyle.cpp,
	libcore/TextField.cpp, libcore/asobj/TextFormat_as.cpp,
	libdevice/egl/eglDevice.cpp: fix typos

2012-01-01  Rob Savoye <rob@welcomehome.org>

	* cygnal/cvm.cpp, cygnal/cygnal.cpp, cygnal/handler.cpp,
	cygnal/http_server.cpp, cygnal/libnet/network.cpp, cygnal/proc.cpp,
	cygnal/rtmp_server.cpp, cygnal/serverSO.cpp,
	libcore/parser/SWFMovieDefinition.cpp,
	libcore/parser/SWFParser.cpp, libcore/parser/TypesParser.cpp,
	libcore/parser/action_buffer.cpp,
	libcore/parser/filter_factory.cpp, libcore/vm/ASHandlers.cpp,
	libcore/vm/ActionExec.cpp, libcore/vm/VM.cpp: print messages cleaned
	up for translations

2012-01-01  Rob Savoye <rob@welcomehome.org>

	* libbase/URLAccessManager.cpp, libbase/curl_adapter.cpp,
	libcore/asobj/LoadableObject.cpp,
	libcore/asobj/NetConnection_as.cpp, libcore/asobj/Sound_as.cpp,
	libcore/movie_root.cpp, libcore/vm/ASHandlers.cpp: Capitalize URL

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* libcore/FreetypeGlyphsProvider.cpp, libcore/MovieLoader.cpp,
	libcore/asobj/Camera_as.cpp, libcore/asobj/Global_as.cpp,
	libcore/asobj/LoadableObject.cpp,
	libcore/asobj/LocalConnection_as.cpp,
	libcore/asobj/MovieClipLoader.cpp, libcore/asobj/MovieClip_as.cpp,
	libcore/asobj/NetConnection_as.cpp, libcore/asobj/NetStream_as.cpp,
	libcore/asobj/PlayHead.cpp, libcore/asobj/SharedObject_as.cpp,
	libcore/asobj/Sound_as.cpp, libcore/asobj/String_as.cpp,
	libcore/asobj/TextField_as.cpp, libcore/asobj/TextFormat_as.cpp,
	libcore/asobj/XMLNode_as.cpp, libcore/asobj/XMLSocket_as.cpp,
	libcore/asobj/XML_as.cpp,
	libcore/asobj/flash/display/BitmapData_as.cpp,
	libcore/asobj/flash/display/display_pkg.cpp,
	libcore/asobj/flash/external/ExternalInterface_as.cpp,
	libcore/asobj/flash/external/external_pkg.cpp,
	libcore/asobj/flash/filters/BitmapFilter_as.cpp,
	libcore/asobj/flash/filters/filters_pkg.cpp,
	libcore/asobj/flash/geom/ColorTransform_as.cpp,
	libcore/asobj/flash/geom/Matrix_as.cpp,
	libcore/asobj/flash/geom/Point_as.cpp,
	libcore/asobj/flash/geom/Rectangle_as.cpp,
	libcore/asobj/flash/geom/Transform_as.cpp,
	libcore/asobj/flash/geom/geom_pkg.cpp,
	libcore/asobj/flash/net/net_pkg.cpp,
	libcore/asobj/flash/text/text_pkg.cpp, libcore/vm/ASHandlers.cpp: 
	print messages cleaned up for translations

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* gui/Player.cpp, gui/pythonmod/gnash-view.cpp: change w/out to
	without

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* libmedia/FLVParser.cpp, libmedia/MediaParser.cpp,
	libmedia/ffmpeg/AudioDecoderFfmpeg.cpp,
	libmedia/ffmpeg/MediaParserFfmpeg.cpp,
	libmedia/ffmpeg/VideoDecoderFfmpeg.cpp,
	libmedia/gst/AudioInputGst.cpp, libmedia/gst/VideoInputGst.cpp,
	libsound/aos4/sound_handler_ahi.cpp, libsound/sound_handler.cpp: add
	gettext macro to all log_error() messages.

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* libcore/AMFConverter.cpp, libcore/Button.cpp,
	libcore/CharacterProxy.cpp, libcore/ClassHierarchy.cpp,
	libcore/DisplayObject.cpp, libcore/ExternalInterface.cpp,
	libcore/FreetypeGlyphsProvider.cpp,
	libcore/LoadVariablesThread.cpp, libcore/MovieClip.cpp,
	libcore/MovieFactory.cpp, libcore/MovieLoader.cpp,
	libcore/PropertyList.cpp, libcore/SWFStream.cpp,
	libcore/TextField.cpp, libcore/Video.cpp,
	libcore/as_environment.cpp, libcore/as_function.cpp,
	libcore/as_object.cpp, libcore/as_value.cpp, libcore/movie_root.cpp: 
	print messages cleaned up for translations

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* libbase/AMF.cpp, libbase/ClockTime.cpp, libbase/GC.cpp,
	libbase/GnashImageGif.cpp, libbase/GnashImageJpeg.cpp,
	libbase/GnashImagePng.cpp, libbase/RTMP.cpp, libbase/SharedMem.cpp,
	libbase/SharedMemHaiku.cpp, libbase/SharedMemW32.cpp,
	libbase/Socket.cpp, libbase/curl_adapter.cpp,
	libbase/extension.cpp, libbase/sharedlib.cpp,
	libbase/zlib_adapter.cpp: print messages cleaned up for translations

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* libbase/arg_parser.cpp: cleanup code style

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* librender/agg/Renderer_agg.cpp,
	librender/cairo/Renderer_cairo.cpp: print messages cleaned up for
	translations

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* gui/Player.cpp, gui/ScreenShotter.cpp, gui/fb/fb.cpp,
	gui/fb/fb_glue_agg.cpp, gui/fb/fb_glue_gles1.cpp, gui/gnash.cpp,
	gui/gtk/gtk.cpp, gui/gtk/gtk_canvas.cpp,
	gui/gtk/gtk_glue_agg_vaapi.cpp, gui/gtk/gtk_glue_gtkglext.cpp,
	gui/gtk/gtk_glue_ovg.cpp, gui/gui.cpp, gui/qt/Qt4Gui.cpp: print
	messages cleaned up for translations

2011-12-31  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* cygnal/cvm.cpp, cygnal/cygnal.cpp, cygnal/handler.cpp,
	cygnal/http_server.cpp, cygnal/libamf/amf.cpp,
	cygnal/libamf/amf_msg.cpp, cygnal/libamf/buffer.cpp,
	cygnal/libamf/element.cpp, cygnal/libamf/flv.cpp,
	cygnal/libamf/lcshm.cpp, cygnal/libamf/sol.cpp,
	cygnal/libnet/cache.cpp, cygnal/libnet/cque.cpp,
	cygnal/libnet/diskstream.cpp, cygnal/libnet/http.cpp,
	cygnal/libnet/network.cpp, cygnal/libnet/rtmp.cpp,
	cygnal/libnet/rtmp_client.cpp, cygnal/libnet/sshclient.cpp,
	cygnal/libnet/sshserver.cpp, cygnal/libnet/sslclient.cpp,
	cygnal/libnet/sslserver.cpp, cygnal/libnet/statistics.cpp,
	cygnal/proc.cpp, cygnal/rtmp_server.cpp: add macro so new strings
	get found by xgettext, so they can be translated.

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	libcore/asobj/flash/display/display_pkg.cpp,
	libcore/asobj/flash/external/ExternalInterface_as.cpp,
	libcore/asobj/flash/external/external_pkg.cpp,
	libcore/asobj/flash/filters/BitmapFilter_as.cpp,
	libcore/asobj/flash/filters/DisplacementMapFilter_as.cpp,
	libcore/asobj/flash/filters/filters_pkg.cpp,
	libcore/asobj/flash/geom/ColorTransform_as.cpp,
	libcore/asobj/flash/geom/Matrix_as.cpp,
	libcore/asobj/flash/geom/Point_as.cpp,
	libcore/asobj/flash/geom/Rectangle_as.cpp,
	libcore/asobj/flash/geom/Transform_as.cpp,
	libcore/asobj/flash/geom/geom_pkg.cpp,
	libcore/asobj/flash/net/FileReferenceList_as.cpp,
	libcore/asobj/flash/net/FileReference_as.cpp,
	libcore/asobj/flash/net/net_pkg.cpp,
	libcore/asobj/flash/text/TextRenderer_as.cpp,
	libcore/asobj/flash/text/text_pkg.cpp: add macro so new strings get
	found by xgettext, so they can be translated.

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* libcore/asobj/Accessibility_as.cpp,
	libcore/asobj/AsBroadcaster.cpp, libcore/asobj/Camera_as.cpp,
	libcore/asobj/Function_as.cpp, libcore/asobj/Global_as.cpp,
	libcore/asobj/Key_as.cpp, libcore/asobj/LoadVars_as.cpp,
	libcore/asobj/LoadableObject.cpp,
	libcore/asobj/LocalConnection_as.cpp,
	libcore/asobj/Microphone_as.cpp, libcore/asobj/MovieClip_as.cpp,
	libcore/asobj/NetConnection_as.cpp, libcore/asobj/NetStream_as.cpp,
	libcore/asobj/Object.cpp, libcore/asobj/PlayHead.cpp,
	libcore/asobj/Selection_as.cpp, libcore/asobj/SharedObject_as.cpp,
	libcore/asobj/Sound_as.cpp, libcore/asobj/Stage_as.cpp,
	libcore/asobj/String_as.cpp, libcore/asobj/System_as.cpp,
	libcore/asobj/TextField_as.cpp, libcore/asobj/TextFormat_as.cpp,
	libcore/asobj/TextSnapshot_as.cpp, libcore/asobj/Video_as.cpp,
	libcore/asobj/XMLSocket_as.cpp, libcore/asobj/XML_as.cpp: add macro
	so new strings get found by xgettext, so they can be translated.

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* libcore/AMFConverter.cpp, libcore/Button.cpp,
	libcore/CharacterProxy.cpp, libcore/ClassHierarchy.cpp,
	libcore/DisplayList.cpp, libcore/DisplayObject.cpp,
	libcore/ExternalInterface.cpp, libcore/Font.cpp,
	libcore/FreetypeGlyphsProvider.cpp, libcore/Geometry.cpp,
	libcore/LineStyle.cpp, libcore/LoadVariablesThread.cpp,
	libcore/MovieClip.cpp, libcore/MovieFactory.cpp,
	libcore/MovieLoader.cpp, libcore/PropertyList.cpp,
	libcore/RGBA.cpp, libcore/SWFMovie.cpp, libcore/SWFStream.cpp,
	libcore/StaticText.cpp, libcore/TextField.cpp, libcore/Video.cpp,
	libcore/as_environment.cpp, libcore/as_function.cpp,
	libcore/as_object.cpp, libcore/as_value.cpp, libcore/movie_root.cpp: 
	add macro so new strings get found by xgettext, so they can be
	translated.

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* libbase/AMF.cpp, libbase/BitsReader.h, libbase/ClockTime.cpp,
	libbase/GnashImage.cpp, libbase/GnashImageJpeg.cpp,
	libbase/GnashImagePng.cpp, libbase/GnashVaapiImage.cpp,
	libbase/RTMP.cpp, libbase/SharedMem.cpp, libbase/Socket.cpp,
	libbase/StreamProvider.cpp, libbase/URLAccessManager.cpp,
	libbase/curl_adapter.cpp, libbase/extension.cpp,
	libbase/memory.cpp, libbase/sharedlib.cpp, libbase/tu_file.cpp,
	libbase/zlib_adapter.cpp: add macro so new strings get found by
	xgettext, so they can be translated.

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* gui/dump/dump.am, gui/fb/fb.cpp, gui/fb/fb_glue_agg.cpp,
	gui/fb/fb_glue_gles1.cpp, gui/fb/fb_glue_ovg.cpp, gui/gtk/gtk.cpp,
	gui/gtk/gtk_canvas.cpp, gui/gtk/gtk_glue_agg_vaapi.cpp,
	gui/gtk/gtk_glue_cairo.cpp, gui/gtk/gtk_glue_ovg.cpp: add macro so
	new strings get found by xgettext, so they can be translated.

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* po/gnash.pot: updated with new strings

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* libdevice/directfb/DirectFBDevice.cpp: add macro so new strings
	get found by xgettext, so they can be translated.

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* librender/GnashTexture.cpp, librender/agg/Renderer_agg.cpp,
	librender/cairo/PathParser.cpp, librender/cairo/Renderer_cairo.cpp,
	librender/opengl/Renderer_ogl.cpp,
	librender/opengles1/Renderer_gles1.cpp,
	librender/openvg/OpenVGBitmap.cpp,
	librender/openvg/OpenVGRenderer.cpp, librender/testr.cpp: add macro
	so new strings get found by xgettext, so they can be translated.

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/InputDevice.cpp,
	libdevice/events/MouseDevice.cpp, libdevice/events/TouchDevice.cpp,
	libdevice/events/UinputDevice.cpp: add macro so new strings get
	found by xgettext, so they can be translated.

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/EventDevice.cpp, libdevice/rawfb/RawFBDevice.cpp: 
	add macro so new strings get found by xgettext, so they can be
	translated.

2011-12-29  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/eglDevice.cpp, libdevice/vaapi/VaapiImage.cpp,
	libdevice/vaapi/VaapiSubpicture.cpp,
	libdevice/vaapi/VaapiSurface.cpp,
	libdevice/vaapi/VaapiSurfaceGLX.cpp,
	libdevice/vaapi/VaapiSurfaceProxy.cpp, libdevice/x11/X11Device.cpp: 
	add macro so new strings get found by xgettext, so they can be
	translated.

2011-12-15  Brad Smith <brad@comstyle.com>

	* configure.ac, plugin/npapi/plugin.cpp: Properly use mkstemps()
	wherever it is available

2011-12-15  Sandro Santilli <strk@keybit.net>

	* desktop/Makefile.am: Distribute gnashthumbnailrc.in (#35075)

2011-12-15  Gabriele Giacone <1o5g4r8o@gmail.com>

	* desktop/gnash.desktop, desktop/klash.desktop: Add debian
	translations to desktop files.

2011-08-22  Sandro Santilli <strk@keybit.net>

	* NEWS, configure.ac, desktop/Makefile.am, desktop/README,
	desktop/gnash-thumbnailer.in, desktop/gnash.schemas.in,
	desktop/gnashthumbnailrc.in, macros/gconf-2.m4: Provide a
	thumbnailer for SWF files and GNOME desktop config for it.  Tested with nautilus 2.30.1, Should work with any version up to
	2.32.

2011-12-12  Rob Savoye <rob@welcomehome.org>

	* Makefile.am: Build all devices and renderers for distcheck

2011-12-12  Rob Savoye <rob@welcomehome.org>

	* cygnal/handler.cpp: return an error if no message received

2011-12-12  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/events.am: only build developer tests if
	configured that way

2011-12-12  Rob Savoye <rob@welcomehome.org>

	* configure.ac: Don't build OpenVG as part of =all

2011-12-12  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/egl.am: move endif so EGL builds

2011-12-12  Rob Savoye <rob@welcomehome.org>

	* configure.ac: don't make EGL dependent on OpenVG

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* testsuite/libbase.all/Makefile.am: add lingnashrender to the link

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* libdevice/Makefile.am, libdevice/rawfb/rawfb.am,
	libdevice/vaapi/vaapi.am: only build developer tests when specified.

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* utilities/Makefile.am: add GNASH_LIBS to AM_LDFLAGS

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/egl.am: use the right conditional

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* libdevice/Makefile.am: drop dependency on libgnashbase.la

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/egl.am: only build EGL tests when specified

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* cygnal/Makefile.am: cygnal needs libgnashrender if vaap is built.

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* libbase/Makefile.am: add GnashVaapiTexture.cpp back into the
	build.

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* gui/Makefile.am, gui/pythonmod/Makefile.am, libbase/Makefile.am,
	libdevice/Makefile.am, libdevice/vaapi/vaapi.am,
	libmedia/Makefile.am: use correct path to vaapi headers and library

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* Makefile.am: build libdevice before libbase so the vaapi support
	gets built first

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* libdevice/x11/X11Device.cpp, libdevice/x11/X11Device.h: eliminate
	compiler warnings

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/EventDevice.cpp: initialize private data

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* cygnal/rtmp_server.cpp: eliminate compiler warnings

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* cygnal/http_server.cpp, cygnal/libnet/cque.cpp: eliminate compiler
	warnings

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* utilities/flvdumper.cpp: only dump data when -d is specified

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* cygnal/cgi-bin/echo/echo.cpp: initialize netfd to eliminate
	compiler warning

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* : commit abab83684600c9e09148389ba286310bb2390808 Author: Rob
	Savoye <rob@welcomehome.org> Date:   Sun Dec 11 11:06:14 2011 -0700

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/EventDevice.cpp,
	libdevice/events/InputDevice.cpp, libdevice/events/InputDevice.h,
	libdevice/events/MouseDevice.cpp, libdevice/events/TouchDevice.cpp,
	libdevice/events/UinputDevice.cpp, libdevice/events/test_events.cpp: 
	fix input device mouse support.

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: cleanup optional PS/2 mouse handlingm use
	InputDevice::convertAbsCoords() instead of
	MouseDevice::convertCoordinates()

2011-12-11  Rob Savoye <rob@welcomehome.org>

	* configure.ac: don't enable the PS/2 mouse by default, we use input
	events for the mouse instead.

2011-12-10  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: use new uinput device to control the cursor

2011-12-10  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fbsup.h: add a UInput device to the base class.

2011-12-10  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/events.am: add events/UinputDevice.cpp to build

2011-12-10  Rob Savoye <rob@welcomehome.org>

	* .gitignore: add .gdb_history

2011-12-10  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/UinputDevice.cpp: new file for the Uinput device

2011-12-07  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp, libdevice/events/EventDevice.cpp,
	libdevice/events/InputDevice.cpp, libdevice/events/InputDevice.h,
	libdevice/events/MouseDevice.cpp, libdevice/events/TouchDevice.cpp: 
	add initial support for uinout, ie.. User Mode mouse control, so we
	can move the cursor.

2011-12-07  Rob Savoye <rob@welcomehome.org>

	* : commit cc9c6132d3e1fa87f54ae9f55e2963b7258db476 Author: Rob
	Savoye <rob@welcomehome.org> Date:   Tue Dec 6 17:38:02 2011 -0700

2011-12-07  Gabriele Giacone <1o5g4r8o@gmail.com>

	* configure.ac: Add multiarch paths on dpkg systems only.

2011-12-07  Gabriele Giacone <1o5g4r8o@gmail.com>

	* macros/boost.m4: Fix boost::iostreams headers detection on
	openbsd.

2011-12-06  Gabriele Giacone <1o5g4r8o@gmail.com>

	* plugin/npapi/plugin.cpp: Fix for old boost and libc6 libs.

2011-12-06  Rob Savoye <rob@welcomehome.org>

	* : merge from noise branch so adjusting the time interval works the
	same way for the framebuffer

2011-12-06  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: use the movie frame rate to adjust the delay
	between frames. Also make the default interval larger, too small a
	value eats the cpu

2011-12-06  Rob Savoye <rob@welcomehome.org>

	* gui/gui.h: add accesor to get the movie's FPS

2011-12-01  Gabriele Giacone <1o5g4r8o@gmail.com>

	* macros/boost.m4, plugin/npapi/Makefile.am,
	plugin/npapi/plugin.cpp: CVE-2011-4328 fix. mkstemps and
	boost::iostreams. See bug #34903

2011-12-05  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp, gui/fb/fbsup.h: reenable fullscreen support

2011-12-05  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: add resize_view()

2011-12-05  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fbsup.h: add resize_view()

2011-12-05  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_agg.cpp: reenable InvalidatedRegions for AGG in a
	framebuffer

2011-12-05  Rob Savoye <rob@welcomehome.org>

	* NEWS: mention improved double buffering support

2011-12-05  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_agg.cpp: be less verbose

2011-12-05  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp, gui/fb/fbsup.h: remove unused code that's now in
	swapBuffers(). Remove unused local copy of the framebuffer data,
	it's now in RawFBDevice

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/RawFBDevice.cpp, libdevice/rawfb/RawFBDevice.h: 
	move swapBuffers() from header to source file

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_agg.cpp: use isSingleBuffered() instead of
	getOffscreenBuffer()

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* : merge from master

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_agg.cpp: cleanup AGG double buffering to work with
	libdevice

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/eglDevice.h: add getStride() as it's now in the base
	class

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: remove leftover double buffering code that is now
	replaced by swapBuffers()

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue.h, gui/fb/fbsup.h: fix copyright date

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_ovg.h: remove commented out lines

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/RawFBDevice.cpp, libdevice/rawfb/RawFBDevice.h: 
	use isSingleBuffered() instead of ifdef

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/test_rawfb.cpp: use getStride() instead of
	calculating it ourselves

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/RawFBDevice.h: make isSingleBuffered() really
	work.

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* libdevice/GnashDevice.h: add getStride() to base class

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/RawFBDevice.cpp, libdevice/rawfb/RawFBDevice.h,
	libdevice/rawfb/test_rawfb.cpp: add comments about swapBuffers()
	beyhaviour

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/RawFBDevice.cpp, libdevice/rawfb/RawFBDevice.h,
	libdevice/rawfb/test_rawfb.cpp: Add swapBuffers() for double
	buffering. USe a standard pointer for _fbmem, so boost doesn't try
	to free it. Fix test case

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/test_rawfb.cpp: add test for the stride

2011-12-04  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/test_rawfb.cpp: don't manually draw a line for now

2011-11-30  Rob Savoye <rob@welcomehome.org>

	* cygnal/handler.h, cygnal/testsuite/cygnal.all/Makefile.am,
	cygnal/testsuite/cygnal.all/test_crc.cpp,
	cygnal/testsuite/libamf.all/test_amf.cpp,
	cygnal/testsuite/libamf.all/test_amfmsg.cpp,
	cygnal/testsuite/libamf.all/test_buffer.cpp,
	cygnal/testsuite/libnet.all/Makefile.am,
	cygnal/testsuite/libnet.all/test_cque.cpp,
	cygnal/testsuite/libnet.all/test_handler.cpp: cleanup various
	compilation warnings and errors so make check works with -pedantic

2011-11-30  Rob Savoye <rob@welcomehome.org>

	* cygnal/handler.cpp, cygnal/http_server.cpp, cygnal/http_server.h,
	cygnal/libnet/diskstream.cpp, cygnal/libnet/diskstream.h: Cleanup
	compilation warnings when using -pedantic

2011-11-30  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGBitmap.cpp,
	librender/openvg/OpenVGRenderer.cpp: Cleanup compilation warnings
	when using -pedantic for #34911

2011-11-28  Gabriele Giacone <1o5g4r8o@gmail.com>

	* testsuite/misc-swfmill.all/Makefile.am: Add boost headers to
	swfmill tests.  OpenBSD distcheck fix. See
	https://savannah.gnu.org/bugs/?34373#comment7

2011-11-27  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: Const.

2011-09-13  Rob Savoye <rob@welcomehome.org>

	* libcore/movie_root.cpp: Don't do anything if we have no timers.  Commit amended to reduce comment verbosity and use empty().

2011-09-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* plugin/npapi/plugin.cpp: Remove useless PATH_MAX declaration.

2011-11-26  Gabriele Giacone <1o5g4r8o@gmail.com>

	* plugin/aos4/plugin.cpp, plugin/npapi/gshell.cpp,
	plugin/npapi/test.cpp, plugin/win32/plugin.cpp: More const for
	NPP_GetMIMEDescription.

2011-11-25  Rob Savoye <rob@welcomehome.org>

	* cygnal/libnet/sshclient.cpp: Buffer is in cygnal namespace now,
	not amf

2011-11-25  Rob Savoye <rob@welcomehome.org>

	* cygnal/libnet/sshclient.h: Buffer is in cygnal namespace now, not
	amf

2011-11-24  Rob Savoye <rob@welcomehome.org>

	* : commit 45044b09e2fec37a1192828bbe8c8fb2e3ac76f4 Author: Rob
	Savoye <rob@welcomehome.org> Date:   Thu Nov 24 09:02:31 2011 -0700

2011-11-24  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk.am: BZ2_LIBS needs to be in the link when using
	--as-needed

2011-11-24  Rob Savoye <rob@welcomehome.org>

	* plugin/npapi/mozilla-sdk/np_entry.cpp, plugin/npapi/plugin.cpp: 
	const is needed for some of the NPAPI functions for Oneiric with
	firefox-dev

2011-11-24  Rob Savoye <rob@welcomehome.org>

	* configure.ac: const is needed for some of the NPAPI functions for
	Oneiric with firefox-dev

2011-11-24  Rob Savoye <rob@welcomehome.org>

	* packaging/debian/control: add xulrunner-dev or firefox-dev for
	Build Deps

2011-11-22  Rob Savoye <rob@welcomehome.org>

	* libcore/asobj/SharedObject_as.cpp: Don't create the shared object
	directory if they're read only, bug #34837

2011-11-20  Rob Savoye <rob@welcomehome.org>

	* : commit fa481c116e65ccf9137c7ddc8abc3cf05dc12f55 Author: Gabriele
	Giacone <1o5g4r8o@gmail.com> Date:   Sun Nov 20 17:27:42 2011 +0100

2011-11-08  Rob Savoye <rob@welcomehome.org>

	* : commit c1ea116948702e2fa9e8ce6f168de57f66d4eaff Author: Rob
	Savoye <rob@welcomehome.org> Date:   Tue Nov 1 10:43:18 2011 -0600

2011-11-01  Rob Savoye <rob@welcomehome.org>

	* gui/Player.cpp: add comment about the interval

2011-11-01  Gabriele Giacone <1o5g4r8o@gmail.com>

	* Makefile.am: If revno.h already exists and we're not in git, don't
	regenerate. If included in Debian tarball, it won't be overwritten
	by rebuild.

2011-10-31  Gabriele Giacone <1o5g4r8o@gmail.com>

	* macros/qt4.m4: qt4 fix for lenny build.

2011-10-30  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_ovg.h: remove debug accessor for drawbounds, as
	it's unused

2011-10-30  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/eglDevice.h: include Point2d.h so EGL devices still
	builds after other changes that broke compilation

2011-10-30  Bastiaan Jacques <bastiaan@bjacques.org>

	* gui/gtk/gtk.cpp, libdevice/DeviceGlue.cpp,
	libdevice/DeviceGlue.h, libdevice/GnashDevice.h,
	libdevice/Makefile.am: Properly fix bug #34699: Stop including
	various "Device" headers which may interfere with GUI code; in
	particular, RawFBDevice.h uses headers which define NULL in a matter
	incompatible with mixing C and C++ code.

2011-10-30  Rob Savoye <rob@welcomehome.org>

	* : commit 4a2996ff217aee1d45375b552475421420a2946e Author: Rob
	Savoye <rob@welcomehome.org> Date:   Sun Oct 30 12:09:27 2011 -0600

2011-10-30  Rob Savoye <rob@welcomehome.org>

	* gui/Player.cpp: Use the default of 10ms for low framerate files

2011-10-30  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/movie_root.cpp: Prevent _registeredClasses from being
	prematurely deleted. Bug #34690.

2011-10-29  Rob Savoye <rob@welcomehome.org>

	* gui/Player.cpp: set the delay timeout to the frame rate

2011-10-30  Gabriele Giacone <1o5g4r8o@gmail.com>

	* macros/qt4.m4: Another qt4 w/o opengl fix.

2011-10-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: Fix typo.

2011-10-27  Rob Savoye <rob@welcomehome.org>

	* : commit 7abaf9f2a11bdb0a94831c72eda5692da523c700 Author: Sandro
	Santilli <strk@keybit.net> Date:   Thu Oct 27 07:47:47 2011 +0200

2011-10-27  Sandro Santilli <strk@keybit.net>

	* po/cs.po, po/da.po, po/de.po, po/en_GB.po, po/es.po, po/fi.po,
	po/fr.po, po/gnash.pot, po/it.po, po/ja.po: Update translation files

2011-10-27  Gabriele Giacone <1o5g4r8o@gmail.com>

	* po/Makefile.am: Fix update-po. See bug #34654.

2011-10-25  Rob Savoye <rob@welcomehome.org>

	* : commit 7a6bea96a389b58cdc64ea545cfae9dcd9d7f3e2 Author: Sandro
	Santilli <strk@keybit.net> Date:   Tue Oct 25 21:30:06 2011 +0200

2011-10-24  Rob Savoye <rob@welcomehome.org>

	* : merge with master

2011-10-23  Gabriele Giacone <1o5g4r8o@gmail.com>

	* po/Makefile.am, po/cs.po, po/da.po, po/de.po, po/en_GB.po,
	po/es.po, po/fi.po, po/fr.po, po/gnash.pot, po/it.po, po/ja.po: Fix
	and update translations.

2011-10-08  Gabriele Giacone <1o5g4r8o@gmail.com>

	* .gitignore: Update gitignore.

2011-10-23  Sandro Santilli <strk@keybit.net>

	* NEWS, libcore/swf/DefineBitsTag.cpp: Fix parsing of lossless 16bit
	bitmaps Fixes support for movies generated by the evil TechSmit Camtasia
	tool (#34625)

2011-10-14  Rob Savoye <rob@welcomehome.org>

	* packaging/redhat/gnash.spec: tweaks for the OLPC XO 1.75, which
	doesn't distribute kde or qt

2011-10-14  Rob Savoye <rob@welcomehome.org>

	* packaging/ltib/gnash.spec: update from latest builds

2011-10-12  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fbsup.h: tweak indenting, minor change

2011-10-12  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/RawFBDevice.cpp: clear the offscreen buffer in
	addition to the framebuffer

2011-10-12  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/RawFBDevice.h: add accessors for framebuffer and
	ofscreen buffer

2011-10-12  Rob Savoye <rob@welcomehome.org>

	* libdevice/GnashDevice.h: add virtual accessor to get the offscreen
	buffer memory.

2011-10-12  Rob Savoye <rob@welcomehome.org>

	* libdevice/DeviceGlue.h: fix typos in comment

2011-10-12  Rob Savoye <rob@welcomehome.org>

	* configure.ac: enable double buffering by default for AGG with a
	framebuffer

2011-10-12  Sandro Santilli <strk@keybit.net>

	* po/cs.po, po/de.po, po/es.po, po/fi.po, po/fr.po, po/gnash.pot,
	po/it.po, po/ja.po: Update translation files [unchecked, to be
	reverted if found broken]

2011-10-11  Rob Savoye <rob@welcomehome.org>

	* configure.ac: clarify that software double buffering is for AGG
	only.

2011-10-08  Rob Savoye <rob@welcomehome.org>

	* Makefile.am: Don't disable optimization for distcheck

2011-10-08  Gabriele Giacone <1o5g4r8o@gmail.com>

	* macros/qt4.m4: Fix qt4 include paths again.

2011-10-07  Rob Savoye <rob@welcomehome.org>

	* Makefile.am: for distcheck, set cxxflags to -O0 to speed up
	builds. Only use SUBDIRS, as automake groks the correct optional
	directories. Otherwise directories appear twice, causing distcheck
	to fail.

2011-10-07  Rob Savoye <rob@welcomehome.org>

	* libcore/asobj/Video_as.cpp: minor reformatting

2011-10-04  Sandro Santilli <strk@keybit.net>

	* README: Add Midori to the list of supported browsers (webkit
	based)

2011-10-01  Gabriele Giacone <1o5g4r8o@gmail.com>

	* macros/qt4.m4: Fix qt4 include paths - see bug #34452.

2011-09-29  Rob Savoye <rob@welcomehome.org>

	* : commit 36ee094c00c04cf028a5fa341a8da51e9950ed25 Author: Rob
	Savoye <rob@welcomehome.org> Date:   Thu Sep 29 10:06:11 2011 -0600

2011-09-29  Rob Savoye <rob@welcomehome.org>

	* Makefile.am: Use conditional for LINUX so input devices are only
	built on Linux systems. Put cygnal libdevice in DIST_SUBDIRS or they
	won't get included in the source tarball.

2011-09-29  Rob Savoye <rob@welcomehome.org>

	* configure.ac: Always build libdevice/Makefile so distcheck is
	happy. Add Make conditional for LINUX. Fix inpout_event list text

2011-09-29  Rob Savoye <rob@welcomehome.org>

	* packaging/redhat/gnash.spec: gtkglext is unneeded, as the OpenGL
	support is no longer built by default.

2011-09-29  Rob Savoye <rob@welcomehome.org>

	* NEWS: add a few new things

2011-09-29  Sandro Santilli <strk@keybit.net>

	* gui/gui.cpp: Unify message for Gui::hideMenu and Gui::showMenu,
	addressing issue #34428 Beside, do we really need both functions ? hideMenu seems to be
	possible to do with showMenu(false)

2011-09-26  Sandro Santilli <strk@keybit.net>

	* libcore/Font.cpp: Typo: DefineFone2 -> DefineFont2. See bug
	#34387.

2011-09-25  Sandro Santilli <strk@keybit.net>

	* Makefile.am: Revert "Re-enable distribution of cygnal and
	libdevice." This reverts commit 38b71599f4558122d9070080fa97b5df548bee3a.

2011-09-25  Sandro Santilli <strk@keybit.net>

	* Makefile.am: Re-enable distribution of cygnal and libdevice.  STD_SUBDIRS should be the unconditional set of subdirs.  SUBDIRS is
	the dirs we are building (depend on configuration setting and is
	appended to based on those).  DIST_SUBDIRS is _all_ the available
	dirs, so STD_SUBDIRS plus all the conditionally enabled.

2011-09-24  Gabriele Giacone <1o5g4r8o@gmail.com>

	* Makefile.am: Remove cygnal/ from SUBDIRS. Fix distcheck. See
	40b80d3

2011-09-23  Rob Savoye <rob@welcomehome.org>

	* configure.ac: fix typo, only build inout events on Linux

2011-09-23  Rob Savoye <rob@welcomehome.org>

	* configure.ac: Don't configure in Linux input events on any BSD
	distro. For bug #34373.

2011-09-20  Rob Savoye <rob@welcomehome.org>

	* configure.ac: don't build the OpenGL renderer by default, as it
	suffers from both performance and rendering quality issues.

2011-09-19  Rob Savoye <rob@welcomehome.org>

	* : commit 426c9dea890036c668e7ad007c4459b7bba20b9a Author: Rob
	Savoye <rob@welcomehome.org> Date:   Mon Sep 19 12:35:19 2011 -0600

2011-09-19  Rob Savoye <rob@welcomehome.org>

	* configure.ac: don't use AC_MSG_ERROR, as it exits after message.

2011-09-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp: Fix null pointer dereference.  I introduced it during Button refactoring.

2011-09-16  Gabriele Giacone <1o5g4r8o@gmail.com>

	* configure.ac: Remove broken message (see 89aa145).

2011-09-15  Gabriele Giacone <1o5g4r8o@gmail.com>

	* configure.ac: Typo

2011-09-13  Rob Savoye <rob@welcomehome.org>

	* gui/Player.cpp: set the delay back to 10ms

2011-09-13  Rob Savoye <rob@welcomehome.org>

	* libcore/movie_root.cpp: use a regualr iterator instead of
	std::for_each, so we can do loop through all the liveChars only once

2011-09-13  Rob Savoye <rob@welcomehome.org>

	* libcore/movie_root.cpp: only look for an invoke packet if
	_controlfd is actually set

2011-09-13  Rob Savoye <rob@welcomehome.org>

	* gui/Player.cpp: increase the default delay to 50ms

2011-09-13  Rob Savoye <rob@welcomehome.org>

	* libcore/movie_root.cpp: Don't do anything if we have no timers,
	just return so we don't waste cpu cycles

2011-09-12  Rob Savoye <rob@welcomehome.org>

	* : commit b8f483baaabc15ade2ee9d7c3d8d288694eca1b7 Author: Rob
	Savoye <rob@welcomehome.org> Date:   Mon Sep 12 19:53:28 2011 -0600

2011-09-12  Rob Savoye <rob@welcomehome.org>

	* libmedia/ffmpeg/MediaParserFfmpeg.cpp: minor version tweaks to get
	Lenny to build with the patch.

2011-09-12  Rob Savoye <rob@welcomehome.org>

	* libmedia/ffmpeg/AudioResamplerFfmpeg.cpp: optionally include
	avcodec.h

2011-09-11  Rob Savoye <rob@welcomehome.org>

	* libmedia/ffmpeg/MediaParserFfmpeg.cpp: use
	LIBAVFORMAT_VERSION_MAJOR instead of LIBAVUTIL_VERSION_INT

2011-09-11  Rob Savoye <rob@welcomehome.org>

	* libmedia/ffmpeg/AudioResamplerFfmpeg.cpp: change order of ifdef

2011-09-11  Rob Savoye <rob@welcomehome.org>

	* libmedia/ffmpeg/AudioResamplerFfmpeg.cpp: include avcodec.h if it
	exists

2011-09-11  Rob Savoye <rob@welcomehome.org>

	* libmedia/ffmpeg/AudioResamplerFfmpeg.cpp: more fixes for other
	ffmpeg versions and distributions

2011-09-11  Rob Savoye <rob@welcomehome.org>

	* libmedia/ffmpeg/AudioDecoderFfmpeg.cpp,
	libmedia/ffmpeg/MediaParserFfmpeg.h: fixes for other ffmpeg versions
	and distributions

2011-09-11  Rob Savoye <rob@welcomehome.org>

	* libmedia/ffmpeg/AudioDecoderFfmpeg.cpp,
	libmedia/ffmpeg/AudioResamplerFfmpeg.cpp,
	libmedia/ffmpeg/MediaParserFfmpeg.cpp,
	libmedia/ffmpeg/MediaParserFfmpeg.h,
	libmedia/ffmpeg/VideoDecoderFfmpeg.cpp, macros/ffmpeg.m4: Ubuntu
	patch for recent ffmpeg versions merged in by hand, as it was based
	on an older release.

2011-09-11  Gabriele Giacone <1o5g4r8o@gmail.com>

	* libmedia/ffmpeg/AudioDecoderFfmpeg.cpp,
	libmedia/ffmpeg/AudioResamplerFfmpeg.cpp,
	libmedia/ffmpeg/MediaParserFfmpeg.cpp,
	libmedia/ffmpeg/VideoDecoderFfmpeg.cpp: Fix build on sid with libav
	0.7.1.  Patch from http://savannah.gnu.org/bugs/?33696 adapted to support
	older versions. Thanks chithead!

2011-09-10  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/EventDevice.cpp: include errno to keep Lenny
	happy, and optionally use inpout event field for resolution

2011-09-10  Rob Savoye <rob@welcomehome.org>

	* libdevice/events/InputDevice.cpp,
	libdevice/events/MouseDevice.cpp: include errno to keep Lenny happy

2011-09-10  Rob Savoye <rob@welcomehome.org>

	* configure.ac: add test for resolution field for input events

2011-09-09  Rob Savoye <rob@welcomehome.org>

	* configure.ac: build the raw device if the FB GUI and AGG are to be
	built

2011-09-09  Rob Savoye <rob@welcomehome.org>

	* Makefile.am: build all devices too for distcheck

2011-09-07  Sandro Santilli <strk@keybit.net>

	* configure.ac: Revert to building the FB gui automatically by
	default Only condition so far is "being a linux system".  Could be improved
	to require either AGG or OpenVG renderers.

2011-09-05  Rob Savoye <rob@welcomehome.org>

	* libcore/movie_root.cpp: minor style changes in brace placement

2011-09-05  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk.cpp: Use new option to optionally force the mouse
	pointer to be visible.

2011-09-05  Rob Savoye <rob@welcomehome.org>

	* libbase/rc.cpp, libbase/rc.h: add new option to force a mouse
	pointer so touchscreen SWF files work on the desktop with a mouse.

2011-09-05  Rob Savoye <rob@welcomehome.org>

	* libcore/MouseButtonState.h: change t to nil for emacs tab-mode

2011-09-05  Rob Savoye <rob@welcomehome.org>

	* gui/gui.cpp: minor style changes in brace placement

2011-09-03  Rob Savoye <rob@welcomehome.org>

	* packaging/debian/control, packaging/debian/rules: drop the
	pythonmod for packages, as pyGTK has been depreciated.

2011-09-03  Rob Savoye <rob@welcomehome.org>

	* Makefile.am: optional utilities need cygnal to be built first.

2011-09-03  Rob Savoye <rob@welcomehome.org>

	* gui/pythonmod/Makefile.am: the pythonmod also needs a path to
	libdevice

2011-09-03  Rob Savoye <rob@welcomehome.org>

	* configure.ac: using += in bourne shell is not portable. Fixes
	natty-ARM builds

2011-09-03  Rob Savoye <rob@welcomehome.org>

	* gui/Makefile.am: use dump.am instead of dump as a SUBDIR

2011-09-02  Rob Savoye <rob@welcomehome.org>

	* : commit e290f51981f0f52b1fef8827d78e477698eb5d08 Merge: 80d620a
	d11bbdc Author: Rob Savoye <rob@welcomehome.org> Date:   Fri Sep 2
	09:07:49 2011 -0600

2011-08-31  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGStyle.h: less verbose

2011-08-31  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGStyle.h: less verbose

2011-08-31  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGRenderer.cpp,
	librender/openvg/OpenVGStyle.h: fix handling of solid fills, use
	StyleHandler, remove unused apply_fill_style

2011-08-31  Rob Savoye <rob@welcomehome.org>

	* librender/linear.as: fix comments

2011-08-31  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGRenderer.cpp: support bitmaps, improve
	gradient support

2011-08-31  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGBitmap.cpp,
	librender/openvg/OpenVGBitmap.h, librender/openvg/OpenVGStyle.h: fix
	bitmap handling to work with StyleHandler. Remove all accessor style
	classes

2011-08-31  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGRenderer.cpp: use StyleHandler for
	gradients

2011-08-31  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGStyle.h: tweak privates & constructor.
	Implement linear gradients

2011-08-31  Rob Savoye <rob@welcomehome.org>

	* librender/opengl/Renderer_ogl.cpp: remove extra blank lines

2011-08-31  Rob Savoye <rob@welcomehome.org>

	* librender/linear.as: add comments, tweak dimensions for debugging.

2011-08-23  Rob Savoye <rob@welcomehome.org>

	* libbase/log.cpp: Revert "disable logging if configured that way" This reverts commit d03b7f800d3db941875d517af4332776a379b680.

2011-08-23  Rob Savoye <rob@welcomehome.org>

	* libbase/log.cpp: Revert "it helps if the option is spelled right." This reverts commit 13cd2af28e58e8e3dac4dfe49ee6bace46e901f8.

2011-08-23  Rob Savoye <rob@welcomehome.org>

	* libbase/log.cpp: it helps if the option is spelled right.

2011-08-23  Rob Savoye <rob@welcomehome.org>

	* libbase/log.cpp: disable logging if configured that way

2011-08-23  Rob Savoye <rob@welcomehome.org>

	* configure.ac: add option to disable debug logging, which is a
	performance hit

2011-08-22  Rob Savoye <rob@welcomehome.org>

	* configure.ac: don't build the fb gui nor EGL by default, only if
	openvg is soecified.

2011-08-22  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGStyle.h: remove style changes, they're now
	in a new branch instead

2011-08-22  Rob Savoye <rob@welcomehome.org>

	* : commit 71d22cb298a47aed816738532daf513c19e65a46 Author: Rob
	Savoye <rob@welcomehome.org> Date:   Mon Aug 22 10:06:53 2011 -0600

2011-08-22  Rob Savoye <rob@welcomehome.org>

	* librender/opengles1/Renderer_gles1.cpp: add 2011 to copyright
	date.

2011-08-22  Rob Savoye <rob@welcomehome.org>

	* librender/opengles1/Renderer_gles1.cpp: drop a few blank lines

2011-08-22  Rob Savoye <rob@welcomehome.org>

	* librender/opengles1/Renderer_gles1.cpp: eliminate warnings, even
	though this is mostly just stubs for future de elopment.

2011-08-20  Rob Savoye <rob@welcomehome.org>

	* : commit 25197c22ebd00b85c1089fc97bd1a0348e320ff0 Author: Gabriele
	Giacone <1o5g4r8o@gmail.com> Date:   Sun Jul 31 03:41:34 2011 +0200

2011-08-17  Gabriele Giacone <1o5g4r8o@gmail.com>

	* plugin/npapi/plugin.cpp: Memory leak. Replace putenv with setenv.

2011-07-31  Gabriele Giacone <1o5g4r8o@gmail.com>

	* cygnal/cgi-bin/oflaDemo/oflaDemo.cpp: Inefficient emptiness
	checks.

2011-07-31  Gabriele Giacone <1o5g4r8o@gmail.com>

	* cygnal/cvm.cpp: Remove unused var.

2011-07-31  Gabriele Giacone <1o5g4r8o@gmail.com>

	* plugin/npapi/plugin.cpp: Obsolete usleep to gnashSleep.

2011-08-13  Rob Savoye <rob@welcomehome.org>

	* : commit a1d50e638d4bd9f28bb6bae615a531635b42c1df Merge: 201a9dd
	b787ed5 Author: Rob Savoye <rob@welcomehome.org> Date:   Sat Aug 13
	08:53:16 2011 -0600

2011-08-13  Sandro Santilli <strk@keybit.net>

	* NEWS: Add cross-reference from NEWS item to savannah ticket

2011-08-13  Sandro Santilli <strk@keybit.net>

	* NEWS, libcore/asobj/Sound_as.cpp,
	libsound/sdl/sound_handler_sdl.cpp,
	libsound/sdl/sound_handler_sdl.h, libsound/sound_handler.cpp,
	libsound/sound_handler.h, testsuite/misc-swfc.all/Makefile.am,
	testsuite/misc-swfc.all/sound_stop.sc,
	testsuite/misc-swfc.all/sound_stop_runner.cpp: Sound.stop() invoked
	on an unattached Sound stops all event sounds.  Includes a new stopAllEventSounds() interface to sound_handler.
	Includes automated testcase. Fixes bug #33888.  Thanks to Jan
	Flanders for the hint.

2011-08-12  Sandro Santilli <strk@keybit.net>

	* cygnal/handler.cpp, libbase/extension.cpp, libbase/sharedlib.cpp,
	libbase/sharedlib.h: Reduce SharedLib constructors to 1, destructors
	to 0

2011-08-12  Sandro Santilli <strk@keybit.net>

	* libbase/extension.cpp: Remove unused code

2011-08-12  Rob Savoye <rob@welcomehome.org>

	* testsuite/MovieTester.cpp: create_Renderer_ogl is now
	renderer::opengl::create_handler

2011-08-12  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/test_rawfb.cpp: eliminate unused variable warning

2011-08-12  Rob Savoye <rob@welcomehome.org>

	* libbase/sharedlib.cpp: eliminate unused variable warning

2011-08-12  Rob Savoye <rob@welcomehome.org>

	* : merge from master

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* macros/openvg.m4: add comment about oneric and openvg library
	locations.

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* macros/openvg.m4: oneric moves libOpenVG into it's own directory

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_ovg.cpp, librender/opengl/Renderer_ogl.h,
	librender/openvg/OpenVGRenderer.cpp: be less verbose

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGBitmap.cpp,
	librender/openvg/OpenVGRenderer.cpp: don't print Matrix debug info

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* gui/sdl/sdl_ogl_glue.cpp: create_Renderer_ogl() is now
	openvg::create_handler()

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGRenderer.cpp,
	librender/openvg/OpenVGRenderer.h: use a different config constant
	for OpenVG headers.

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* macros/openvg.m4: we always need OPENVG_STATIC_LIBRARY defined in
	CXXFLAGS

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGStyle.h: update the copyright date.

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGBitmap.cpp,
	librender/openvg/OpenVGBitmap.h: adjust the order of variable
	initialization in the constructors. Update the copyright date, and
	get rid of a few compiler warnings.

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_ovg.cpp: update the copyright date.

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_ovg.h: update the copyright date.

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* libdevice/directfb/DirectFBDevice.cpp,
	libdevice/rawfb/RawFBDevice.cpp: update the copyright date.

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGRenderer.cpp: fixed unused compiler
	warnings and update the copyright date.

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* libdevice/directfb/README: add README explaining the DirectFB code
	needs to be fully implemented.

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* libdevice/directfb/DirectFBDevice.cpp,
	libdevice/egl/test_egl.cpp, libdevice/rawfb/RawFBDevice.cpp: 
	eliminate compiler warnings

2011-08-09  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/eglinfo.c: eliminate warnings, even though this is
	just a debugging app for developers.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* configure.ac: Drop unneeded configure tests.  We don't use POSIX shared memory as the pp doesn't. Don't test for
	float behaviour as we don't use this any more. Do check for librt
	for clock_gettime though.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/DefineBitsTag.cpp: Output as int.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/ImageIterators.h: Fix return type of operator=.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/snappingrange.h: Const correct.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/extension.cpp: Fix cppcheck warnings (preincrement).

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/Range2d.h: Const correct.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/sdl/sdl_agg_glue.cpp: Use empty().

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/RemoveObject2Test.c,
	testsuite/misc-ming.all/loop/simple_loop_test.c,
	testsuite/misc-ming.all/sound/StreamSoundTestRunner.cpp: Fix
	cppcheck warnings.  Just unused variables.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* utilities/flvdumper.cpp: Remove unused assigments.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/sharedlib.cpp: Don't assign to pluginsdir.  It's completely unused; extension.cpp does this.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libmedia/VideoConverter.h,
	libmedia/ffmpeg/VideoConverterFfmpeg.cpp,
	libmedia/gst/VideoDecoderGst.cpp: Use a boost array and initialize
	_width and _height.  It's not obvious where these are initialized otherwise (maybe they
	aren't). Also leave a TODO because both width and height are passed
	in the ctor.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/SWFStream.cpp: Use empty() not size().

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/qt/Qt4Glue.cpp, gui/qt/Qt4Glue.h: Initialize _glWidget It keeps cppcheck happy.

2011-08-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* extensions/mysql/mysql_db.cpp: Don't assign to an unused variable.  But leave a TODO, as it's evidently supposed to be used.

2011-08-08  Rob Savoye <rob@welcomehome.org>

	* Makefile.am: Use OPENVG_* instead of OVG_* for debug message

2011-08-08  Rob Savoye <rob@welcomehome.org>

	* configure.ac, macros/openvg.m4: handle the user error of openvg
	being specified, but not having any dev files.

2011-08-08  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: remove commented out code blocks

2011-08-08  Rob Savoye <rob@welcomehome.org>

	* configure.ac, macros/openvg.m4: don't build OpenVG support if no
	dev files found.

2011-08-08  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: use createRenderHandler() instead of
	create_Renderer_agg so it works with the new API

2011-08-08  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_agg.h: Add support for the GnashDevice display

2011-08-08  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_agg.cpp: attach the window to the device

2011-08-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/DefineBitsTag.cpp: Fix assertion.  No data is fine, only negative lengths are bad; a jpeg data size of
	0 is possible. Both Gnash and the pp show a red rectangle (for
	absent image) in this case.

2011-08-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/FillStyle.cpp, libcore/swf/ShapeRecord.cpp: Output
	formatting.

2011-08-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/FillStyle.cpp, libcore/FillStyle.h,
	libcore/parser/TypesParser.cpp, libcore/swf/ShapeRecord.cpp: Add
	output operators for fill styles.  Use them too.

2011-08-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Shape.cpp, libcore/swf/DefineShapeTag.h: Code style.

2011-08-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/MovieClip.cpp: Make debugging output conditional.

2011-08-07  Rob Savoye <rob@welcomehome.org>

	* : commit bcbe20ae3aefde22c7f470b0284cba20be373589 Author: Benjamin
	Wolsey <bwy@benjaminwolsey.de> Date:   Fri Aug 5 14:56:59 2011 +0200

2011-08-02  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue_ovg.cpp: less verbose

2011-08-02  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/RawFBDevice.cpp,
	librender/openvg/OpenVGRenderer.cpp: less verbose

2011-08-02  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: initialize the4 renderer before preping the drawing
	area.

2011-08-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Fix RNG for old
	boost versions.

2011-08-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: Add note about regression.

2011-08-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp, libcore/movie_root.h: Use a typedef.

2011-08-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp, libcore/movie_root.cpp, libcore/movie_root.h,
	testsuite/misc-ming.all/KeyEventOrder.c: Restore old Button
	behaviour.  This reverts the changes made by an earlier commit
	3db73486d8b99425a707e6ab04acf37942303eb8, which fixed a test but
	caused regressions in live SWFs.

2011-07-31  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: move #endif to not drop the closing brace

2011-07-30  Rob Savoye <rob@welcomehome.org>

	* : commit ff10f769d47577c778c6224efa93ba9508c2b761 Merge: 5db08f3
	b260e81 Author: Rob Savoye <rob@welcomehome.org> Date:   Sat Jul 30
	17:33:46 2011 -0600

2011-07-30  Sandro Santilli <strk@keybit.net>

	* libcore/asobj/Object.cpp: Improve AS error log about registerClass
	to include supposed export id

2011-07-30  Sandro Santilli <strk@keybit.net>

	* utilities/processor.cpp: Found another spurious newline

2011-07-30  Gabriele Giacone <1o5g4r8o@gmail.com>

	* testsuite/actionscript.all/gen-index-wiki.sh: Update testcases
	page generator.

2011-07-30  Sandro Santilli <strk@keybit.net>

	* utilities/processor.cpp: Drop spurious newline from per-frame
	debug line

2011-07-30  Gabriele Giacone <1o5g4r8o@gmail.com>

	* cygnal/cygnal.cpp: Suppress last sid warning. Make cppcheck
	happier.

2011-07-30  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/MovieClip.as: More results validation
	from wiki page As reported on

	http://wiki.gnashdev.org/w/index.php?title=Testcases&oldid=6090#MovieClip

2011-07-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Update
	documentation.

2011-07-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Rename Point to
	Vector to avoid confusion.  There is an ActionScript class called Point; and in any case this is
	an offset, not a point.

2011-07-30  Sandro Santilli <strk@keybit.net>

	* gui/gtk/gtk.cpp: Attempt to fix redefinition warning on hurd See

	http://www.gnashdev.org:8010/builders/sid-hurd-i386/builds/28/steps/compile/logs/warnings%20%282%29/text

2011-07-30  Sandro Santilli <strk@keybit.net>

	* libsound/sound_handler.cpp: Fix build with
	GNASH_DEBUG_SOUNDS_MANAGEMENT defined

2011-07-30  Sandro Santilli <strk@keybit.net>

	* libcore/Button.cpp, testsuite/actionscript.all/MovieClip.as: 
	Update version 6 to 8 of MovieClip.as test According to results obtained with     - LNX 10,0,12,10     - LNX 9,0,115,0     - WIN 10,2,152,26

2011-07-29  Sandro Santilli <strk@keybit.net>

	* libcore/DisplayObject.cpp,
	testsuite/actionscript.all/MovieClip.as: Update version 5 of
	MovieClip.as test According to results obtained with  - LNX 10,0,12,10  - LNX 9,0,115,0  - WIN 10,2,152,26

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp, libcore/Button.h: Use an ostream operator<<.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: Minor tidying up.

2011-07-27  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* libmedia/AudioDecoder.h, libmedia/AudioDecoderSimple.cpp,
	libmedia/AudioDecoderSimple.h,
	libmedia/ffmpeg/AudioDecoderFfmpeg.cpp,
	libmedia/ffmpeg/AudioDecoderFfmpeg.h,
	libmedia/gst/AudioDecoderGst.cpp, libmedia/gst/AudioDecoderGst.h,
	libmedia/haiku/AudioDecoderHaiku.cpp,
	libmedia/haiku/AudioDecoderHaiku.h, libsound/EmbedSoundInst.cpp,
	libsound/LiveSound.h, libsound/StreamingSound.cpp: Removed parse
	parameter from AudioDecoder interface.  This parameter was unused, and FFmpeg now detects the need
	automatically.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Log unimplemented
	for a permitted case.  BitmapData.draw() can take a BitmapData argument rather than a
	MovieClip.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: Add sound stream field.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/dump/dump.cpp, gui/dump/dump.h, gui/gnash.cpp: Add a trigger
	expression.  Don't start dumping until it evaluates to true.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/gui.cpp: Frame skipping is now handled in movie_root.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: Add comment.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.h: Document failure return.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp, libcore/movie_root.h,
	libcore/vm/ActionExec.cpp: Allow abandoning synchonization.  If A/V synchronization problems are due to ActionScript execution
	rather than rendering, the chances are we'll never catch up to the
	sound. In this case we notify the user after the timeout limit is
	reached and check if we should abandon the attempt to synchonize.  Make the movie_root::abortOnScriptTimeout() function into an
	all-purpose queryInterface() function so we can reuse it.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.h, libsound/sound_handler.h: Add documentation.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: We use streaming sound for synchronization
	now.  If there's no sound, there's no need to synchronize.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/dump/dump.cpp, gui/dump/dump.h: Drop incorrect preprocessor
	conditionals.  dump.cpp doesn't require sys/time.h. Also it requires no callback_t
	type.

2011-07-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/dump/dump.cpp: Clean up.  dump.cpp uses only C++ (and C) standard signals, so use csignal and
	don't check for signal.h. Don't flush std::cerr with std::endl
	because it's automatic and only flush std::cout at the end of a
	complete output statement.

2011-07-27  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/sound/Makefile.am: Remove generated swf
	files.  Should fix distclean.

2011-07-12  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.cpp, libsound/sound_handler.h: Drop
	streamSamplesFetched() again.

2011-07-12  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/sound/Makefile.am,
	testsuite/misc-ming.all/sound/streamingSoundTest2-Runner.cpp,
	testsuite/misc-ming.all/sound/streamingSoundTest2.c: Add test for
	multiple sound streams.  Only the first started one drives the timeline.

2011-07-12  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp, libcore/swf/StreamSoundBlockTag.cpp,
	libsound/StreamingSound.cpp: Add empty buffers as synchonization.  Also add notes about the synchronization options and implementation.

2011-07-12  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* configure.ac, testsuite/MovieTester.cpp, testsuite/MovieTester.h,
	testsuite/misc-ming.all/EmbeddedSoundTest-Runner.cpp,
	testsuite/misc-ming.all/EmbeddedSoundTest.c,
	testsuite/misc-ming.all/Makefile.am,
	testsuite/misc-ming.all/StreamSoundTest.c,
	testsuite/misc-ming.all/StreamSoundTestRunner.cpp,
	testsuite/misc-ming.all/eventSoundTest1-Runner.cpp,
	testsuite/misc-ming.all/eventSoundTest1.c,
	testsuite/misc-ming.all/sound/EmbeddedSoundTest-Runner.cpp,
	testsuite/misc-ming.all/sound/EmbeddedSoundTest.c,
	testsuite/misc-ming.all/sound/Makefile.am,
	testsuite/misc-ming.all/sound/StreamSoundTest.c,
	testsuite/misc-ming.all/sound/StreamSoundTestRunner.cpp,
	testsuite/misc-ming.all/sound/eventSoundTest1-Runner.cpp,
	testsuite/misc-ming.all/sound/eventSoundTest1.c,
	testsuite/misc-ming.all/sound/streamingSoundTest1-Runner.cpp,
	testsuite/misc-ming.all/sound/streamingSoundTest1.c,
	testsuite/misc-ming.all/streamingSoundTest1-Runner.cpp,
	testsuite/misc-ming.all/streamingSoundTest1.c: Move sound tests into
	a separate directory.  Resurrect streamingSound1Test, which was there but neither built not
	run.

2011-07-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp, libcore/movie_root.h: Tidy up a bit.

2011-07-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: Only update last frame time when we
	advanced.

2011-07-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.cpp: Don't access invalid sounds.

2011-07-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/MovieClip.cpp, libcore/movie_root.cpp,
	libcore/movie_root.h, libcore/swf/StreamSoundBlockTag.cpp,
	libsound/StreamingSound.h, libsound/StreamingSoundData.cpp,
	libsound/StreamingSoundData.h, libsound/sdl/sound_handler_sdl.cpp,
	libsound/sound_handler.cpp, libsound/sound_handler.h: Rough but
	effective synchronization mechanism.

2011-07-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.cpp, libsound/sound_handler.h: Correct
	documentation and move function.  The get_volume function is also only for event sounds.

2011-07-26  Sandro Santilli <strk@keybit.net>

	* libcore/parser/action_buffer.h: Add missing <map>, for composition
	(build on lenny failed otherwise)

2011-07-23  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Noise doesn't need
	to be a member.

2011-07-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Simplify
	mathematics.  Size cancels itself out, so don't use it.

2011-07-24  Sandro Santilli <strk@keybit.net>

	* testsuite/Makefile.am: Use nanoseconds for the LC key, simpler,
	and HEX wasn't supported ...

2011-07-24  Sandro Santilli <strk@keybit.net>

	* testsuite/Makefile.am, testsuite/gnashrc.in: Use a random SHM key,
	hopefully fixing conflicts in chrooted builds

2011-07-23  Sandro Santilli <strk@keybit.net>

	* libmedia/ffmpeg/VideoDecoderFfmpeg.cpp: typo (#33841)

2011-07-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/StringPredicates.h: Use existing boost functions.

2011-07-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/GnashAlgorithm.h, libbase/GnashFactory.h,
	libcore/as_object.cpp, libmedia/FLVParser.cpp: Don't duplicate bind
	functionality.  Unusually, it's more concise than the alternative.

2011-07-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/Player.cpp: Remove unused variable.

2011-07-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	libcore/asobj/flash/display/BitmapData_as.h: Remove another member
	function.  Make fillRect a non-member function.

2011-07-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	libcore/asobj/flash/display/BitmapData_as.h: More documentation and
	cleanup.  Make floodFill non-member function. Improve documentation of
	BitmapData_as, especially cost of access. Store more data in
	functions to avoid very frequent calls to data().

2011-07-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Documentation.

2011-07-20  Sandro Santilli <strk@keybit.net>

	* NEWS: Add note about Captivate output support

2011-07-20  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* NEWS: Update NEWS.

2011-07-20  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/loop/loop_test4.c,
	testsuite/misc-ming.all/loop/loop_test5.c: Fix libming warnings

2011-07-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/MovieTester.cpp, testsuite/MovieTester.h: Always use our
	own exp2 function.  What's the point on relying on something non-standard for testsuite
	code?

2011-07-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/libcore.all/MatrixTest.cpp: More namespace and header
	cleanups.

2011-07-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* librender/agg/Renderer_agg.cpp,
	librender/cairo/Renderer_cairo.cpp, testsuite/FuzzyPixel.cpp,
	testsuite/FuzzyPixel.h: Various header and namespace corrections.

2011-07-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/DrawingApiTestRunner.cpp,
	testsuite/movies.all/gravity_embedded-TestRunner.cpp: Testsuite
	cleanups.

2011-07-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/libcore.all/EdgeTest.cpp: Clean up test.

2011-07-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Geometry.h: Update documentation and const correct.

2011-07-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Geometry.cpp: Headers and cleanup.  Include required headers, const correct, and template
	curve_x_crossings so that we can switch between double and float
	easily.

2011-07-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/libcore.all/EdgeTest.cpp: Fix more symbol errors.

2011-07-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/MovieTester.cpp: Include the correct header for exp2.  Also use std::ceil. Somehow this fixes linking using gcc's
	link-time-optimization so that we can have really optimized tests
	too.

2011-07-19  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/Matrix.as: A fix and a tolerance
	improvement for Matrix.as test Implements Point.toRoundString function to account for floating
	numbers, corrects a test which was failing in SWF6 with official
	player.

2011-07-19  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* libbase/tu_file.cpp, libbase/tu_file.h: Documented tu_file.h and
	makeFileChannel now also accepts a path.  See patch #7582

2011-07-18  Sandro Santilli <strk@keybit.net>

	* libcore/MovieClip.cpp, libcore/MovieClip.h,
	libcore/movie_root.cpp,
	testsuite/misc-ming.all/action_order/ActionOrderTest5.c: Queue
	onLoad events with a second liveChars scan in movie_root Gives 6 unexpected successes (all in ActionOrderTest5) and no
	unexpected failure. Also fixes bug #33521.

2011-07-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	libcore/asobj/flash/display/BitmapData_as.h: Use an enum for
	channels.  Fewer magic numbers.

2011-07-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	libcore/asobj/flash/display/BitmapData_as.h: Don't use so many
	member functions.  It's better to use the existing interface.

2011-07-18  Sandro Santilli <strk@keybit.net>

	* Makefile.am: Fix path to ChangeLog files

2011-07-18  Sandro Santilli <strk@keybit.net>

	* ChangeLog-0.8.0, ChangeLog-0.8.1, ChangeLog-0.8.2,
	ChangeLog-0.8.3, ChangeLog-0.8.4, ChangeLog-0.8.5, ChangeLog-0.8.6,
	ChangeLog-0.8.7, ChangeLog-0.8.8, ChangeLog.gameswf,
	doc/changelogs/ChangeLog-0.8.0, doc/changelogs/ChangeLog-0.8.1,
	doc/changelogs/ChangeLog-0.8.2, doc/changelogs/ChangeLog-0.8.3,
	doc/changelogs/ChangeLog-0.8.4, doc/changelogs/ChangeLog-0.8.5,
	doc/changelogs/ChangeLog-0.8.6, doc/changelogs/ChangeLog-0.8.7,
	doc/changelogs/ChangeLog-0.8.8, doc/changelogs/ChangeLog.gameswf: 
	Move ChangeLog files in their own directory (under doc/)

2011-07-17  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/action_order/ActionOrderTest5.c: Stop mc3
	timeline at end of test, reduce frame rate to 1fps

2011-07-17  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* Makefile.am: Added base-attempter.sh to EXTRA_DIST in Makefile.am

2011-07-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Handle octave
	offsets.

2011-07-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Tabs to spaces.

2011-07-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Apply alpha to
	greyscale if requested.

2011-07-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: More small
	corrections based on manual tests.

2011-07-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/actionscript.all/BitmapData.as: Test channels.  Gnash passes!

2011-07-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Implement channels.

2011-07-17  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/register_class/registerClassTest2.c: Add
	test for frame0 actions execution order.  Shows the difference done by presence or absence of clip events on
	the execution order of onLoad event.

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Correct non-fractal
	algorithm.  Based on observation of some real examples, each octave has an
	absolute noise value.

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Implement fractal
	noise.

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Implement octaves.  It's not identical to the pp, but it's pretty good.

2011-07-16  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/trace-as2/shortstack.trace: Forgot to
	add shortstack.trace..

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	testsuite/actionscript.all/BitmapData.as: Do some basic colour range
	testing.

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Minor changes.

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	testsuite/actionscript.all/BitmapData.as: Test what happens when
	there are no octaves.

2011-07-16  Sandro Santilli <strk@keybit.net>

	* libcore/vm/ASHandlers.cpp,
	testsuite/misc-swfmill.all/trace-as2/PASSING: Fix ActionNewAdd with
	short stack (bug #33754) We likely fail with _every_other_ opcode in shortstack conditions...
	... if you care, add tests to the shortstack.xml file

2011-07-16  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/trace-as2/Makefile.am,
	testsuite/misc-swfmill.all/trace-as2/shortstack.xml: Automate test
	for bug #33754 (gnash fails)

2011-07-16  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/ops.as: Attempt to test #33754 (NewAdd
	with undefined) but gnash succeeds...

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Add documentation.

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Log unimpl and fix
	unused variable warnings.

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Optimize algorithm.  Don't use getPixel because it's very slow, but mainly just make the
	code tidier.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Implement perlin
	noise (partially).  Conflicts: 	libcore/asobj/flash/display/BitmapData_as.cpp

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayList.cpp, testsuite/swfdec/PASSING: Fix off-by-one
	error for DisplayObject removal.

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/TextFormat_as.cpp, testsuite/swfdec/PASSING: Empty
	text has no height either.  Fixes swfdec tests.

2011-07-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/swfdec/PASSING: Expect passes from strk's fix.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/Object.cpp, testsuite/swfdec/PASSING: Fix swfdec
	test.

2011-07-16  Sandro Santilli <strk@keybit.net>

	* libcore/asobj/String_as.cpp, testsuite/actionscript.all/String.as: 
	Add another test for UTF8 with indexOf, and simplify the fix for
	lastIndexOf It seems what always using wide strings does the right thing as our
	decoder takes version into consideration (neat, thanks bwy!)

2011-07-16  Sandro Santilli <strk@keybit.net>

	* libcore/asobj/String_as.cpp, testsuite/actionscript.all/String.as: 
	Fix lastIndexOf with UTF-8 (bug #33718) - expect success in
	testcase.

2011-07-15  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/String.as: Add test for lastIndexOf
	with UTF8 characters (for bug #33718) -- gnash fails

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* librender/cairo/Renderer_cairo.cpp: Add default case to keep gcc
	happy.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/FillStyle.cpp, libcore/FillStyle.h,
	libcore/LineStyle.cpp, libcore/RGBA.cpp, libcore/RGBA.h,
	libcore/movie_root.cpp, libcore/swf/DefineEditTextTag.cpp,
	librender/opengl/Renderer_ogl.cpp, testsuite/MovieTester.cpp: Reduce
	rgba interface.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/GnashAlgorithm.h: Don't include headers unnecessarily.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp, libcore/asobj/AsBroadcaster.cpp,
	libcore/asobj/Camera_as.cpp, libcore/asobj/Function_as.cpp,
	libcore/asobj/Global_as.h, libcore/asobj/LoadVars_as.cpp,
	libcore/asobj/Microphone_as.cpp, libcore/asobj/MovieClip_as.cpp,
	libcore/asobj/SharedObject_as.cpp, libcore/asobj/Video_as.cpp,
	libcore/asobj/XML_as.cpp,
	libcore/asobj/flash/external/ExternalInterface_as.cpp: Add an empty
	function.  It makes the assignments more expressive.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp, libcore/movie_root.h: Queued constructors
	are only for MovieClips Even though they are stored as DisplayObjects, we know they must be
	MovieClips, so only allow MovieClips to be passed.  Other minor cleanups.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/MovieClip.cpp: Add comments.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayObject.cpp, libcore/MovieClip.cpp: Only MovieClips
	have constructors.  So only remove them from MovieClip unload actions.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayObject.cpp, libcore/MovieClip.cpp: Only MovieClips
	have an unload handler.  So only check in MovieClip::unloadChildren if it exists. Also only
	check if there are no child handlers to avoid unnecessary lookups.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/DragDropTest.as: Add test for
	ActionStopDrag opcode.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/DragDropTest.as,
	testsuite/misc-ming.all/DragDropTestRunner.cpp: Test that
	MovieClip.startDrag works for TextFields.  It does, and Gnash now does so too.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/MovieClip_as.cpp: Make MovieClip.prototype.startDrag
	less picky.  It can also be applied to TextFields and Buttons.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/MovieClip_as.cpp: Add used headers.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DragState.h, libcore/asobj/MovieClip_as.cpp,
	libcore/movie_root.cpp, libcore/movie_root.h,
	libcore/vm/ASHandlers.cpp: Use boost::optional and make DragState
	less mutable.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayObject.cpp: Don't waste space.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/vm/ASHandlers.cpp: Split long line.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libmedia/gst/MediaParserGst.cpp: Trim some long lines.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: Minor cleanup.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/MovieClip.cpp, libcore/MovieClip.h: Drop some unneeded
	things.  Functions, typedefs, comments.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/vm/ASHandlers.cpp: Fixes to dragging.  ming erroneously compiles startDrag(this, true) by pushing "0"
	instead of a false value to the stack, but the pp still converts it
	to false.  Fix by using toNumber instead of toBool.  Gnash was checking for a valid target before calling stopDrag(), but
	this is unnecessary.

2011-07-15  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/MovieClip.h: Make notifyEvent nonvirtual.

2011-07-14  Sandro Santilli <strk@keybit.net>

	* .gitignore: Ignore generated 'libtool' and a test in misc-ming.all

2011-07-14  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/Makefile.am: Build libmingutils.la in
	misc-ming.all before descending in subdirs

2011-07-14  Sandro Santilli <strk@keybit.net>

	* testsuite/media/Makefile.am, testsuite/media/README,
	testsuite/misc-ming.all/loading/loadImageTest.c,
	testsuite/misc-ming.all/loading/loadMovieTest.c,
	testsuite/misc-ming.all/loading/loadMovieTestRunner.cpp,
	testsuite/misc-ming.all/loading/moviecliploader_test.c: Substitute
	"offspring" album cover with focused blue-toned image (#33764) Updates testcases accordingly.

2011-07-14  Sandro Santilli <strk@keybit.net>

	* testsuite/media/Makefile.am, testsuite/media/README,
	testsuite/misc-ming.all/Makefile.am,
	testsuite/misc-ming.all/definebitsjpeg2.c,
	testsuite/misc-ming.all/loading/loadImageTest.c,
	testsuite/misc-ming.all/loading/loadMovieTest.c,
	testsuite/misc-ming.all/loading/loadMovieTestRunner.cpp,
	testsuite/misc-ming.all/loading/moviecliploader_test.c: Substitute
	"lynch" album cover with focused red-toned image (#33764) Updates testcases accordingly.

2011-07-14  Sandro Santilli <strk@keybit.net>

	* testsuite/media/README, testsuite/misc-ming.all/BitmapDataDraw.c,
	testsuite/misc-ming.all/loading/LoadBitmapTest.c: Substitute "green"
	album cover with focused green-toned image (#33764) Updates testcases accordingly.

2011-07-13  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/init_action/InitActionTest2.c: Review and
	cleanup InitActionTest2.c The test seems to cover lots of cases, does it mean the comments in
	DoInitActionTag.h are outdated ?

2011-07-13  Sandro Santilli <strk@keybit.net>

	* .gitignore, testsuite/misc-ming.all/init_action/InitActionTest.c,
	testsuite/misc-ming.all/init_action/Makefile.am,
	testsuite/misc-ming.all/init_action/init_action_test.c: Rename files
	to avoid mixing CamelCase with underscore_separated...

2011-07-13  Sandro Santilli <strk@keybit.net>

	* configure.ac, testsuite/misc-ming.all/InitActionTest2.c,
	testsuite/misc-ming.all/Makefile.am,
	testsuite/misc-ming.all/init_action/InitActionTest2.c,
	testsuite/misc-ming.all/init_action/Makefile.am,
	testsuite/misc-ming.all/init_action/init_action_test.c,
	testsuite/misc-ming.all/init_action_test.c: Put INITACTION tests in
	their own dir

2011-07-13  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/register_class/Makefile.am: Fix
	abs_builddir

2011-07-13  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/register_class/registerClassTest2.c: 
	Assing a name to the clip-with-events too

2011-07-13  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/register_class/registerClassTest2.c: Be
	verbose also about the second onLoad event...

2011-07-13  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/register_class/registerClassTest2.c: Be
	more verbose during execution of onLoad events

2011-07-13  Sandro Santilli <strk@keybit.net>

	* configure.ac, testsuite/misc-ming.all/Makefile.am,
	testsuite/misc-ming.all/RegisterClassTest3.c,
	testsuite/misc-ming.all/RegisterClassTest4.c,
	testsuite/misc-ming.all/registerClassTest.c,
	testsuite/misc-ming.all/registerClassTest2.c,
	testsuite/misc-ming.all/registerClassTestRunner.cpp,
	testsuite/misc-ming.all/register_class/Makefile.am,
	testsuite/misc-ming.all/register_class/RegisterClassTest3.c,
	testsuite/misc-ming.all/register_class/RegisterClassTest4.c,
	testsuite/misc-ming.all/register_class/registerClassTest.c,
	testsuite/misc-ming.all/register_class/registerClassTest2.c,
	testsuite/misc-ming.all/register_class/registerClassTestRunner.cpp: 
	Put RegisterClass tests in their own dir

2011-07-13  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/trace-as2/Makefile.am,
	testsuite/misc-swfmill.all/trace-as2/PASSING,
	testsuite/misc-swfmill.all/trace-as2/root_onload.trace,
	testsuite/misc-swfmill.all/trace-as2/root_onload.xml: Add a
	trace-based test for _root.onLoad user-function execution order This is likely already tested elsewhere, but since I've been working
	on it trying to prove Gnash wrong (see bug #33521) I tought I'd add
	it nonetheless.

2011-07-13  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/NetStream_as.cpp: Don't multiply by 100 times too
	much.  Fixes some odd playback sounds for NetStream after an earlier commit
	broke it.

2011-07-13  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am: Don't loop 50 times in
	tests when a single run is enough

2011-07-12  Sandro Santilli <strk@keybit.net>

	* libcore/ConstantPool.cpp, libcore/ConstantPool.h: I guess you need
	ConstantPool class files too...

2011-07-12  Sandro Santilli <strk@keybit.net>

	* libcore/Function.cpp, libcore/Function.h, libcore/Function2.cpp,
	libcore/Makefile.am, libcore/MovieClip.cpp, libcore/movie_root.cpp,
	libcore/parser/action_buffer.cpp, libcore/parser/action_buffer.h,
	libcore/vm/ASHandlers.cpp, libcore/vm/ExecutableCode.h,
	libcore/vm/VM.cpp, libcore/vm/VM.h,
	testsuite/misc-swfmill.all/afunc_dict.xml,
	testsuite/misc-swfmill.all/dict_cross.xml,
	testsuite/misc-swfmill.all/func_dict.xml, testsuite/swfdec/PASSING: 
	Make ConstantPool managed by VM These changes decouple ConstantPool objects from action_buffer
	allowing them to be used across multiple DoAction blocks in a single
	frame. Also associates a ConstantPool to each SWF-defined function
	so that its execution is not dependent on caller environment.  All changes are tested with focused tests in misc-swfmill.all, which
	now pass except for a single case (dict_event.swf).  An swfdec
	testcase also succeeds.  The still-failing test seems to suggest that clip event code should
	NOT be run in a pool sandbox but doing so breaks other swfdec tests.

2011-07-12  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am,
	testsuite/misc-swfmill.all/dict_event.xml: Add test for constant
	pool and clip event code interaction (gnash fails)

2011-07-12  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am,
	testsuite/misc-swfmill.all/dict_callframe.xml: Add test for constant
	pool usage on CallFrame action (succeeds)

2011-07-12  Sandro Santilli <strk@keybit.net>

	* libcore/vm/ASHandlers.cpp: CallFrame: Drop item from stack before
	invoking actions in called frame.  This has currently no testcase but I've seen it failing while
	preparing a new test for constant pools. So hopefully the constant
	pool test I'll commit will also serve the purpose of enforcing this
	behavior.

2011-07-09  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* libmedia/AudioDecoderSimple.cpp: Don't memcpy data if you need to
	endian-swap it anyways.  Formerly, the code memcpy'd the data to a new buffer, and then
	endian-swapped it, thus doing twice the work.  Now it should do the
	endian-swapping during the copy phase.  The compiler will usually
	optimize the byte swap into a single rot8 instruction - I assume BE
	CPUs have the same instruction.

2011-07-12  Sandro Santilli <strk@keybit.net>

	* NEWS: Add news about uncompressed sound support (was broken in
	0.8.9)

2011-07-12  Sandro Santilli <strk@keybit.net>

	* libmedia/MediaHandler.cpp: Have base MediaHandler use
	AudioDecoderSimple for UNCOMPRESSED sound.  Without this fix the gstreamer MediaHandler would fail to support
	uncompressed sound. See comment #3 in patch #7575.

2011-07-12  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/afunc_dict.xml,
	testsuite/misc-swfmill.all/dict_cross.xml,
	testsuite/misc-swfmill.all/func_dict.xml: Unexpect ConstantPool
	successes, or fixing bugs ain't fun

2011-07-09  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* gui/gtk/gtk_canvas.cpp: Fixed building GTK without AGG, but rather
	OpenGL.  Some misplaced macros broke compliation when configuring with
	--enable-gui=gtk --enable-renderer=opengl

2011-07-11  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/dict_cross.xml: Add End actions between
	DoAction blocks to show that availability of constant pool to
	different DoAction blocks is not due to some side-effect of missing
	End opcodes

2011-07-08  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* base-attempter.sh: Made base-attempter.sh more user-friendly.

2011-07-08  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* configure.ac: Fixed broken out-of-dir regression in configure.ac.

2011-06-04  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* .gitignore, Makefile.am, base-attempter.sh, configure.ac: 
	Configure generates a script that installs everything it suggests.  All the ".deb users install this" lines have been replaced with
	macros that automatically format suggestions on how to install
	software, whether you are using .deb or .rpm or just plain source
	code. After running configure, the user will be able to run a simple
	command as root, and the build system will attempt to install
	anything that configure wants.  This version should work perfectly
	on .deb platforms and should mostly work on .rpm platforms. This
	version should install everything needed in one try, as it also
	fixes a few bugs in configure.ac. Since all information about
	packages are now encoded in macros, extending and modifying the
	system is as simple as changing the macros declaration.  This patch
	has been successfully tested on Mint 11 (natty) and tested a bit on
	Fedora 15.  There may be bugs in the handling of some packages that
	were weirdly checked (such as FFmpeg, boost, and the like. The
	checking wasn't consistent and I may have caused bugs).

2011-07-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/LiveSound.cpp, libsound/sound_handler.cpp: Don't add
	sounds if there's no decoder available!

2011-07-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp: Drop old irritating debugging message.

2011-07-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp, libcore/TextField.cpp: Drop debugging and add
	note.

2011-07-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/TextField.cpp, libcore/asobj/Global_as.cpp,
	libcore/parser/SWFMovieDefinition.cpp,
	libcore/swf/DefineButtonTag.cpp, libcore/vm/ActionExec.cpp: Fix some
	cppcheck warnings.

2011-07-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/extension.cpp, libbase/sharedlib.cpp: Use <ltdl.h> We now use the system header, so use the convention for that.

2011-07-08  Sandro Santilli <strk@keybit.net>

	* README: Add SeaMonkey to the list of browsers known to work (as
	reported by newl in IRC). Reword the section a little bit.

2011-07-08  Sandro Santilli <strk@keybit.net>

	* libcore/swf/SetTabIndexTag.cpp: Log once about SetTabIndexTag
	being unimplemented

2011-07-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/media/Makefile.am: Add click.mp3 to dist.

2011-07-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/MovieClip.cpp, libcore/vm/ExecutableCode.h: Move
	QueuedEvent to where it's needed.

2011-07-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* : commit 85dc4b2d054ffec6cbbbe9d5831c08b96225d9b5 Author: Benjamin
	Wolsey <bwy@benjaminwolsey.de> Date:   Fri Jul 8 07:59:09 2011 +0200

2011-07-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp, libcore/Button.h, libcore/DisplayObject.cpp,
	libcore/DisplayObject.h, libcore/InteractiveObject.h,
	libcore/MovieClip.cpp, libcore/MovieClip.h, libcore/TextField.cpp,
	libcore/TextField.h, libcore/movie_root.cpp,
	libcore/vm/ExecutableCode.h, testsuite/DummyCharacter.h: Rationalize
	event handling.  Drop all-purpose event handling functions and replace with specific
	ones. TextField gets keyInput for handling user key presses.  Move queueEvent to MovieClip; only ENTER_FRAME, LOAD, and INITIALIZE
	events were queued from MovieClip; only UNLOAD was queued from
	DisplayObject, but this event is only handled by MovieClip
	subclasses.  Remove notifyEvent from DisplayObject, InteractiveObject, and
	TextField.  Only MovieClips have a notifyEvent, which probably does more than it
	should. InteractiveObjects have only a mouseEvent (which in
	MovieClip is still handled by notifyEvent).

2011-07-07  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/func_dict.xml: Improve the test for
	dictionary use in function to show that when coming back from
	functions, the previous dictionary is again in effect

2011-07-07  Sandro Santilli <strk@keybit.net>

	* libcore/Function.cpp: Tabs to spaces

2011-07-07  Sandro Santilli <strk@keybit.net>

	* libcore/Function.h, libcore/UserFunction.h: Typos

2011-07-07  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am,
	testsuite/misc-swfmill.all/dict_cross.xml: Add another constant pool
	(dictionary) test. Showing more gnash bugs about it.

2011-07-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libmedia/ffmpeg/MediaParserFfmpeg.cpp: Fix metadata build for
	Lenny.

2011-07-07  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am,
	testsuite/misc-swfmill.all/afunc_dict.xml,
	testsuite/misc-swfmill.all/func_dict.xml: Fix runner for the new
	func_dict.xml test, add an afunc_dict.xml test for testing the
	constant pool bug with anonymous functions.

2011-07-07  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am,
	testsuite/misc-swfmill.all/func_dict.xml: Add test for bug #33521
	(constant pool used by functions). Fails.

2011-07-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libmedia/ffmpeg/MediaParserFfmpeg.cpp: Put ifdef back in because
	Lenny needs it.

2011-07-07  Sandro Santilli <strk@keybit.net>

	* libbase/StreamProvider.cpp: include <cstring> for strerror (see

	http://gnashdev.org:8010/builders/lenny-linux-x86/builds/525/steps/compile/logs/stdio)

2011-07-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/actionscript.all/Sound.as: Update test totals.  We're not faking the id3 data now.

2011-07-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/Sound_as.cpp, libmedia/ffmpeg/MediaParserFfmpeg.cpp: 
	Use a separate function for id3.  Drop fake id3 info for debugging.

2011-07-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/Sound_as.cpp, libmedia/Id3Info.h,
	libmedia/Makefile.am, libmedia/MediaParser.cpp,
	libmedia/MediaParser.h, libmedia/ffmpeg/MediaParserFfmpeg.cpp,
	libmedia/ffmpeg/MediaParserFfmpeg.h,
	libmedia/gst/MediaParserGst.cpp, libmedia/gst/MediaParserGst.h,
	testsuite/actionscript.all/Sound.as: Start ID3 implementation.  The design works except that libavformat doesn't set the metadata
	where it should; this needs fixing! Gstreamer also doesn't collect
	metadata.

2011-07-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/media/README: Add an mp3 click track with ID3 data.

2011-07-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/Sound_as.cpp: Don't assign false again.  We've just asserted that it's false.

2011-07-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.h: Drop unnecessary headers.

2011-07-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/gui.cpp: Don't waste space.

2011-07-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/LiveSound.h, libsound/StreamingSoundData.cpp: Don't parse
	raw sound.

2011-07-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/StreamSoundBlockTag.cpp, libsound/LiveSound.cpp,
	libsound/SoundUtils.h, libsound/StreamingSound.cpp,
	libsound/StreamingSound.h, libsound/StreamingSoundData.cpp,
	libsound/StreamingSoundData.h, libsound/sdl/sound_handler_sdl.cpp,
	libsound/sdl/sound_handler_sdl.h, libsound/sound_handler.cpp,
	libsound/sound_handler.h: Implement seeksamples.  Not sure if it's correct, but at least the data is used.

2011-07-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/EmbedSound.cpp, libsound/EmbedSound.h: Make things
	private.

2011-07-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/StreamingSoundData.h: Make things private.

2011-07-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.cpp: Don't add sound twice to playing
	instances.

2011-07-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/EmbedSoundInst.h, libsound/LiveSound.h,
	libsound/sound_handler.cpp: Minor cleanups.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/EmbedSoundInst.h, libsound/LiveSound.cpp,
	libsound/LiveSound.h: Fix loop count and bug from previous commit.  A loop count of -1 is (accurately) documented to mean 'loop for
	ever'; so don't store it as an unsigned value and handle that case
	gracefully! Make sure custom end works.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/EmbedSoundInst.cpp, libsound/EmbedSoundInst.h: Fix loop
	count.  A loop count of -1 is (accurately) documented to mean 'loop for
	ever'; so don't store it as an unsigned value and handle that case
	gracefully!

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/EmbedSound.cpp, libsound/EmbedSoundInst.cpp,
	libsound/EmbedSoundInst.h, libsound/LiveSound.cpp,
	libsound/LiveSound.h, libsound/StreamingSound.cpp,
	libsound/StreamingSound.h, libsound/sound_handler.cpp,
	libsound/sound_handler.h: Use LiveSound base class and clean up.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/EmbedSound.cpp, libsound/EmbedSound.h,
	libsound/LiveSound.cpp, libsound/LiveSound.h, libsound/Makefile.am,
	libsound/StreamingSound.cpp, libsound/StreamingSound.h,
	libsound/StreamingSoundData.cpp, libsound/StreamingSoundData.h,
	libsound/sound_handler.cpp, libsound/sound_handler.h: Introduce a
	common base class for sounds.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/StreamingSoundData.h: Remove comment.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/EmbedSound.cpp, libsound/EmbedSound.h,
	libsound/EmbedSoundInst.cpp, libsound/EmbedSoundInst.h,
	libsound/StreamingSound.cpp, libsound/StreamingSound.h,
	libsound/StreamingSoundData.cpp, libsound/StreamingSoundData.h: 
	Rearrange classes, restrict access.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/EmbedSoundInst.cpp, libsound/EmbedSoundInst.h: Update
	comments to match implementation.  All sound data is decoded to a buffer, so it need not be stored by
	pointer or checked.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/StreamSoundBlockTag.cpp, libsound/EmbedSound.cpp,
	libsound/EmbedSound.h, libsound/EmbedSoundInst.cpp,
	libsound/EmbedSoundInst.h, libsound/Makefile.am,
	libsound/StreamingSound.cpp, libsound/StreamingSound.h,
	libsound/StreamingSoundData.cpp, libsound/StreamingSoundData.h,
	libsound/sdl/sound_handler_sdl.cpp,
	libsound/sdl/sound_handler_sdl.h, libsound/sound_handler.cpp,
	libsound/sound_handler.h: Add a StreamingSound input stream and data
	class.  Store sound blocks as a series of buffers.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libmedia/gst/AudioInputGst.cpp: More pedantic errors.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/pythonmod/gnash-view.h: Use C comments in C.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/SWFMatrix.cpp: Fix more pedantic errors.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/Global_as.h: Make macros standard compliant.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/GnashTexture.h: Fix pedantic error.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.cpp: Reduce duplication.

2011-07-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.cpp: Include order.

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.h: Update documentation.

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/SoundStreamHeadTag.cpp,
	libsound/sdl/sound_handler_sdl.cpp,
	libsound/sdl/sound_handler_sdl.h, libsound/sound_handler.cpp,
	libsound/sound_handler.h: More splitting.  Actually use a separate vector for streaming sounds.

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp, libcore/MovieClip.cpp,
	libcore/asobj/Sound_as.cpp, libcore/swf/StartSoundTag.cpp,
	libsound/sdl/sound_handler_sdl.cpp,
	libsound/sdl/sound_handler_sdl.h, libsound/sound_handler.cpp,
	libsound/sound_handler.h: Add separate functions for stopping
	sounds.  Both currently do the same thing until the streaming and event
	sounds are properly distributed to the relevant storage.

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.h: Add separate storage for streaming
	sounds.

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/sound_handler.cpp, libsound/sound_handler.h: Pass sound
	data from callers, not sound handle.  This makes it simpler to split event and streaming sounds.

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/parser/sound_definition.h,
	libsound/sdl/sound_handler_sdl.cpp,
	libsound/sdl/sound_handler_sdl.h, libsound/sound_handler.cpp,
	libsound/sound_handler.h: Const correct and document interface.  Document and reorder functions in preparation for splitting.

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/SoundStreamHeadTag.cpp, libcore/swf/tag_loaders.cpp,
	libsound/EmbedSound.cpp, libsound/EmbedSound.h,
	libsound/EmbedSoundInst.cpp, libsound/sdl/sound_handler_sdl.cpp,
	libsound/sdl/sound_handler_sdl.h, libsound/sound_handler.cpp,
	libsound/sound_handler.h: Pass SoundInfos by value.  They aren't very big, don't get passed very often, and this saves a
	load of code required for the auto_ptrs.  Force implementation of sound_handler::create_sound in base classes
	by making it pure virtual with an implementation. This should help
	externally-maintained parts to adapt to the interface changes.

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/EmbedSoundInst.cpp: Remove done TODOs.

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/EmbedSoundInst.cpp, libsound/EmbedSoundInst.h: Use
	SoundUtils.h

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/NetStream_as.cpp: Use SoundUtils.h

2011-07-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/Makefile.am, libsound/SoundUtils.h: Add sound utilities.

2011-07-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/as_value.cpp: Clean includes.

2011-07-05  Sandro Santilli <strk@keybit.net>

	* libbase/StreamProvider.cpp: Don't need c_str() to pass a string to
	our logger functions (again)

2011-07-05  Sandro Santilli <strk@keybit.net>

	* libbase/StreamProvider.cpp: Don't need c_str() to pass a string to
	our logger functions

2011-07-05  Sandro Santilli <strk@keybit.net>

	* testsuite/libbase.all/URLTest.cpp: Try UTF-8 character in URL
	string, trying to reproduce bug #33718 (unsuccessfully)

2011-07-02  Sandro Santilli <strk@keybit.net>

	* doc/C/usermanual/gnashrc.xml: Apply contributed patch to
	documentation to note gnashrc directives are case-insensitive [bug
	#33684]

2011-07-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/StreamSoundBlockTag.cpp, libsound/sound_handler.h: Add
	some notes.

2011-07-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/StreamSoundBlockTag.cpp: Use sample count from mp3
	data when available.  "Use" is not really correct, as the sound_handler ignores it. But
	this value should take priority over the stream head value for the
	amount of samples actually played.

2011-07-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/actionscript.all/MovieClip.as: Correct tests results.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp, testsuite/actionscript.all/MovieClip.as: Test
	more and log_unimpl.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp,
	testsuite/misc-ming.all/ButtonPropertiesTest.c: Test and implement
	Button.getDepth().  It's only a very simple test.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/KeyEventOrder.c: Expect pass.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp, libcore/Button.h, libcore/movie_root.cpp: 
	Don't use notifyEvent().  The notifyEvent function is largely overkill because it handles far
	more events than generally required. In this case a Button-specific
	function is better.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp, libcore/movie_root.cpp, libcore/movie_root.h,
	libcore/swf/DefineButtonTag.h: Documentation, drop debugging,
	cleanup.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/DefineButtonTag.cpp, libcore/swf/DefineButtonTag.h: 
	Remove unneeded member, minor renames.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Button.cpp, libcore/Button.h, libcore/movie_root.cpp,
	libcore/movie_root.h, libcore/swf/DefineButtonTag.cpp,
	libcore/swf/DefineButtonTag.h: Fix button key listeners.  Only one listener can be registered for each key. Subsequent
	attempts are ignored. A frame count is needed for skip back, because
	new DisplayObjects are constructed before the old ones are destroyed
	when jumping back, and this means that their attempt to register a
	key listener is blocked by the not-yet-destroyed Button.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: Don't send unhandled key events to
	Buttons.  Buttons do not handle key down or key up events, so don't send them.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/Sound_as.cpp: Remove silly copy-paste error.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayObject.cpp: Header cleanups.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: Minor cleanups.

2011-06-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.h: Add documentation for recent changes.

2011-06-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/DefineMorphShapeTag.cpp,
	libcore/swf/PlaceObject2Tag.cpp: Fix new unused variable warnings.

2011-06-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/CSMTextSettingsTag.cpp,
	libcore/swf/CSMTextSettingsTag.h: Fix includes and new compiler
	warnings.  Make sure header is self-contained, mark unused variables.

2011-06-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* utilities/processor.cpp: Remove unused stop_count.

2011-06-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/DefineScalingGridTag.cpp,
	libcore/swf/ShapeRecord.cpp, libmedia/gst/AudioInputGst.cpp: Fix
	some new compiler warnings.

2011-06-29  Sandro Santilli <strk@keybit.net>

	* libbase/StreamProvider.cpp: Use std::strerror to tell more about
	std::fopen failures

2011-06-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/Array_as.cpp: Use the ObjectURI we locate.

2011-06-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/TextField.cpp: Don't construct unused iterators.

2011-06-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp: Use the colour we create.

2011-06-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/MovieClip.cpp, libcore/asobj/Object.cpp,
	libcore/movie_root.cpp, libcore/movie_root.h,
	libcore/parser/sprite_definition.cpp,
	libcore/parser/sprite_definition.h: Don't store as_functions in the
	sprite definition.

2011-06-25  Gabriele Giacone <1o5g4r8o@gmail.com>

	* configure.ac, macros/libslist: Add multiarch paths.

2011-06-25  Gabriele Giacone <1o5g4r8o@gmail.com>

	* doc/C/cygnal.man-xml: Fix cygnal manpage.

2011-05-31  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/SoundStreamHeadTag.cpp: Remove obsolete comment.

2011-05-31  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/StreamSoundBlockTag.cpp,
	libcore/swf/StreamSoundBlockTag.h: Cleanup includes

2011-06-11  Sandro Santilli <strk@keybit.net>

	* libcore/vm/ActionExec.cpp: Missing space in error message

2011-06-03  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* configure.ac: Recommend installing the libspeexdsp library when
	configuring. Note: on debian-ish platforms, this is distributed
	separately from libspeex, while on RPM-platforms they are
	distributed together.

2011-06-03  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* macros/qt3.m4, macros/qt4.m4: Require the development headers to
	be installed to use qt, and not just use qt if the library is
	installed. Installing qt in a manner that these files would detect,
	while not having the dev files around, will let configure allow
	building the qt gui, but the build will break.

2011-06-03  Jonas 'Sortie' Termansen <sortie@maxsi.org>

	* macros/gnashpkgtool.m4: Require headers to be installed before
	allowing linking. This prevents a bug where the library is found,
	but no headers are found, but the compile still continues, and not
	./configure telling the user to install the library's development
	files.

2011-06-02  Gabriele Giacone <1o5g4r8o@gmail.com>

	* packaging/deb.am: Packaging supports python >2.6. Fixes natty
	packaging.

2011-05-30  Rob Savoye <rob@welcomehome.org>

	* : merge from master

2011-05-28  Rob Savoye <rob@welcomehome.org>

	* libbase/GnashImageJpeg.cpp: only define boolean for jpeg 7

2011-05-27  Rob Savoye <rob@welcomehome.org>

	* libbase/GnashImageJpeg.cpp: define boolean as int when using
	mingw32

2011-05-27  Rob Savoye <rob@welcomehome.org>

	* configure.ac: fix test for pkgroot

2011-05-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/StreamSoundBlockTag.cpp: Log only once.

2011-05-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libmedia/SoundInfo.h: Use legal identifier.

2011-05-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Makefile.am, libcore/swf/DefaultTagLoaders.cpp,
	libcore/swf/SoundStreamHeadTag.cpp,
	libcore/swf/SoundStreamHeadTag.h, libcore/swf/tag_loaders.cpp,
	libcore/swf/tag_loaders.h: Handle StreamSoundHead tags in their own
	file.

2011-05-26  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/StreamSoundBlockTag.cpp,
	libcore/swf/StreamSoundBlockTag.h: Clean up StreamSoundBlockTag.  Use Gnash style, drop unused function, use int type consistently.

2011-05-25  Sandro Santilli <strk@keybit.net>

	* configure.ac, gui/Makefile.am, gui/gtk/gtk.am: USE_VAAPI
	conditional is not being used, so don't define it... This is trying
	to reduce confusion while debugging bug #33393

2011-05-19  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/eventSoundTest1-Runner.cpp,
	testsuite/misc-ming.all/eventSoundTest1.c: Check that
	onSoundComplete is called at least once when all sounds are finished
	playing (test for #23020)

2011-05-19  Sandro Santilli <strk@keybit.net>

	* libbase/log.cpp: Use number of milliseconds since start as the log
	timestamp.

2011-05-19  Sandro Santilli <strk@keybit.net>

	* libcore/asobj/Sound_as.cpp, libsound/sound_handler.cpp,
	libsound/sound_handler.h: Implement onSoundComplete for embedded
	event sounds, fixing bug #23020

2011-05-19  Sandro Santilli <strk@keybit.net>

	* libcore/MovieClip.cpp: Flushing of orphaned tags belong to action
	(not debug) logging

2011-05-19  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/Makefile.am: Re-enable building index
	for online tests, for some reason removed in commit
	6afad08f5ac4416ac0205cd3c2df8ef703adc531 (which was unrelated...)

2011-05-19  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/Makefile.am: Fix MAKESWF flags for
	online-tests

2011-05-19  Sandro Santilli <strk@keybit.net>

	* extensions/fileio/Makefile.am: Another check.as user requiring
	proper -I to find revno.h ...

2011-05-19  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/ASnative.as,
	testsuite/actionscript.all/Accessibility.as,
	testsuite/actionscript.all/AsBroadcaster.as,
	testsuite/actionscript.all/BitmapData.as,
	testsuite/actionscript.all/Boolean.as,
	testsuite/actionscript.all/Camera.as,
	testsuite/actionscript.all/Color.as,
	testsuite/actionscript.all/ColorTransform.as,
	testsuite/actionscript.all/ContextMenu.as,
	testsuite/actionscript.all/Date.as,
	testsuite/actionscript.all/Error.as,
	testsuite/actionscript.all/Function.as,
	testsuite/actionscript.all/Global.as,
	testsuite/actionscript.all/HitTest.as,
	testsuite/actionscript.all/Inheritance.as,
	testsuite/actionscript.all/Instance.as,
	testsuite/actionscript.all/Key.as,
	testsuite/actionscript.all/LoadVars.as,
	testsuite/actionscript.all/LocalConnection.as,
	testsuite/actionscript.all/Math.as,
	testsuite/actionscript.all/Matrix.as,
	testsuite/actionscript.all/Microphone.as,
	testsuite/actionscript.all/Mouse.as,
	testsuite/actionscript.all/MovieClip.as,
	testsuite/actionscript.all/MovieClipLoader.as,
	testsuite/actionscript.all/NetConnection.as,
	testsuite/actionscript.all/NetStream.as,
	testsuite/actionscript.all/Number.as,
	testsuite/actionscript.all/Object.as,
	testsuite/actionscript.all/Point.as,
	testsuite/actionscript.all/Random.as,
	testsuite/actionscript.all/Rectangle.as,
	testsuite/actionscript.all/Selection.as,
	testsuite/actionscript.all/SharedObject.as,
	testsuite/actionscript.all/Sound.as,
	testsuite/actionscript.all/Stage.as,
	testsuite/actionscript.all/String.as,
	testsuite/actionscript.all/System.as,
	testsuite/actionscript.all/TextField.as,
	testsuite/actionscript.all/TextFormat.as,
	testsuite/actionscript.all/TextSnapshot.as,
	testsuite/actionscript.all/Transform.as,
	testsuite/actionscript.all/Try.as,
	testsuite/actionscript.all/Video.as,
	testsuite/actionscript.all/XML.as,
	testsuite/actionscript.all/XMLNode.as,
	testsuite/actionscript.all/XMLSocket.as,
	testsuite/actionscript.all/argstest.as,
	testsuite/actionscript.all/array.as,
	testsuite/actionscript.all/case.as,
	testsuite/actionscript.all/dejagnu.as,
	testsuite/actionscript.all/delete.as,
	testsuite/actionscript.all/enumerate.as,
	testsuite/actionscript.all/getvariable.as,
	testsuite/actionscript.all/ops.as,
	testsuite/actionscript.all/setProperty.as,
	testsuite/actionscript.all/swap.as,
	testsuite/actionscript.all/targetPath.as,
	testsuite/actionscript.all/toString_valueOf.as,
	testsuite/actionscript.all/with.as: Reduce rcsid to the sole base
	filename. Actual revision will be automatically printed by check.as

2011-05-19  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/check.as: Print revision info in
	addition to rcsid

2011-05-19  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/Makefile.am: Encode dependency of every
	SWF file in actionscript.all on check.as and dejagnu_{init,fini}.as

2011-05-19  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/Makefile.am,
	testsuite/misc-ming.all/Makefile.am: Pass -I$(top_builddir) to
	makeswf when building AS tests, to give check.as a chance to find
	revno.h

2011-05-19  Sandro Santilli <strk@keybit.net>

	* Makefile.am: Put CPP code (rather than C) in revno.h, to reuse
	from ActionScript

2011-05-19  Sandro Santilli <strk@keybit.net>

	* gui/gnash.cpp: Do not call .front() on an empty vector (the media
	handler list when --disable-media is given). Fixes bug #33338

2011-05-18  Sandro Santilli <strk@keybit.net>

	* gui/Player.cpp: Do not complain about unexistent media handler if
	none was specified. Fixes bug #33339.

2011-05-17  Sandro Santilli <strk@keybit.net>

	* NEWS: Add note about compatibility fix (#33176)

2011-05-12  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/eglDevice.cpp: throw and exception instead of
	returning an error if the window handle is bogus.

2011-05-11  Rob Savoye <rob@welcomehome.org>

	* gui/Makefile.am, gui/gtk/gtk.am, gui/qt/qt4.am: cleanup handling
	of libva libraries so they work for all guis.

2011-05-11  Rob Savoye <rob@welcomehome.org>

	* libvaapi/Makefile.am: don't always add the libva GLX library

2011-05-10  Rob Savoye <rob@welcomehome.org>

	* configure.ac: use found_libva_incl instead of found_va_incl for
	the VAAPI conditional

2011-05-09  Sandro Santilli <strk@keybit.net>

	* gui/fb/fb.cpp, libcore/MovieClip.cpp,
	libcore/asobj/MovieClip_as.cpp, libcore/asobj/Sound_as.cpp,
	libcore/swf/DefineButtonTag.cpp, libcore/swf/tag_loaders.cpp: Fix
	typos reported in bug #33264

2011-05-09  Rob Savoye <rob@welcomehome.org>

	* configure.ac: fix typo in help string

2011-05-07  Gabriele Giacone <1o5g4r8o@gmail.com>

	* macros/libslist: Add multiarch paths. Fixes natty build.

2011-05-07  Gabriele Giacone <1o5g4r8o@gmail.com>

	* configure.ac: Lowercase renderer.

2011-05-03  Sandro Santilli <strk@keybit.net>

	* testsuite/movies.all/tic_tac2-TestRunner.cpp: Fix signed vs.
	unsigned comparison warning

2011-05-03  Rob Savoye <rob@welcomehome.org>

	* configure.ac: revert libva changes till a better solutuon is found

2011-05-02  Rob Savoye <rob@welcomehome.org>

	* libbase/Makefile.am: Gnash*Texture files moved to librender

2011-05-02  Rob Savoye <rob@welcomehome.org>

	* libdevice/vaapi/vaapi.am: vaapi headers need vaapi/ prefixed to
	the name.

2011-05-02  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk_canvas.cpp: use HAVE_VA_VA_H instead of RENDERER_AGG
	for including the vaapi glue header

2011-05-02  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/eglDevice.cpp: throw an exception if we can't make
	the context current. Add more comments

2011-05-02  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/eglDevice.cpp: throw an exception if we can't create
	an OpenVG context, as nothing will work anyway

2011-05-02  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk_canvas.cpp: don't initialize OpenVG like OpenGL

2011-05-02  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk_canvas.cpp: merge from master

2011-05-02  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk_glue_agg_vaapi.h: VaapiImageFormat.h is in vaapi now

2011-05-02  Gabriele Giacone <1o5g4r8o@gmail.com>

	* configure.ac: Revert "Change default server for rtmpy test." This reverts commit f1c1ec01b1ccfcb26dfc300d0f93bfc5e8d71bf1.

2011-05-01  Rob Savoye <rob@welcomehome.org>

	* : merge from master

2011-04-30  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am: Properly distribute
	tags_after_last_showframe.xml testcase

2011-04-30  Sandro Santilli <strk@keybit.net>

	* libcore/MovieClip.cpp, libcore/MovieClip.h: Flush "orphaned" tags
	(tags found after last expected showframe) right before executing
	tags of first frame. Fixes bug #33176 (SWF9/AVM1/April3.swf)

2011-04-30  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am: Make success condition
	pattern of last test (tags after last showframe) stricter (I've seen
	it give a false success otherwise)

2011-04-30  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am,
	testsuite/misc-swfmill.all/tags_after_last_showframe.xml: Add
	automated test for bug #33176 (tags after last advertised frame)

2011-04-29  Sandro Santilli <strk@keybit.net>

	* libsound/sdl/sound_handler_sdl.cpp, libsound/sound_handler.cpp,
	libsound/sound_handler.h: Fix leak on sound_handler destructor (only
	exposed when using NullSoundHandler, that is test runners...)

2011-04-29  Sandro Santilli <strk@keybit.net>

	* testsuite/movies.all/Makefile.am, testsuite/movies.all/README,
	testsuite/movies.all/tic_tac2-TestRunner.cpp: Add automated test for
	embedded event sound .position, aka "tictac"
	(https://savannah.gnu.org/bugs/?33091)

2011-04-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/Date_as.cpp: Fix setMilliseconds format string.

2011-04-28  Sandro Santilli <strk@keybit.net>

	* libcore/MovieClip.cpp: Tweak debug lines

2011-04-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/actionscript.all/delete.as: Show some delete problems.

2011-04-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Property.cpp, libcore/as_object.cpp: Minor cleanups.  Use references rather than pointers, avoid unnecessary copy.

2011-04-28  Sandro Santilli <strk@keybit.net>

	* libcore/vm/ASHandlers.cpp: Print debug lines for ActionPushData to
	really print what's pushed, not what was on the stack _before_
	pushing...

2011-04-27  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb_glue.h, gui/fb/fb_glue_gles1.h, gui/fb/fb_glue_ovg.cpp,
	gui/gtk/gtk_glue_ovg.cpp, gui/gui.cpp: cleanup to eliminate compiler
	warnings

2011-04-27  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGRenderer.cpp: update copyright date

2011-04-27  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: support AGG again in additional to OpenVG. Use the
	command line args to change renderers.

2011-04-27  Sandro Santilli <strk@keybit.net>

	* gui/dump/dump.cpp: Do not try to write to a non-opened stream

2011-04-27  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* configure.ac: Fix libva conditional.  Since the header search changed the conditional is wrong, so that
	HAVE_VAAPI isn't defined, which means that libvaapi isn't added to
	libmedia include flags and vaapi_util.h isn't found.  A conditional depending on a variable set in a macro somewhere else
	seems like bad style.

2011-04-27  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/fontlib.cpp, libcore/fontlib.h: Cleanups of fontlib.  Remove unused function declarations and definitions.

2011-04-26  Sandro Santilli <strk@keybit.net>

	* gui/dump/Makefile.am: Fix build scripts for dump gui (currently
	only builds if FB gui is selected :/)

2011-04-26  Rob Savoye <rob@welcomehome.org>

	* configure.ac: don't prefix va with lib when finging libva support

2011-04-26  Rob Savoye <rob@welcomehome.org>

	* packaging/debian/control: remove fluendo mp3 plugin

2011-04-24  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: Prune nonexistent directories from libslist and
	incllist to speed up configure.

2011-04-23  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: Remove checks that define unused macros.

2011-04-23  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: Don't look for system headers we don't use.

2011-04-22  Rob Savoye <rob@welcomehome.org>

	* utilities/Makefile.am: rtmpget needs PTHREAD_LIBS on natty

2011-04-21  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk.am: add default for gtk_gnash_LDADD, renders add only
	those libs

2011-04-21  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk.am: add LIBVA_LIBS and LIBVA_X11_LIBS to LDADD if
	VAAPI is enabled to the Cairo glue too

2011-04-21  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk.am: add LIBVA_LIBS to LDADD if VAAPI is enabled

2011-04-14  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/net/FileReference_as.cpp: Use AsBroadcaster.

2011-04-14  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/net/FileReference_as.cpp: Clean up
	FileReference code.

2011-04-17  Andrew Guertin <dolphinling@dolphinling.net>

	* libsound/Makefile.am: Reordering

2011-04-17  Andrew Guertin <dolphinling@dolphinling.net>

	* libsound/Makefile.am: Move headers into _SOURCES in
	libsound/Makefile.am NullSoundHandler.h is not used by anything in libsound, but it is
	used by things outside of libsound. Therefore, it stays in
	noinst_HEADERS.

2011-04-17  Andrew Guertin <dolphinling@dolphinling.net>

	* libsound/Makefile.am: Whitespace, no-op

2011-04-16  Andrew Guertin <dolphinling@dolphinling.net>

	* libmedia/Makefile.am: Remove no-op

2011-04-16  Andrew Guertin <dolphinling@dolphinling.net>

	* libmedia/Makefile.am: -lgstbase-10 is already included in
	GSTREAMER_APP_LIBS

2011-04-16  Andrew Guertin <dolphinling@dolphinling.net>

	* libmedia/Makefile.am: Remove unnecessary gst include flag

2011-04-16  Andrew Guertin <dolphinling@dolphinling.net>

	* libmedia/Makefile.am: Only add vaapi CPPFLAGS if HAVE_VAAPI in
	libmedia/Makefile.am

2011-04-16  Andrew Guertin <dolphinling@dolphinling.net>

	* libmedia/Makefile.am: Group setting of each variable in libmedia
	Makefile.am

2011-04-16  Andrew Guertin <dolphinling@dolphinling.net>

	* libmedia/Makefile.am: Whitespace

2011-04-16  Andrew Guertin <dolphinling@dolphinling.net>

	* libmedia/Makefile.am: Haiku uses adipe.h, so list it

2011-04-16  Andrew Guertin <dolphinling@dolphinling.net>

	* libmedia/Makefile.am: Remove reference to unused
	gnash_gst_version.h

2011-04-16  Andrew Guertin <dolphinling@dolphinling.net>

	* libmedia/Makefile.am: Add headers to _SOURCES in libmedia

2011-04-16  Andrew Guertin <dolphinling@dolphinling.net>

	* libmedia/Makefile.am: Remove dead code

2011-04-13  Andrew Guertin <dolphinling@dolphinling.net>

	* libbase/Makefile.am: List headers in _SOURCES

2011-04-13  Andrew Guertin <dolphinling@dolphinling.net>

	* libbase/Makefile.am: Sort _SOURCES

2011-04-13  Andrew Guertin <dolphinling@dolphinling.net>

	* libbase/Makefile.am: Move (most) conditional headers into _SOURCES

2011-04-13  Andrew Guertin <dolphinling@dolphinling.net>

	* libbase/Makefile.am: Condense libgnashbase_la_LIBADD

2011-04-13  Andrew Guertin <dolphinling@dolphinling.net>

	* libbase/Makefile.am: Add jemalloc to _SOURCES the same way as
	everything else

2011-04-13  Andrew Guertin <dolphinling@dolphinling.net>

	* libbase/Makefile.am: Whitespace, useless comment, duplicated code

2011-04-13  Andrew Guertin <dolphinling@dolphinling.net>

	* libbase/Makefile.am: Move all setting of libgnashbase_la_SOURCES
	together

2011-04-13  Andrew Guertin <dolphinling@dolphinling.net>

	* libbase/Makefile.am: Move gnashrc and gnashpluginrc things to the
	bottom

2011-04-13  Andrew Guertin <dolphinling@dolphinling.net>

	* libbase/Makefile.am: Move declarations of what's getting installed
	to the top

2011-04-02  Andrew Guertin <dolphinling@dolphinling.net>

	* libvaapi/Makefile.am: List appropriate headers in
	libgnashvaapi_la_SOURCES

2011-04-17  Rob Savoye <rob@welcomehome.org>

	* : big merge from master

2011-04-15  Sandro Santilli <strk@keybit.net>

	* testsuite/MovieTester.cpp: indent

2011-04-15  Sandro Santilli <strk@keybit.net>

	* libcore/asobj/Sound_as.cpp: Drop unused variables

2011-04-15  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/eventSoundTest1.c: Add test for
	Sound.position and Sound.duration when playing embedded sound (tests
	fix for bug #33091)

2011-04-15  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/Sound.as: Add test for Sound.postition
	and Sound.duration (they fail for loaded mp3)

2011-04-15  Sandro Santilli <strk@keybit.net>

	* libcore/asobj/Sound_as.cpp: Use named strings for "duration" and
	"position"

2011-04-15  Sandro Santilli <strk@keybit.net>

	* libcore/namedStrings.cpp, libcore/namedStrings.h: Add "duration"
	and "position" named strings

2011-04-15  Sandro Santilli <strk@keybit.net>

	* libcore/asobj/Sound_as.cpp: Do not stop probeTimer while playing
	embedded sound. Fixes bug #33091.

2011-04-15  Sandro Santilli <strk@keybit.net>

	* libmedia/ffmpeg/MediaParserFfmpeg.cpp: Some steps forward in
	MediaParserFfmpeg::seek(). Fixes the google dict case (ticket
	#33085) and shouldn't break anyting since prior to this commit the
	function simply returned false...

2011-04-15  Sandro Santilli <strk@keybit.net>

	* NEWS: Add note about Sound.onLoad and google dict

2011-04-15  Sandro Santilli <strk@keybit.net>

	* libcore/asobj/Sound_as.cpp, testsuite/actionscript.all/Sound.as: 
	Implement onLoad callback for AS Sound object. Fixes #31314.

2011-04-15  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/easysound.as: Add callback for
	Sound.onLoad

2011-04-15  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/Sound.as: Test that Sound.onLoad is
	called with an argument, true when load succeeded.

2011-04-14  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/Sound.as: Add test for bug #31314
	(Sound.onLoad, google dict). Expected to fail.

2011-04-14  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/Sound.as, utilities/processor.cpp: Have
	gprocessor fetch samples from the NullSoundHandler, to allow testing
	for sound events. Do not expect the relative failure in Sound.as
	anymore.

2011-04-14  Sandro Santilli <strk@keybit.net>

	* Makefile.am: Print KDE4_CFLAGS and KDE4_LIBS when building klash4
	plugin (they will be used)

2011-04-14  Sandro Santilli <strk@keybit.net>

	* macros/kde3.m4: Look for qxembed.h (used) rather than kapp.h or
	kapplication.h (unused) to tell if we're good to go kde3 with gui.

2011-04-14  Sandro Santilli <strk@keybit.net>

	* gui/qt/kde3.am: Cleanup rules to build kde3-gnash. Fixes bug
	#31782

2011-04-14  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/as_object.cpp, testsuite/swfdec/PASSING: Fix
	object-resolve for version 6 as well.

2011-04-14  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/as_object.cpp, testsuite/swfdec/PASSING: Handle
	getter-setter and object __resolve.  Fixes swfdec tests for SWF7 and 8.

2011-04-13  Sandro Santilli <strk@keybit.net>

	* gui/gnash.cpp: Use a separate Player for each movie on command
	line. Makes GTK gui survive, and it's cleaner anyway.

2011-04-12  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/gtk/gtk.cpp, gui/qt/Qt4Gui.cpp, gui/qt/Qt4Gui.h,
	libcore/vm/ActionExec.cpp: Do not continue to advance during
	yesno().  Both gtk and qt4 continue to execute the advance timer while the
	dialogue is showing; this results in a new advance() in the middle
	of action execution, which besides other unpredictable side-effects,
	can cause the empty call stack assertion to fail while marking
	reachable resources in the VM.

2011-04-12  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/as_object.cpp, testsuite/swfdec/PASSING: Fix __resolve
	lookup with prop flags.  Ignore prop flags when searching for __resolve; passes in swfdec
	testsuite.

2011-04-11  Sandro Santilli <strk@keybit.net>

	* gui/gnash.cpp: Play all movies given on command line, serializing
	them. This is a basis for furhter evaluating leftover singletons.
	Not all GUIs are handling this the same way. GTK, in particular,
	seems to be getting old windows stuck.

2011-04-11  Sandro Santilli <strk@keybit.net>

	* plugin/npapi/plugin.cpp: Typo in error message

2011-04-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/Global_as.h: Drop silly comment.

2011-04-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/NetStream_as.cpp: Fix warning.

2011-04-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayObject.cpp, testsuite/swfdec/PASSING: Don't check
	that a handler property is a function.  It doesn't matter as the swfdec testsuite shows, and avoids
	retrieving the property's value until the event is called.

2011-04-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/NetStream_as.cpp, libcore/asobj/NetStream_as.h: Use
	Gnash coding style and drop unused members.  The frame-ready bool has been unused for some time.

2011-04-09  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/loop/loop_test-Runner.cpp: expect the new
	success in invalidated bounds detection

2011-04-09  Sandro Santilli <strk@keybit.net>

	* libcore/DisplayList.cpp, libcore/DisplayList.h,
	libcore/MovieClip.cpp: Do not invalidate MovieClip on timeline
	rewind unless DisplayList really changes. Takes CPU use down in many
	cases (seen it from 100% to 8%)

2011-04-11  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Make sure alpha is
	0xff, not 0, by default.

2011-04-11  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: Check for a C++ compiler before checking for a C
	compiler, so that missing either one will abort configure. Fixes bug
	#31023. Bug See
	http://lists.gnu.org/archive/html/bug-autoconf/2010-05/msg00001.html

2011-04-10  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: Fix null pointer dereference. Bug #32965.

2011-04-10  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: Don't try scripting the plugin without
	NPAPI support, but still try it without getvalueforurl. Bug #32965.

2011-04-10  Rob Savoye <rob@welcomehome.org>

	* librender/opengles1/Renderer_gles1.cpp,
	librender/openvg/OpenVGRenderer.cpp: remove smart_ptr.h include

2011-04-10  Rob Savoye <rob@welcomehome.org>

	* : merge from master

2011-04-10  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp, plugin/npapi/plugin.h: Return an error to
	the browser if there's a problem launching the Gnash process, so we
	don't block in write().

2011-04-10  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/TextField_as.cpp: Fix setTextFormat warning.  We should log unimpl, and not only when there are more than 2
	arguments as we don't handle the second either.

2011-04-10  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/XMLNode_as.cpp, libcore/asobj/XMLNode_as.h: Const
	correct.

2011-04-10  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/XML_as.cpp, libcore/asobj/XML_as.h: Cleanup XML_as.  Remove unused functions, remove unnecessary empty lines, update
	documentation.

2011-04-10  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/XML_as.cpp, libcore/asobj/XML_as.h,
	testsuite/actionscript.all/XML.as: Implement XML.contentType
	correctly.  It is a getter-setter, not a normal property. Add our own tests for
	this, as the relevant swfdec test has unrelated bogus tests meaning
	we can't pass it (according to pp 9 / Linux).

2011-04-10  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/XMLNode_as.cpp, libcore/asobj/XML_as.cpp,
	testsuite/actionscript.all/XMLNode.as: Print XMLNodes with an empty
	name.  But only if they are of element type. Test more; actionscript.all
	test passes.

2011-04-10  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/as_environment.cpp: Drop obsolete comment.

2011-04-10  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* README.git: Installation instructions are in INSTALL.

2011-04-10  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* README: Update README with recent information.

2011-04-10  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* : commit 98ad590a90177351c8dd3dfe4598acb6d4db5b6d Author: Bastiaan
	Jacques <bastiaan@bjacques.org> Date:   Sat Apr 9 19:05:42 2011
	+0200

2011-04-09  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac, macros/libexe.m4: The macros from libext.m4 are
	unused.

2011-04-09  Chi-Thanh Christopher Nguyen <chithanh@gentoo.org>

	* macros/ffmpeg.m4: Fix ffmpeg version detection on Gentoo.

2011-04-09  Paul Menzel <paulepanter@users.sourceforge.net>

	* README: README: replace bzr with git Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>

2011-04-09  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/replace_sprites1test_runner.cpp: Check
	that invalidated ranges don't contain spot which aren't updated.
	This is an xfail in a jump-back case.

2011-04-09  Sandro Santilli <strk@keybit.net>

	* librender/agg/Renderer_agg.cpp: Drop unused class members

2011-04-09  Sandro Santilli <strk@keybit.net>

	* librender/Renderer.h: Comments cleanup

2011-04-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Split long line.

2011-04-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/as_environment.cpp, testsuite/actionscript.all/Global.as: 
	Test and correct case-insensitivity.  Test that _global is case insensitive in SWF 6 (as already
	implemented).  Test that this is case insensitive in SWF 5 and 6;
	correct implementation.

2011-04-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/Number_as.cpp,
	testsuite/actionscript.all/Number.as, testsuite/swfdec/PASSING: Make
	number tests pass.  Use magic numbers like the pp does for cross-platform consistency.

2011-04-09  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Improve floodFill
	speed considerably.  For large fills this reduces the time spend by about 60% by avoiding
	the expensive pixelAt() function and using iterators instead.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/actionscript.all/MovieClip.as: Test null _focusrect for
	MovieClips too.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayObject.cpp,
	testsuite/actionscript.all/MovieClip.as: Add our own tests for
	_focusrect.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayObject.cpp, libcore/DisplayObject.h,
	testsuite/actionscript.all/TextField.as: Handle _focusrect property
	correctly.  Drawing the rectangle still isn't implemented, but it is correct in
	ActionScript.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/XMLNode_as.cpp, libcore/asobj/XMLNode_as.h,
	libcore/asobj/XML_as.cpp: Improvements to XML and XMLNode Const correction and get closer to passing swfdec tests.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* NEWS: Update NEWS.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/XML_as.cpp, testsuite/swfdec/PASSING: Cleanup and
	expect swfdec passes.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/XML_as.cpp: Fix other idmap tests.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/XML_as.cpp: Append node before setting attributes.  This passes a clever but very nitpicky swfdec test.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/XML_as.cpp, libcore/asobj/XML_as.h,
	testsuite/actionscript.all/XML.as: Fixes to XML properties.  Test and fix ignoreWhite(), add an incomplete implementation of
	idMap.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* cygnal/cvm.cpp, gui/pythonmod/gnash-view.cpp, gui/qt/Qt4Gui.cpp,
	libbase/Makefile.am, libbase/ref_counted.h, libbase/smart_ptr.h,
	libcore/Button.cpp, libcore/Button.h, libcore/CharacterProxy.cpp,
	libcore/DisplayList.cpp, libcore/DisplayObject.cpp,
	libcore/DynamicShape.cpp, libcore/ExternalInterface.cpp,
	libcore/FillStyle.cpp, libcore/Font.cpp,
	libcore/FreetypeGlyphsProvider.cpp, libcore/LineStyle.cpp,
	libcore/MorphShape.h, libcore/MovieClip.cpp,
	libcore/MovieFactory.cpp, libcore/MovieLoader.h, libcore/Relay.cpp,
	libcore/Shape.cpp, libcore/StaticText.h, libcore/Video.cpp,
	libcore/as_environment.cpp, libcore/as_function.cpp,
	libcore/as_object.cpp, libcore/as_value.cpp,
	libcore/asobj/Accessibility_as.cpp, libcore/asobj/Array_as.cpp,
	libcore/asobj/Boolean_as.cpp, libcore/asobj/Camera_as.cpp,
	libcore/asobj/Color_as.cpp, libcore/asobj/ContextMenu_as.cpp,
	libcore/asobj/Key_as.cpp, libcore/asobj/LoadVars_as.cpp,
	libcore/asobj/Microphone_as.cpp, libcore/asobj/Mouse_as.cpp,
	libcore/asobj/MovieClipLoader.cpp, libcore/asobj/MovieClip_as.cpp,
	libcore/asobj/NetStream_as.cpp, libcore/asobj/Number_as.cpp,
	libcore/asobj/Object.cpp, libcore/asobj/Selection_as.cpp,
	libcore/asobj/SharedObject_as.cpp, libcore/asobj/Sound_as.cpp,
	libcore/asobj/Stage_as.cpp, libcore/asobj/String_as.cpp,
	libcore/asobj/System_as.cpp, libcore/asobj/TextField_as.cpp,
	libcore/asobj/TextFormat_as.cpp, libcore/asobj/TextSnapshot_as.cpp,
	libcore/asobj/XMLNode_as.cpp, libcore/asobj/XML_as.cpp,
	libcore/asobj/flash/display/BitmapData_as.cpp,
	libcore/asobj/flash/display/BitmapData_as.h,
	libcore/asobj/flash/external/ExternalInterface_as.cpp,
	libcore/asobj/flash/filters/ColorMatrixFilter_as.cpp,
	libcore/asobj/flash/filters/ConvolutionFilter_as.cpp,
	libcore/asobj/flash/filters/DisplacementMapFilter_as.cpp,
	libcore/asobj/flash/filters/DropShadowFilter_as.cpp,
	libcore/asobj/flash/filters/GlowFilter_as.cpp,
	libcore/asobj/flash/filters/GradientBevelFilter_as.cpp,
	libcore/asobj/flash/filters/GradientGlowFilter_as.cpp,
	libcore/asobj/flash/geom/ColorTransform_as.cpp,
	libcore/asobj/flash/geom/Matrix_as.cpp,
	libcore/asobj/flash/geom/Rectangle_as.cpp,
	libcore/asobj/flash/text/TextRenderer_as.cpp, libcore/fontlib.cpp,
	libcore/parser/BitmapMovieDefinition.cpp,
	libcore/parser/SWFMovieDefinition.cpp,
	libcore/parser/SWFMovieDefinition.h, libcore/parser/SWFParser.cpp,
	libcore/parser/sprite_definition.cpp,
	libcore/parser/sprite_definition.h,
	libcore/swf/CSMTextSettingsTag.cpp,
	libcore/swf/DefineButtonTag.cpp, libcore/swf/DefineEditTextTag.cpp,
	libcore/swf/DefineFontAlignZonesTag.cpp,
	libcore/swf/DefineFontTag.cpp, libcore/swf/DefineShapeTag.cpp,
	libcore/swf/PlaceObject2Tag.cpp, libcore/swf/RemoveObjectTag.cpp,
	libcore/swf/ShapeRecord.cpp, libcore/swf/TextRecord.cpp,
	libcore/swf/VideoFrameTag.cpp, libcore/vm/ASHandlers.cpp,
	libcore/vm/ActionExec.cpp, libcore/vm/VM.cpp,
	librender/cairo/Renderer_cairo.cpp,
	librender/opengl/Renderer_ogl.cpp,
	testsuite/libcore.all/PropertyListTest.cpp, utilities/processor.cpp: 
	Put intrusive functions in ref_counted.h This saves including two headers to use ref_counteds. Remove the
	now-useless smart_ptr.h.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Video.cpp, libcore/Video.h, libcore/asobj/Global_as.cpp,
	libcore/asobj/Video_as.cpp, libcore/asobj/Video_as.h,
	libcore/asobj/flash.am, libcore/swf/DefineVideoStreamTag.cpp: 
	Separate Video DisplayObject and AS implementation.

2011-04-08  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Make the noise RNG
	more generic Use ints instead of boost::uint8_t and rely on the range
	restrictions for the range of the output.

2011-04-08  Sandro Santilli <strk@keybit.net>

	* gui/Player.cpp: Make sure to destroy movie_root before clearing
	the MovieFactory (library). This prevents MovieLoader (owned by
	movie_root) adding more items to the library, thus keeping SWF
	loaders alive and keeping Curl busy, with the consequence of aborts
	or segfaults on exit. Fixes bug #32579

2011-04-08  Sandro Santilli <strk@keybit.net>

	* libcore/movie_root.cpp: movie_root doesn't need MovieFactory.h

2011-04-07  Sandro Santilli <strk@keybit.net>

	* libbase/curl_adapter.cpp: cleanup/indenting

2011-04-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/SWF.cpp: Make opcode output operators less verbose Reduce duplication, report unknown opcodes without a case statement.

2011-04-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/actionscript.all/BitmapData.as: Add test for overlapping
	copyChannel() ranges.  Gnash already does this correctly.

2011-04-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* NEWS: Update news.

2011-04-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/actionscript.all/BitmapData.as: Add another test for
	copyChannel().  Test multiple source channels where some pixels have values for both
	source channels; this also doesn't work.

2011-04-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Use std::transform
	in copyChannel().

2011-04-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Try constructing a
	boost::zip_iterator Some boost/gcc combinations fail to compile zip_iterator code, so
	test on the buildbots before doing any more work.

2011-04-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Fix copy paste
	error

2011-04-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	testsuite/actionscript.all/BitmapData.as: Fix copyPixels() for
	overlapping ranges Copying to a range starting within the source range causes odd
	behaviour (and UB with std::copy), so test and handle that case.

2011-04-06  Bastiaan Jacques <bastiaan@bjacques.org>

	* utilities/Makefile.am: Link only direct dependencies to
	findwebcams and findmicrophones.

2011-04-06  Bastiaan Jacques <bastiaan@bjacques.org>

	* utilities/Makefile.am: Link gprocessor and rtmpget only to the
	libraries they use directly.

2011-04-06  Sandro Santilli <strk@keybit.net>

	* libcore/DisplayObject.cpp: Print DisplayObject target rather than
	just name (st_invalidated debugging)

2011-04-06  Sandro Santilli <strk@keybit.net>

	* libcore/DisplayObject.cpp: safer path to string_table (invalidated
	ranges debugging)

2011-04-06  Sandro Santilli <strk@keybit.net>

	* libcore/DisplayObject.cpp: Fix build with DEBUG_SET_INVALIDATED
	defined

2011-04-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp: Cleanup.

2011-04-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	testsuite/actionscript.all/BitmapData.as: Implement
	BitmapData.noise.

2011-04-06  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	testsuite/actionscript.all/BitmapData.as: Implement
	BitmapData.copyChannel(); tests pass.

2011-04-05  Sandro Santilli <strk@keybit.net>

	* libcore/swf/SWF.cpp, libcore/swf/SWF.h: Define output operator for
	SWF::TagType

2011-04-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* NEWS: Update news.

2011-04-05  Rob Savoye <rob@welcomehome.org>

	* : commit 0943d3084d1dd6158ea5d32801c1300aa2770f0b Author: Benjamin
	Wolsey <bwy@benjaminwolsey.de> Date:   Tue Apr 5 15:03:15 2011 +0200

2011-04-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.cpp,
	testsuite/actionscript.all/BitmapData.as: Implement copyPixels() Also abstract adjustment of rectangles to the BitmapData area.

2011-04-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/display/BitmapData_as.h: Make updateObjects()
	public.  This allows us to manipulate BitmapData_as objects without having to
	add a member function.

2011-04-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/actionscript.all/BitmapData.as: Tests for copyPixels.

2011-04-04  Sandro Santilli <strk@keybit.net>

	* librender/opengl/Renderer_ogl.h: Fix build: create_Renderer_ogl
	became renderer::opengl::create_handler

2011-04-04  Rob Savoye <rob@welcomehome.org>

	* configure.ac: commit file #23105 for patch #7523

2011-04-04  Rob Savoye <rob@welcomehome.org>

	* Makefile.am: add utilities back in as a STD_DIR

2011-04-04  Rob Savoye <rob@welcomehome.org>

	* libbase/Makefile.am: add LTDL_LIBS to the link

2011-04-04  Rob Savoye <rob@welcomehome.org>

	* utilities/Makefile.am: PTHREAD_LIBS should always follow
	BOOST_LIBS

2011-04-04  Rob Savoye <rob@welcomehome.org>

	* libbase/jemalloc.c: silence warning

2011-04-04  Rob Savoye <rob@welcomehome.org>

	* librender/testr.cpp: drawPoly() is still draw_poly() in this
	branch

2011-04-04  Rob Savoye <rob@welcomehome.org>

	* configure.ac: disable developer only tests by default

2011-04-04  Rob Savoye <rob@welcomehome.org>

	* gui/qt/Qt4GlueOgl.cpp: create_Renderer_ogl is now
	renderer::opengl::create_handler

2011-04-04  Rob Savoye <rob@welcomehome.org>

	* configure.ac, gui/Makefile.am, gui/dump/Makefile.am,
	gui/dump/dump.am: convert dump/Makefile.am to dump/dump.am

2011-04-04  Rob Savoye <rob@welcomehome.org>

	* Makefile.am: add utilities back into DIST_SUBDIRS

2011-04-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/parser/SWFMovieDefinition.cpp: Initialize members in ctor.

2011-04-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/ScriptLimitsTag.h: Fix operator typo in assert.

2011-04-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/LoadVariablesThread.cpp, libcore/LoadVariablesThread.h: 
	Initialize members in ctor.

2011-04-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/vm/SafeStack.h: Pass by reference (cppcheck warning).

2011-04-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/MovieClip.cpp, libcore/asobj/XMLNode_as.cpp: Fix more
	cppcheck warnings.

2011-04-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayList.cpp, libcore/Geometry.h: Fix some cppcheck
	warnings.

2011-04-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/RTMP.cpp: Initialize member in copy ctor.

2011-04-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/Socket.cpp: Include order.

2011-04-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/log.h: Initialize member.

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* : merge with master

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/test_egl.cpp: drop references to gles2

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/eglDevice.cpp: add error message fr bad window
	handle

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk_canvas.cpp, gui/gtk/gtk_glue.h,
	gui/gtk/gtk_glue_agg.h, gui/gtk/gtk_glue_cairo.h,
	gui/gtk/gtk_glue_ovg.cpp: make whether the drawing area needs to be
	intitizlized when realized dynamic, rather than a compile time
	option.

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk_glue_egl.cpp, gui/gtk/gtk_glue_egl.h: drop original
	version that is unused

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/eglDevice.cpp, libdevice/x11/X11Device.cpp: cleanup
	warnings about unused variables

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* librender/Makefile.am: drop gles2 header

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* librender/opengles1/Renderer_gles1.cpp,
	librender/opengles1/Renderer_gles1.h: make const correct to work
	with the latest Gnash internal  rendering API

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* librender/opengl/Renderer_ogl.cpp: rename create_Renderer_ogl to
	create_handler

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* gui/gtk/gtk_glue_gtkglext.cpp: pass in defaut argument

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* librender/Makefile.am: remove gles2 as it will be better to
	recreate in the far future

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* configure.ac: remove gles2 as it will be better to recreate in the
	far future

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* librender/opengles2/Renderer_gles2.cpp,
	librender/opengles2/Renderer_gles2.h: remove stubs

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* librender/Makefile.am: reenable Texture support for OpenGL, look
	in libdevice for headers

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* configure.ac: check for gles1 and gles2 errors separetely

2011-04-03  Rob Savoye <rob@welcomehome.org>

	* : merge from master

2011-04-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/RTMP.cpp: Don't generate random bools when we want random
	bytes.

2011-04-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/Player.cpp, gui/Player.h: Drop unused member.

2011-04-03  Brad Smith <brad@comstyle.com>

	* macros/ffmpeg.m4: Fix newer FFmpeg detection with pkg-config.

2011-04-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/GnashException.h, libcore/vm/ActionExec.cpp: Don't use an
	exception for exclusively local error handling.

2011-04-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/PropertyList.h, libcore/TextField.cpp,
	libcore/builtin_function.h, libcore/parser/action_buffer.h,
	libcore/vm/ASHandlers.h: Don't declare or include as_environment
	where not needed.

2011-04-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayObject.cpp: Get movie_root in the most direct way.

2011-04-02  Rob Savoye <rob@welcomehome.org>

	* librender/openvg/OpenVGRenderer.cpp,
	librender/openvg/OpenVGRenderer.h: fix function definition

2011-04-03  Bastiaan Jacques <bastiaan@bjacques.org>

	* gui/Makefile.am, libbase/Makefile.am, libcore/Makefile.am,
	libcore/parser/Makefile.am, libcore/vm/Makefile.am,
	libmedia/Makefile.am, librender/Makefile.am, libsound/Makefile.am,
	libvaapi/Makefile.am, utilities/Makefile.am: Remove the mudflap
	targets in subdirectories, because the mudflap target in the
	toplevel Makefile is quite adequate, and running 'make mudflap' in
	subdirectories only causes linking problems.

2011-04-03  Bastiaan Jacques <bastiaan@bjacques.org>

	* gui/Makefile.am, libcore/Makefile.am, libcore/parser/Makefile.am,
	libcore/vm/Makefile.am, libmedia/Makefile.am,
	librender/Makefile.am, libsound/Makefile.am, libvaapi/Makefile.am,
	utilities/Makefile.am: Don't remove core dumps from the build tree,
	and let automake deal with obj files.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* extensions/fileio/Makefile.am, extensions/gtk2/Makefile.am,
	gui/Makefile.am, gui/dump/Makefile.am, gui/fb/Makefile.am,
	libcore/Makefile.am, libcore/parser/Makefile.am,
	libcore/vm/Makefile.am, libmedia/Makefile.am,
	librender/Makefile.am, libsound/Makefile.am,
	testsuite/libbase.all/Makefile.am,
	testsuite/libmedia.all/Makefile.am, utilities/Makefile.am: Revert
	"Don't use pthread cflags except in libbase, as OpenBSD needs them.  This reverts commit bc436656d96adeb98b2f27c924bda25c92efff45.  Conflicts: 	gui/Makefile.am 	libcore/parser/Makefile.am 	libcore/vm/Makefile.am 	libmedia/Makefile.am 	librender/Makefile.am 	libsound/Makefile.am

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/libbase.all/Makefile.am: Fix to openBSD's testsuite.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* gui/Makefile.am: Don't link zlib where it's not used directly.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* gui/Makefile.am, gui/dump/Makefile.am, gui/fb/Makefile.am,
	libcore/Makefile.am, libcore/parser/Makefile.am,
	libcore/vm/Makefile.am, plugin/aos4/Makefile.am,
	plugin/win32/Makefile.am, utilities/Makefile.am: Don't link
	gstreamer or ffmpeg libraries to targets that don't use it directly.

2011-04-02  Rob Savoye <rob@welcomehome.org>

	* : huge merge to catch up with master, still a few changed API bugs
	to fix

2011-04-02  Sandro Santilli <strk@keybit.net>

	* .gitignore: ignore backup files (most notably gnashconfig.h~)

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/log.cpp: Use C++-style function signature.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/Makefile.am: Add OpenGL cflags back in too.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/Makefile.am: Link OpenGL libs in libbase again.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* configure.ac: Change default server for rtmpy test.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/Makefile.am: Don't link to or include things without
	reason.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/parser/Makefile.am: Don't use CFLAGS unnecessarily.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* utilities/Makefile.am: Don't link to libs unnecessarily.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/Makefile.am: Don't link to libglib unless using gtk. Don't
	link to other libraries unnecessarily.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/vm/Makefile.am: Drop unneeded CFLAGS.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* Makefile.am, testsuite/actionscript.all/Makefile.am: There are no
	OGG_CFLAGS.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* librender/Makefile.am: Don't include everything imaginable.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libsound/Makefile.am: Drop obsolete linker flag.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libmedia/Makefile.am: Don't link to everything imaginable.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* extensions/fileio/Makefile.am, extensions/gtk2/Makefile.am,
	gui/Makefile.am, gui/dump/Makefile.am, gui/fb/Makefile.am,
	libcore/Makefile.am, libcore/parser/Makefile.am,
	libcore/vm/Makefile.am, libmedia/Makefile.am,
	librender/Makefile.am, libsound/Makefile.am,
	testsuite/libbase.all/Makefile.am,
	testsuite/libmedia.all/Makefile.am, utilities/Makefile.am: Don't use
	pthread cflags except in libbase.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* cygnal/Makefile.am, cygnal/cgi-bin/echo/Makefile.am,
	cygnal/cgi-bin/fitcDemo/Makefile.am,
	cygnal/cgi-bin/oflaDemo/Makefile.am, cygnal/libnet/Makefile.am,
	cygnal/testsuite/cygnal.all/Makefile.am,
	cygnal/testsuite/libamf.all/Makefile.am,
	cygnal/testsuite/libnet.all/Makefile.am,
	extensions/dbus/Makefile.am, extensions/dejagnu/Makefile.am,
	extensions/fileio/Makefile.am, extensions/gtk2/Makefile.am,
	extensions/lirc/Makefile.am, extensions/mysql/Makefile.am,
	gui/Makefile.am, gui/dump/Makefile.am, gui/fb/Makefile.am,
	libcore/Makefile.am, libmedia/Makefile.am, libsound/Makefile.am,
	libvaapi/Makefile.am, testsuite/libmedia.all/Makefile.am,
	testsuite/network.all/Makefile.am, utilities/Makefile.am: Link
	pthread libs only in libbase.

2011-04-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/log.cpp, libbase/utility.h: Move thread id code to the
	only place it should be used; it should be dropped when support for
	boost 1.34 is dropped.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/klash/Makefile.am, plugin/klash4/Makefile.am: Remove
	remaining uses of PLUGIN_LINK_UNDEFINED, now defunct.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* macros/glibc2.m4, macros/glibc21.m4, macros/intdiv0.m4,
	macros/intmax.m4, macros/inttypes-pri.m4, macros/inttypes.m4,
	macros/inttypes_h.m4, macros/lcmessage.m4, macros/longdouble.m4,
	macros/longlong.m4, macros/printf-posix.m4, macros/signed.m4,
	macros/size_max.m4, macros/stdint_h.m4, macros/uintmax_t.m4,
	macros/ulonglong.m4, macros/wchar_t.m4, macros/wint_t.m4,
	macros/xsize.m4: Remove remaining macros from the previous gettext
	installation.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac, macros/ffmpeg.m4, plugin/npapi/Makefile.am: Remove
	OpenBSD-specific build hacks, which are no longer needed and have
	actually been disabled for some time due to $openbsd_os being
	undefined.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* macros/isc-posix.m4: Remove macro that used to be part of gettext.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* macros/archflag.m4: Drop archflag.m4, because it is unused and
	obsolete: GCC will autodetect the architecture and optimize with
	-mtune=native or -march=native. (The macros from archflag.m4 do not
	work when cross compiling.)

2011-04-02  Gabriele Giacone <1o5g4r8o@gmail.com>

	* doc/C/usermanual/gnashrc.xml: Add MediaHandler rc option to
	usermanual.

2011-04-02  Gabriele Giacone <1o5g4r8o@gmail.com>

	* utilities/Makefile.am: Don't link against MySQL libs (leftover
	from wallpaper fix for extensions/ automake typo) unneccesarily.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac, gui/qt/qt4.am: Only link libXi for FLTK2. Don't link
	libX11 unless needed.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* macros/curl.m4: Don't be noisy.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac, macros/curl.m4: Link to liblber only if curl fails
	to link without it. Bug #25499.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: Don't automatically link libz2.

2011-04-02  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: Remove IRIX hack that does nothing, and in any event
	the same test is repeated later.

2011-03-31  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/mozilla-sdk/npn_gate.cpp: Provide a fallback
	implementation of NPN_ReleaseVariantValue for old NPAPI
	implementations.

2011-04-01  Sandro Santilli <strk@keybit.net>

	* testsuite/samples/Makefile.am: Distribute test_lastopcode_v6.swf,
	as we're using it during make check.

2011-04-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/Makefile.am,
	testsuite/misc-ming.all/Version4Loader.as,
	testsuite/misc-ming.all/Version5Loaded.as: Test that a SWF5 loaded
	into a SWF4 still has global functions, confirming the correctness
	of a recent fix.

2011-04-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* macros/ffmpeg.m4: FFmpeg trunk uses libavcodec/version.h to store
	the version.

2011-03-31  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/gui.cpp: The displayed version is the one for the root swf,
	not the VM.

2011-03-31  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* cygnal/cvm.cpp, gui/Player.cpp, gui/pythonmod/gnash-view.cpp,
	libcore/movie_root.cpp, libcore/movie_root.h, libcore/vm/VM.cpp,
	libcore/vm/VM.h, testsuite/MovieTester.cpp,
	testsuite/libcore.all/AsValueTest.cpp,
	testsuite/libcore.all/DisplayListTest.cpp,
	testsuite/libcore.all/PropertyListTest.cpp, utilities/processor.cpp: 
	Don't pass a movie_definition to movie_root's ctor just to pass a
	version to the VM; Don't pass a version to the VM ctor, as it is
	mutable.

2011-03-31  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/as_environment.cpp, libcore/asobj/Global_as.cpp,
	testsuite/swfdec/PASSING: Don't handle AS initialization depending
	on version; handle SWF4 during lookup instead (no global). Fixes
	swfdec/version4-global.swf.

2011-03-31  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/movie_root.cpp, libcore/movie_root.h: Drop proxy functions
	and cleanup.

2011-03-31  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/gui.cpp, utilities/processor.cpp: Use functions of Movies
	directly.

2011-03-31  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: --with-cpu isn't used for anything, and you have to
	specify --host and --sysroot to get a cross build anyway.

2011-03-31  Bastiaan Jacques <bastiaan@bjacques.org>

	* Makefile.am, packaging/xpi.am: Drop XPI packaging code which is no
	longer usable.

2011-03-31  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: We don't use zip anymore, so don't bother looking
	for it.

2011-03-31  Sandro Santilli <strk@keybit.net>

	* : Fix testcase to use opcode 0xFF, not 0xFE (this way it's
	confirmed to segfault pre bastiaan fix)

2011-03-31  Sandro Santilli <strk@keybit.net>

	* testsuite/samples/Makefile.am: Automatically run test for
	https://savannah.gnu.org/bugs/index.php?32950

2011-03-31  Sandro Santilli <strk@keybit.net>

	* testsuite/samples/README: Add binary test for
	https://savannah.gnu.org/bugs/index.php?32950

2011-03-31  Sandro Santilli <strk@keybit.net>

	* doc/C/usermanual/gnashrc.xml, libbase/gnashrc.in, libbase/rc.cpp: 
	Change the default urlOpenerFormat from "firefox -remote
	'openurl(%u)'" to "xdg-open '%u'"

2011-03-31  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/parser/filter_factory.cpp, libsound/WAVWriter.cpp: Remove
	'typedef' from struct and enum declarations to make g++ -flto -g
	happy. See GCC bug #48207.

2011-03-30  Sandro Santilli <strk@keybit.net>

	* gui/gtk/gtk.cpp: Do not execute any actionscript outside of the
	main loop. Fixes bug #32956.

2011-03-30  Sandro Santilli <strk@keybit.net>

	* testsuite/libbase.all/gnashrc.in: The Rc test can't really test
	default values, as there's no way to construct an RcInit file w/out
	having it read the user rcfile :/ This commit sets the default
	values for script limits

2011-03-30  Sandro Santilli <strk@keybit.net>

	* testsuite/gnashrc.in: Make sure testsuite run is not affected by
	user-defined script limits

2011-03-30  Sandro Santilli <strk@keybit.net>

	* libcore/movie_root.cpp, libcore/movie_root.h,
	libcore/vm/ActionExec.cpp: _really_ continue on scriptTimeout if the
	user chooses not to disable scripts.

2011-03-30  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/jemalloc_gnash.h: Fix Darwin build.

2011-03-30  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/jemalloc_gnash.h: Add a comment regarding jemalloc's
	valgrind support.

2011-03-30  Sandro Santilli <strk@keybit.net>

	* NEWS: Reworded NEWS item about script limits

2011-03-30  Sandro Santilli <strk@keybit.net>

	* gui/gtk/gtk.cpp: Complete GTK preferences support for script
	limits

2011-03-30  Sandro Santilli <strk@keybit.net>

	* libbase/rc.cpp: Don't write integers rcdirectives in hex form
	(after LCKey, that is)

2011-03-30  Sandro Santilli <strk@keybit.net>

	* gui/gtk/gtk.cpp: Add support for scriptTimeouts in GTK preference
	window

2011-03-30  Sandro Santilli <strk@keybit.net>

	* gui/gtk/gtk.cpp: Don't use an arbitrary string as a format

2011-03-30  Sandro Santilli <strk@keybit.net>

	* doc/C/usermanual/gnashrc.xml: Document scriptsTimeout,
	scriptsRecursionLimit and lockScriptLimits rcfile directives.

2011-03-30  Sandro Santilli <strk@keybit.net>

	* libbase/gnashrc.in, libbase/rc.cpp, libbase/rc.h,
	libcore/movie_root.cpp, testsuite/libbase.all/RcTest.cpp,
	testsuite/libbase.all/gnashrc-local.in: Add support for
	'scriptsTimeout', 'scriptsRecursionLimit' and 'lockScriptLimits' rc
	directives, testcase their support and use them from movie_root.

2011-03-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/vm/ActionExec.cpp: Line length.

2011-03-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/gtk/gtk.cpp: Indentation.

2011-03-30  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/qt/Qt4Gui.cpp, gui/qt/Qt4Gui.h: Implement yesno for qt4.

2011-03-30  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/vm/ASHandlers.cpp: Fix off-by-one that causes an invalid
	opcode to read past the end of the handlers vector. Fixes bug
	#32950.

2011-03-30  Sandro Santilli <strk@keybit.net>

	* NEWS: Add note about the improved script limit user interface

2011-03-30  Sandro Santilli <strk@keybit.net>

	* gui/gtk/gtk.cpp, gui/gtk/gtksup.h: Implement yesno for GTK gui.
	Visible effect: you now get a popup when script execution takes over
	the time limit (default: 15 secs).

2011-03-30  Sandro Santilli <strk@keybit.net>

	* libcore/movie_root.cpp: Handle ActionLimit exceptions thrown
	during movie advancement like the others, that is virtually asking
	user if he wants to abort execution.

2011-03-29  Sandro Santilli <strk@keybit.net>

	* libcore/movie_root.cpp, libcore/vm/ActionExec.cpp: Query
	movie_root for action execution timeout configuration.

2011-03-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* cygnal/testsuite/libamf.all/Makefile.am,
	cygnal/testsuite/libamf.all/test_amf.cpp,
	cygnal/testsuite/libamf.all/test_amfmsg.cpp,
	cygnal/testsuite/libamf.all/test_buffer.cpp,
	cygnal/testsuite/libamf.all/test_el.cpp,
	cygnal/testsuite/libamf.all/test_flv.cpp,
	cygnal/testsuite/libamf.all/test_lc.cpp,
	cygnal/testsuite/libamf.all/test_sol.cpp: Update for namespace
	changes.

2011-03-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/jemalloc_gnash.h: mallinfo() shouln't be static so that
	it'll override libc's mallinfo(). Use the correct mallinfo struct
	member to indicate all system memory mapped.

2011-03-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/Makefile.am: Add missing header file to fix distcheck.

2011-03-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac, libbase/jemalloc_gnash.h: Provide pointer alignment
	requirements to jemalloc.

2011-03-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/jemalloc.c: Only compile the stats interface if it's
	enabled.

2011-03-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/jemalloc_gnash.h: Comment fix and whitespace cleanup.

2011-03-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/jemalloc.c: Don't define MALLOC_STATS unless specifically
	enabled.

2011-03-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/jemalloc_gnash.h: Port over mallinfo(), use jemalloc stats
	API.

2011-03-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac, libbase/Makefile.am, libbase/jemalloc.c,
	libbase/jemalloc_gnash.h: Add macros to allow jemalloc to build
	correctly using the Gnash build system.

2011-03-29  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/jemalloc.c, libbase/jemalloc.h, libbase/jemalloc_rb.h,
	libbase/jemalloc_types.h, libbase/jemtree.h: Update to upstream
	Mozilla jemalloc (87f5bb93303c); no local changes.

2011-03-29  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* TODO: Update TODO.

2011-03-27  Sandro Santilli <strk@keybit.net>

	* gui/gnash.cpp: As for renderer, read rcfile for the default
	mediahandler too. Fixes #32859.

2011-03-27  Sandro Santilli <strk@keybit.net>

	* gui/qt/Qt4Gui.cpp: Have QT4 gui handle non-existent renderers by
	throwing an exception rather than assuming AGG. Have it trust
	RunResources to keep rcfile handling centralized.

2011-03-27  Sandro Santilli <strk@keybit.net>

	* gui/gnash.cpp, gui/gtk/gtk.cpp: Have GTK gui always trust
	RunResource about hwaccel and renderer. Have commandline parser use
	rcfile setting as a default, or first supported renderer otherwise.
	Fixes #32925 in a safer way.

2011-03-27  Gabriele Giacone <1o5g4r8o@gmail.com>

	* configure.ac: Fix enable-renderer switch.

2011-03-26  Sebastian Parborg <darkdefende@gmail.com>

	* gui/gnash.cpp: Made gnash choose the first available render as
	default.

2011-03-26  Sebastian Parborg <darkdefende@gmail.com>

	* gui/gtk/gtk.cpp: Fixed made the gtk gui respect the Renderer
	option

2011-03-26  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/extension.h: Forward-declare as_object to make cygnal
	happy.

2011-03-26  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac, libbase/Makefile.am, libbase/extension.cpp,
	libbase/extension.h, libcore/asobj/Global_as.cpp: Allow
	--disable-extensions to disable loading extensions to avoid the
	dependency on libltdl.

2011-03-26  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/ClassHierarchy.cpp, libcore/ClassHierarchy.h: Remove
	extension class loading logic that's not used.

2011-03-26  Sandro Santilli <strk@keybit.net>

	* configure.ac: Do not advertise unavailable omap hwaccel. Fixes
	ticket #32888

2011-03-26  Sandro Santilli <strk@keybit.net>

	* gui/Player.h: Fix misleading comments about --hwaccel and
	--renderer

2011-03-25  Rob Savoye <rob@welcomehome.org>

	* : merge from master for rpm changes

2011-03-25  Gabriele Giacone <1o5g4r8o@gmail.com>

	* packaging/redhat/gnash.spec: Fix files inclusion in rpm

2011-03-25  Gabriele Giacone <1o5g4r8o@gmail.com>

	* packaging/rpm.am: Make rpm versioning follow fedora guidelines

2011-03-25  Gabriele Giacone <1o5g4r8o@gmail.com>

	* packaging/redhat/gnash.spec: Add mysql-devel to rpm builddep

2011-03-25  Gabriele Giacone <1o5g4r8o@gmail.com>

	* packaging/debian/gnash-dev.install: Remove .la from gnash-dev
	package

2011-03-25  Gabriele Giacone <1o5g4r8o@gmail.com>

	* packaging/deb.am: Add ~codename to deb package version.

2011-03-25  Hicham HAOUARI <hicham.haouari@gmail.com>

	* packaging/debian/konqueror-plugin-gnash.install: Remove
	libklashpart.la from debian packaging

2011-03-25  Hicham HAOUARI <hicham.haouari@gmail.com>

	* packaging/redhat/gnash.spec: Various rpm packaging fixes

2011-03-25  Hicham HAOUARI <hicham.haouari@gmail.com>

	* packaging/snapshot.am: Update NEXT_RELEASE in
	packaging/snapshot.am

2011-03-24  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* packaging/redhat/gnash.spec: Fix rpm for qt4-gnash.

2011-03-24  Hicham HAOUARI <hicham.haouari@gmail.com>

	* doc/C/Makefile.am: Comment hardcoded docdir value in
	doc/C/Makefile.am for now

2011-03-24  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* plugin/npapi/plugin.cpp: Fix npapi plugin for qt4-gnash.

2011-03-24  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* doc/C/preformatted/gnash.1.in,
	doc/C/preformatted/kde4-gnash.1.in,
	doc/C/preformatted/qt4-gnash.1.in: Fix preformatted manpage.

2011-03-24  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* desktop/gnash-qt-launcher.in, doc/C/Makefile.am,
	doc/C/gnash.man-xml: Fix manpages for qt4-gnash.

2011-03-24  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* plugin/klash4/klash_part.cpp: Fix klash_part.

2011-03-23  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac, macros/npapi.m4: Wrap AC_LANG_SOURCE in square
	brackets to stop recent automake complaining.  See

	http://www.flameeyes.eu/autotools-mythbuster/forwardporting/autoconf.html

2011-03-23  Bastiaan Jacques <bastiaan@bjacques.org>

	* gui/Makefile.am, gui/aos4/aos4.am, gui/aqua/aqua.am,
	gui/dump/Makefile.am, gui/fb/Makefile.am, gui/fltk/fltk.am,
	gui/qt/kde3.am, gui/qt/qt4.am, gui/qt/qtopia3.am, gui/sdl/sdl.am: 
	Remove library flags presumably added to workaround typos from
	automake scripts in extensions/.

2011-03-23  Bastiaan Jacques <bastiaan@bjacques.org>

	* extensions/dbus/Makefile.am, extensions/dejagnu/Makefile.am,
	extensions/fileio/Makefile.am, extensions/gtk2/Makefile.am,
	extensions/lirc/Makefile.am: Fix copy/paste errors.

2011-03-23  Rob Savoye <rob@welcomehome.org>

	* : commit 54d44557ff3060905f8f496ba4c31563c88d98e1 Merge: 60da047
	c20d207 Author: Rob Savoye <rob@welcomehome.org> Date:   Wed Mar 23
	09:40:10 2011 -0600

2011-03-23  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/qt/qtopia3.am: Fix qtopia3 Makefile.

2011-03-23  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/Makefile.am, gui/qt/kde3.am: Fix kde3 build.

2011-03-23  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* Makefile.am, configure.ac, gui/Makefile.am, gui/Player.cpp,
	gui/gnash.in, gui/gui.h, gui/kde/GuiKde4.cpp, gui/kde/Kde4Glue.cpp,
	gui/kde/Kde4Glue.h, gui/kde/Kde4Glue.moc.in,
	gui/kde/Kde4GlueAgg.cpp, gui/kde/Kde4GlueAgg.h,
	gui/kde/Kde4GlueCairo.cpp, gui/kde/Kde4GlueCairo.h,
	gui/kde/Kde4GlueOgl.cpp, gui/kde/Kde4GlueOgl.h,
	gui/kde/Kde4Gui.cpp, gui/kde/Kde4Gui.h, gui/kde/Kde4Gui.moc.in,
	gui/kde/gui_kde.cpp, gui/kde/kde.cpp, gui/kde/kde3.am,
	gui/kde/kde4.am, gui/kde/kde_glue.h, gui/kde/kde_glue_agg.cpp,
	gui/kde/kde_glue_agg.h, gui/kde/kde_glue_opengl.cpp,
	gui/kde/kde_glue_opengl.h, gui/kde/kdesup.h, gui/kde/klash3.moc.in,
	gui/kde/qtopia3.am, gui/qt/GuiQt4.cpp, gui/qt/Qt4Glue.cpp,
	gui/qt/Qt4Glue.h, gui/qt/Qt4Glue.moc.in, gui/qt/Qt4GlueAgg.cpp,
	gui/qt/Qt4GlueAgg.h, gui/qt/Qt4GlueCairo.cpp,
	gui/qt/Qt4GlueCairo.h, gui/qt/Qt4GlueOgl.cpp, gui/qt/Qt4GlueOgl.h,
	gui/qt/Qt4Gui.cpp, gui/qt/Qt4Gui.h, gui/qt/Qt4Gui.moc.in,
	gui/qt/gui_kde.cpp, gui/qt/kde.cpp, gui/qt/kde3.am,
	gui/qt/kde_glue.h, gui/qt/kde_glue_agg.cpp, gui/qt/kde_glue_agg.h,
	gui/qt/kde_glue_opengl.cpp, gui/qt/kde_glue_opengl.h,
	gui/qt/kdesup.h, gui/qt/klash3.moc.in, gui/qt/qt4.am,
	gui/qt/qtopia3.am, packaging/debian/gnash-klash.install,
	packaging/debian/klash.desktop.in, packaging/debian/klash.install,
	packaging/debian/klash.lintian-overrides, packaging/debian/rules,
	packaging/ltib/gnash.spec, packaging/redhat/klash.spec: Rename
	kde4-gnash to qt4-gnash.

2011-03-22  Sandro Santilli <strk@keybit.net>

	* configure.ac: Do not advertise existance of non-existent gles
	renderer (single-line change))

2011-03-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* Makefile.am, configure.ac, desktop/Makefile.am,
	doc/C/Makefile.am, gui/Makefile.am, gui/kde/kde4.am: Don't require
	kde headers for the kde4 (really: Qt4) GUI.

2011-03-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/kde/Kde4Glue.h, gui/kde/Kde4Gui.cpp, gui/kde/Kde4Gui.h: 
	Implement screenDPI() in Qt4.

2011-03-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* NEWS: Update news.

2011-03-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/kde/Kde4Glue.cpp: Copyright typo.

2011-03-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/kde/Kde4Glue.cpp, gui/kde/Kde4Glue.h: Implement mouse wheel
	handling for Qt4.

2011-03-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/kde/Kde4Glue.cpp: Fix mangled copyright notice.

2011-03-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* Makefile.am: Drop remaining reference to HAVE_DMALLOC.

2011-03-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/kde/Kde4Gui.cpp, gui/kde/Kde4Gui.h: Implement screenResolution
	for Qt4.

2011-03-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/gtk/gtk.cpp, gui/gtk/gtksup.h, gui/gui.cpp, gui/gui.h,
	gui/kde/Kde4Gui.cpp, gui/kde/Kde4Gui.h: Drop unused FD callback
	code.

2011-03-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* configure.ac: Drop old configuration code.

2011-03-22  Bastiaan Jacques <bastiaan@bjacques.org>

	* macros/glib.m4: Break the outer loop so we don't continue looking
	after we've found the GTK headers.

2011-03-21  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: Remove the --enable-allstatic option, which does
	nothing.

2011-03-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/kde/Kde4Gui.cpp, gui/kde/Kde4Gui.h: Implement clipboard
	setting.

2011-03-21  Bastiaan Jacques <bastiaan@bjacques.org>

	* extensions/mysql/Makefile.am: Fix typo.

2011-03-20  Bastiaan Jacques <bastiaan@bjacques.org>

	* Makefile.am: Remove stray endif.

2011-03-20  Bastiaan Jacques <bastiaan@bjacques.org>

	* Makefile.am: Don't pretent XV is still included.

2011-03-20  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac, macros/alp.m4: Drop defunct ALP macro and tidy up in
	configure.ac.

2011-03-20  Bastiaan Jacques <bastiaan@bjacques.org>

	* macros/alp.m4: Revert "Drop defunct macros." This reverts commit 564ad447a835a767b2158cbb6044815a3075d1ff.

2011-03-20  Bastiaan Jacques <bastiaan@bjacques.org>

	* macros/alp.m4: Drop defunct macros.

2011-03-20  Brad Smith <brad@comstyle.com>

	* configure.ac: Remove unnecessary OpenBSD libpng detection hack.

2011-03-20  Bastiaan Jacques <bastiaan@bjacques.org>

	* macros/xpcom.m4: Remove defunct macro.

2011-03-20  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/BitsReader.h, libbase/IOChannel.h,
	libcore/CharacterProxy.cpp, libcore/DisplayList.h,
	libcore/Function.h, libcore/Function2.h, libcore/HostInterface.h,
	libcore/Movie.h, libcore/MovieClip.h, libcore/MovieLoader.h,
	libcore/ObjectURI.h, libcore/PropertyList.h, libcore/Relay.cpp,
	libcore/SWFMatrix.h, libcore/Timers.h, libcore/as_environment.h,
	libcore/as_object.h, libcore/as_value.h,
	libcore/asobj/XMLNode_as.h,
	libcore/asobj/flash/filters/ColorMatrixFilter_as.cpp,
	libcore/asobj/flash/filters/ConvolutionFilter_as.cpp,
	libcore/asobj/flash/filters/DisplacementMapFilter_as.cpp,
	libcore/asobj/flash/filters/DropShadowFilter_as.cpp,
	libcore/asobj/flash/filters/GlowFilter_as.cpp,
	libcore/asobj/flash/filters/GradientBevelFilter_as.cpp,
	libcore/asobj/flash/filters/GradientGlowFilter_as.cpp,
	libcore/asobj/flash/geom/Matrix_as.cpp, libcore/movie_root.h,
	libcore/parser/movie_definition.h,
	libcore/swf/DefineEditTextTag.cpp, libcore/swf/PlaceObject2Tag.cpp,
	libcore/swf/RemoveObjectTag.cpp, libcore/swf/SWF.h,
	libcore/vm/ActionExec.cpp, libcore/vm/CallStack.h,
	libcore/vm/ExecutableCode.h, libcore/vm/Machine.h, libcore/vm/VM.h,
	libcore/vm/fn_call.h, plugin/npapi/external.h: Remove unused
	includes, add forward declarations, use <ioswfd> where appropriate,
	move some includes to implementation files.

2011-03-19  Sandro Santilli <strk@keybit.net>

	* NEWS, configure.ac: Prepare for next turn (0.8.10)

2011-03-19  Sandro Santilli <strk@keybit.net>

	* NEWS: Set release date...

2011-03-19  Bastiaan Jacques <bastiaan@bjacques.org>

	* macros/kde4.m4: Fix typo. Bug #32849.

2011-03-19  Gabriele Giacone <1o5g4r8o@gmail.com>

	* packaging/rpm.am: Fix rpm packaging.

2011-03-19  Hicham HAOUARI <hicham.haouari@gmail.com>

	* plugin/npapi/Makefile.am: Add BOOST_CFLAGS to
	plugin/npapi/Makefile.am

2011-03-18  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am: Distribute
	missing_bitmap.xml

2011-03-18  Rob Savoye <rob@welcomehome.org>

	* configure.ac, packaging/snapshot.am: update for final

2011-03-18  Sandro Santilli <strk@keybit.net>

	* librender/cairo/Renderer_cairo.cpp: Fix the missing and disposed
	bitmap in bitmapfill case for cairo too (bug #32842)

2011-03-18  Sandro Santilli <strk@keybit.net>

	* libcore/FillStyle.cpp, librender/agg/Renderer_agg_style.h,
	testsuite/misc-swfmill.all/missing_bitmapTestRunner.cpp: Have AGG
	renderer handle disposed bitmaps and missing bitmaps differently,
	fixing #32833 w/out breaking other things.

2011-03-18  Gabriele Giacone <1o5g4r8o@gmail.com>

	* Makefile.am, configure.ac, testsuite/swfdec/Makefile.am: Disable
	swfdec testsuite in dist.

2011-03-18  Sandro Santilli <strk@keybit.net>

	* librender/agg/Renderer_agg_style.h,
	testsuite/misc-swfmill.all/missing_bitmapTestRunner.cpp: Revert the
	change about missing bitmaps as it broke another test. Leave
	comments about the case right in the code.

2011-03-18  Sandro Santilli <strk@keybit.net>

	* librender/agg/Renderer_agg_style.h,
	testsuite/misc-swfmill.all/missing_bitmapTestRunner.cpp: Fix bug
	#32833 for AGG renderer (render missing bitmap fills in solid red)

2011-03-18  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/Makefile.am,
	testsuite/misc-swfmill.all/missing_bitmapTestRunner.cpp: Automate
	runner for test of bug #32833

2011-03-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* configure.ac, gui/Makefile.am, gui/gnash.in,
	gui/riscos/gui_riscos.cpp, gui/riscos/riscos.am,
	gui/riscos/riscos.cpp, gui/riscos/riscos_glue.h,
	gui/riscos/riscos_glue_agg.cpp, gui/riscos/riscos_glue_agg.h,
	gui/riscos/riscossup.h, plugin/xpcom/GnashComponent.cpp,
	plugin/xpcom/GnashComponent.h,
	plugin/xpcom/GnashComponentModule.cpp, plugin/xpcom/Makefile.am,
	plugin/xpcom/README.txt, plugin/xpcom/iGnashComponent.idl: Drop
	riscos and xpcom.

2011-03-18  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-swfmill.all/missing_bitmap.xml: Test for bug #32833

2011-03-18  Rob Savoye <rob@welcomehome.org>

	* plugin/npapi/plugin.cpp: read one byte at a time

2011-03-18  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: Another attempt to prevent the plugin
	from blocking Firefox, seeing as the previous solution did not work
	on OpenBSD (at least).  This approach reads only a single byte at a time, and subsequently
	checks that more input is flagged before attempting the next read.
	This is tested to prevent blocking at least on OpenBSD and Fedora
	with Firefox 3.x and 4.0rc1.

2011-03-17  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/HostInterface.h: Export the correct symbols.

2011-03-17  Johannes Obermayr <johannesobermayr@gmx.de>

	* macros/kde4.m4: Choose right kde4 libdir on openSUSE based systems

2011-03-17  Markus Gothe <nietzsche@lysator.liu.se>

	* libsound/WAVWriter.h: added DSOEXPORT

2011-03-17  Markus Gothe <nietzsche@lysator.liu.se>

	* libcore/HostInterface.h, libcore/MovieFactory.h: added DSOEXPORT's

2011-03-17  Markus Gothe <nietzsche@lysator.liu.se>

	* libbase/RTMP.h, libbase/SWFCtype.h, libbase/URLAccessManager.h,
	libbase/utf8.h: added DSOEXPORT's

2011-03-17  Hicham HAOUARI <hicham.haouari@gmail.com>

	* doc/C/refmanual/code_dependencies.xml: Add libltdl development
	package to the list of code dependencies

2011-03-16  Hicham HAOUARI <hicham.haouari@gmail.com>

	* doc/C/refmanual/code_dependencies.xml: Update code dependencies
	documentation

2011-03-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayList.cpp: Reduce scope of iterator.

2011-03-16  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* librender/agg/Renderer_agg.cpp: Update completion list.

2011-03-14  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayList.cpp: Remove commented-out code.

2011-03-14  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* librender/agg/Renderer_agg.cpp: Use a ptr_vector

2011-03-15  Rob Savoye <rob@welcomehome.org>

	* testsuite/Makefile.am: add dejagu.h to the dist

2011-03-16  Bastiaan Jacques <bastiaan@bjacques.org>

	* NEWS: Add a few more changes and a bunch of caveats.

2011-03-15  Rob Savoye <rob@welcomehome.org>

	* testsuite/Makefile.am: add dejagu.h to the dist

2011-03-15  Rob Savoye <rob@welcomehome.org>

	* : big merge from master, fix rpm creation, drop fetching swfdec

2011-03-14  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/SharedMem.cpp: Remove unneeded conditional.

2011-03-14  Andrew Guertin <dolphinling@dolphinling.net>

	* configure.ac, doc/C/refmanual/feature_configuration.xml,
	gui/aqua/aqua_ogl_glue.cpp, gui/aqua/aqua_ogl_glue.h,
	gui/aqua/aquasup.h, gui/gtk/gtk_glue_gtkglext.cpp,
	gui/gtk/gtk_glue_gtkglext.h, gui/kde/kde_glue_opengl.cpp,
	gui/kde/kde_glue_opengl.h, gui/sdl/sdl_ogl_glue.cpp,
	gui/sdl/sdl_ogl_glue.h, gui/sdl/sdlsup.h,
	librender/opengl/Renderer_ogl.cpp: Remove obsolete fix-lod-bias
	option.

2011-03-14  Gabriele Giacone <1o5g4r8o@gmail.com>

	* testsuite/swfdec/Makefile.am: Readd swfdec srcdir to dist

2011-03-13  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/Number.as: Add test for Number.toString
	as encountered in bug #32521

2011-03-13  Rob Savoye <rob@welcomehome.org>

	* testsuite/swfdec/Makefile.am: fetch-swfdec needs to look in the
	builddir, not the srcdir.

2011-03-13  Gabriele Giacone <1o5g4r8o@gmail.com>

	* Makefile.am, configure.ac, testsuite/Makefile.am,
	testsuite/swfdec/Makefile.am: Fix swfdec testsuite in dist

2011-02-10  Gabriele Giacone <1o5g4r8o@gmail.com>

	* testsuite/misc-ming.all/Makefile.am: Add XMLSocketTester to
	distcleanfiles

2011-02-10  Gabriele Giacone <1o5g4r8o@gmail.com>

	* testsuite/misc-swfmill.all/trace-as2/Makefile.am: Fix misc-swfmill
	tests in dist testsuite

2011-02-10  Gabriele Giacone <1o5g4r8o@gmail.com>

	* testsuite/Makefile.am, testsuite/media/Makefile.am: Fix misc-ming
	tests in dist testsuite

2011-03-13  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/gst/MediaParserGst.cpp, libmedia/gst/MediaParserGst.h: 
	Set _parsingComplete only after all the encoded frames have been
	emitted.  See bug #32760.

2011-03-13  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/gst/MediaParserGst.cpp: Let the sink caps be less
	specific so small caps changes are possible.  Fixes bug #32760.

2011-03-13  Gabriele Giacone <1o5g4r8o@gmail.com>

	* cygnal/libnet/Makefile.am: Fix lenny build.

2011-03-12  Sandro Santilli <strk@keybit.net>

	* libcore/vm/ActionExec.cpp: Include program counter on action limit
	notification log

2011-03-12  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/pluginScriptObject.cpp: Fix null pointer dereference.

2011-03-12  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/pluginScriptObject.cpp,
	plugin/npapi/pluginScriptObject.h: Make the file descriptor
	variables part of the instance. Fixes bug #32758.

2011-03-12  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/pluginScriptObject.cpp,
	plugin/npapi/pluginScriptObject.h: Remove dead and unused code.

2011-03-12  Gabriele Giacone <1o5g4r8o@gmail.com>

	* Makefile.am, testsuite/Makefile.am: Enable distcheck testsuite

2011-03-12  Bastiaan Jacques <bastiaan@bjacques.org>

	* NEWS: Add some user-visible changes.

2011-03-12  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: Silence warnings.

2011-03-12  Hicham HAOUARI <hicham.haouari@gmail.com>

	* doc/C/Makefile.am, doc/C/gnash.man-xml,
	doc/C/preformatted/fb-gnash.1.in,
	doc/C/preformatted/gnash-gtk-launcher.1.in,
	doc/C/preformatted/gnash-qt-launcher.1.in,
	doc/C/preformatted/sdl-gnash.1.in: Add missing aliases to gnash
	manpage

2011-03-12  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.h: Add some documentation.

2011-03-12  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp, plugin/npapi/plugin.h: Manage the second
	file descriptor as well.

2011-03-11  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: Call the function wrappers rather than
	directly invoking the function pointers.

2011-03-12  Hicham HAOUARI <hicham.haouari@gmail.com>

	* configure.ac, macros/python.m4: Fix python detection on obsd

2011-03-12  Hicham HAOUARI <hicham.haouari@gmail.com>

	* gui/pythonmod/Makefile.am: Add gen-gnash.c to CLEANFILES

2011-03-12  Hicham HAOUARI <hicham.haouari@gmail.com>

	* Makefile.am: Cygnal needs to be built before utilities

2011-03-12  Hicham HAOUARI <hicham.haouari@gmail.com>

	* Makefile.am: Fix make_distcheck trying to distclean cygnal
	directory twice

2011-03-11  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: Plug memory leak (bug #32727).

2011-03-11  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/ExternalInterface.cpp: Remove spurious print.

2011-03-11  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: NPN_CreateObject is available in
	mozilla-1.9.0.

2011-03-11  Hicham HAOUARI <hicham.haouari@gmail.com>

	* cygnal/cgi-bin/echo/Makefile.am,
	cygnal/cgi-bin/oflaDemo/Makefile.am: More fixes for distcheck after
	enabling cygnal

2011-03-11  Hicham HAOUARI <hicham.haouari@gmail.com>

	* configure.ac: Cosmetic : fix erroneous tab use from previous
	commit

2011-03-11  Hicham HAOUARI <hicham.haouari@gmail.com>

	* configure.ac: Build GTK with --enable-gui=all configure switch

2011-03-11  Sandro Santilli <strk@keybit.net>

	* testsuite/libcore.all/Makefile.am: It seems we need to explictly
	link to boost here, to avoid undefined reference to
	'boost::lock_error::lock_error()' errors (on lucid-linux-x86 32bit)

2011-03-11  Sandro Santilli <strk@keybit.net>

	* libmedia/ffmpeg/MediaParserFfmpeg.cpp: Have
	MediaParserFfmpeg::seekMedia return -1 on error. Properly signals
	parsing errors in the upper levels, which then consider the input
	finished and show what they got so far. By all effects, this fixes
	playback of the infamous "the snow plugin" movie, bug #32751.

2011-03-11  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/curl_adapter.cpp: Use a 64-bit precision type to avoid
	integer overflows. Fixing bug #32735.

2011-03-11  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/HostInterface.cpp, libcore/HostInterface.h: boost::variant
	provides an ostream operator<<; it is neither necessary nor
	desirable to roll our own.

2011-03-10  Rob Savoye <rob@welcomehome.org>

	* gui/pythonmod/Makefile.am: add gnash_la_CPPFLAGS to see if it
	makes distcheck happy

2011-03-11  Gabriele Giacone <1o5g4r8o@gmail.com>

	* Makefile.am: Add python and cygnal dist configure options

2011-03-11  Gabriele Giacone <1o5g4r8o@gmail.com>

	* cygnal/libamf/Makefile.am, cygnal/libnet/Makefile.am,
	gui/pythonmod/Makefile.am, libbase/Makefile.am,
	libcore/Makefile.am, libmedia/Makefile.am, librender/Makefile.am,
	libsound/Makefile.am: Fix make distcheck. bug #32743

2011-03-10  Bastiaan Jacques <bastiaan@bjacques.org>

	* : commit 973663eb4cddb830c9023f4507c28fce03fc8726 Author: Bastiaan
	Jacques <bastiaan@bjacques.org> Date:   Thu Mar 10 15:13:13 2011
	+0100

2011-03-10  Bastiaan Jacques <bastiaan@bjacques.org>

	* libbase/tu_file.cpp, testsuite/libbase.all/NoSeekFileTest.cpp: 
	Avoid integer overflow while checking file sizes for seeks. Add a
	test for 32-bit machines.

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Remove double quotes from AC_MSG_RESULT in
	macros/npapi.m4

2011-03-09  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/ffmpeg/MediaParserFfmpeg.cpp: Document abuse of
	exceptions in FFMPEG callbacks.

2011-03-09  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/GnashNPVariant.h, plugin/npapi/test.cpp: Minor
	cleanup.

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* configure.ac, doc/C/Makefile.am: Bump autoconf minimum required
	version to 2.59c and let it handle htmldir

2011-03-09  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: NPN_RetainObject is available in
	mozilla-1.9.0.

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* : commit 0223221414700462880f35da3311cedc5ec14047 Merge: aa7f559
	72cc346 Author: Hicham HAOUARI <hicham.haouari@gmail.com> Date:
	Wed Mar 9 03:47:06 2011 +0000

2011-03-09  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/asobj/NetStream_as.cpp: Don't stop playback until both
	audio and video have been fully consumed. Fixes bug #31806.

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Rework npapi.m4 a bit after the last changes

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Add missing test command

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Use elif instead of else

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Fix typo

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Remove an unnecessary check in npapi.m4

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: More npapi.m4 cleanup

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Cosmetic : replace some tabs by spaces

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: More npapi.m4 cleanup

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Set npapi_include_dir variable for a saner check
	for npupp.h

2011-03-08  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/ffmpeg/MediaParserFfmpeg.cpp: Don't throw an exception
	when FFMPEG seeks to a negative offset. Fixes bug #32001.

2011-03-08  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: Write cookie files in the format curl
	expects. Fixes bug #32719.

2011-03-09  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4, plugin/npapi/GnashNPVariant.h,
	plugin/npapi/mozilla-sdk/np_entry.cpp,
	plugin/npapi/mozilla-sdk/npn_gate.cpp,
	plugin/npapi/mozilla-sdk/npplat.h, plugin/npapi/plugin.cpp,
	plugin/npapi/test.cpp: Use a single define to distinguish between
	NPAPI newer or older than 1.9.1

2011-03-08  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/ffmpeg/MediaParserFfmpeg.cpp: Don't throw an exception
	when FFMPEG seeks to a negative offset. Fixes bug #32001.

2011-03-08  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: Write cookie files in the format curl
	expects. Fixes bug #32719.

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* plugin/npapi/plugin.cpp: Initialize rv to NPERR_GENERIC_ERROR if
	HAVE_NPUPP is defined in plugin.cpp

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* plugin/npapi/test.cpp: Fix omission from previous commit

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* plugin/npapi/test.cpp: Add gnashconfig.h to plugin/npapi/test.cpp

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* plugin/npapi/mozilla-sdk/np_entry.cpp: Add ifdefs and
	gnashconfig.h to np_entry.cpp

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* plugin/npapi/mozilla-sdk/npplat.h: Add gnashconfig.h to npplat.h

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* plugin/npapi/mozilla-sdk/npn_gate.cpp: Put plugin.h before testing
	HAVE_NPUPP in npn_gate.cpp

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* plugin/npapi/mozilla-sdk/npn_gate.cpp: Add ifdefs in npn_gate.cpp

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* plugin/npapi/plugin.cpp: More ifdefs

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Add one more location for npupp.h lookup

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Add checking message for npupp.h

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Add quotes to a path that might contain spaces

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: More detection code improvment

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* plugin/npapi/test.cpp: More ifdefs

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4: Add missing backslashes

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4, plugin/npapi/GnashNPVariant.h,
	plugin/npapi/mozilla-sdk/npplat.h: Add more ifdefs and sdk detection
	code

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* macros/npapi.m4, plugin/npapi/GnashNPVariant.h,
	plugin/npapi/plugin.cpp: Support NPAPI in 1.9.1 and 1.9.0

2011-03-08  Hicham HAOUARI <hicham.haouari@gmail.com>

	* : commit a1c86327997027cf04a0052c367b8867894c2207 Author: Gabriele
	Giacone <1o5g4r8o@gmail.com> Date:   Tue Mar 8 02:17:25 2011 +0100

2011-03-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/SWFIterators.h: Remove accidentally added file.

2011-03-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/smart_ptr.h: Remove unneeded functions.

2011-03-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/NetStream_as.cpp, libcore/asobj/NetStream_as.h,
	libcore/asobj/flash/display/BitmapData_as.cpp,
	libcore/asobj/flash/geom/Matrix_as.cpp,
	libcore/asobj/flash/geom/Rectangle_as.cpp,
	testsuite/libcore.all/DisplayListTest.cpp: Drop intrusive_ptr for
	as_function and remove unused NetStream_as member.

2011-03-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/filters/ColorMatrixFilter_as.cpp,
	libcore/asobj/flash/filters/ConvolutionFilter_as.cpp,
	libcore/asobj/flash/filters/DisplacementMapFilter_as.cpp,
	libcore/asobj/flash/filters/DropShadowFilter_as.cpp,
	libcore/asobj/flash/filters/GradientBevelFilter_as.cpp,
	libcore/asobj/flash/filters/GradientGlowFilter_as.cpp,
	libcore/swf/SWFIterators.h: Remove more intrusive_ptr usage.

2011-03-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* configure.ac, extensions/launcher/Makefile.am,
	extensions/launcher/launcher.cpp,
	extensions/launcher/launcher_ext.cpp,
	extensions/launcher/launcher_ext.h, extensions/launcher/md5.cpp,
	extensions/launcher/md5.h, extensions/launcher/test.as: Remove
	incomplete, uncompilable, and unmaintained extension.

2011-03-07  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/LoadableObject.cpp,
	libcore/asobj/flash/filters/GlowFilter_as.cpp,
	libcore/asobj/flash/geom/Rectangle_as.h: Remove some intrusive_ptr
	usage.

2011-03-07  Bastiaan Jacques <bastiaan@bjacques.org>

	* extensions/fileio/fileio.cpp: Linux and OpenBSD disagree on the
	return value of fputs on success, but they agree on the failure
	value.

2011-03-07  Bastiaan Jacques <bastiaan@bjacques.org>

	* testsuite/misc-ming.all/Makefile.am,
	testsuite/misc-ming.all/action_order/Makefile.am,
	testsuite/misc-ming.all/displaylist_depths/Makefile.am,
	testsuite/misc-ming.all/loading/Makefile.am,
	testsuite/misc-ming.all/loop/Makefile.am: Link in libcore to Ming
	tests so compilation succeeds on OpenBSD.

2011-03-07  Bastiaan Jacques <bastiaan@bjacques.org>

	* ABOUT-NLS, config.rpath, macros/gettext.m4, macros/iconv.m4,
	macros/lib-ld.m4, macros/lib-link.m4, macros/lib-prefix.m4,
	macros/nls.m4, macros/po.m4, macros/progtest.m4: Update Gettext
	macros to 0.18.1 to solve link problems on openbsd.

2011-03-06  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: Fix typo.

2011-03-06  Sandro Santilli <strk@keybit.net>

	* : This is an empty commit to notify that previous one
	(74198b7a44c87000bfe6b9e2b0f30a2d9e95594f) was meant to fix bug
	#32318

2011-03-06  Bastiaan Jacques <bastiaan@bjacques.org>

	* configure.ac: New gettext doesn't define $shlibext, on which our
	scripts rely, so pick it up anyway.

2011-03-06  Gabriele Giacone <1o5g4r8o@gmail.com>

	* packaging/rpm.am: Make rpm versioning follow fedora guidelines

2011-03-05  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* : Merge gprocessor fix.

2011-03-04  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/TextField.cpp: Don't try to implement leading unless it
	stops making text disappear.

2011-03-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/parser/movie_definition.h: Cleanup comments and add a
	virtual dtor for safety (although one is implicitly generated as
	long as it derives from SWF::DefinitionTag).

2011-03-03  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libmedia/ffmpeg/VideoDecoderFfmpeg.cpp: The required version of
	ffmpeg has PIX_FMT_RGBA.

2011-03-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/GnashAlgorithm.h, libcore/asobj/NetStream_as.cpp,
	libcore/asobj/NetStream_as.h, librender/agg/Renderer_agg_style.h: 
	Drop last raw pointer containers and code for cleaning them up.

2011-03-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/parser/SWFMovieDefinition.cpp: Clean up.

2011-03-02  Rob Savoye <rob@welcomehome.org>

	* : commit 949b24a12ad21aabf638e38d3779320da3de65ee Author: Rob
	Savoye <rob@welcomehome.org> Date:   Wed Mar 2 07:59:14 2011 -0700

2011-03-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* utilities/processor.cpp: Ensure movie_root is destroyed before
	movie_definition.  Fixes bug #31868.

2011-03-02  Sandro Santilli <strk@keybit.net>

	* libmedia/MediaParser.cpp, libmedia/MediaParser.h: Expose a
	MediaParser::isBufferEmpty method, hopefully useful from NetStream
	to simplify "stop" conditions detection.

2011-03-02  Sandro Santilli <strk@keybit.net>

	* libmedia/MediaParser.cpp, libmedia/MediaParser.h: Expose a
	MediaParser::isBufferEmpty method, hopefully useful from NetStream
	to simplify "stop" conditions detection.

2011-03-02  Gabriele Giacone <1o5g4r8o@gmail.com>

	* configure.ac: Add missing echoes

2011-03-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/actionscript.all/String.as: Remove unneeded line.

2011-03-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/actionscript.all/Makefile.am,
	testsuite/actionscript.all/haxe-swf9/Dejagnu.hx,
	testsuite/actionscript.all/haxe-swf9/as_to_hx.pl,
	testsuite/actionscript.all/haxe-swf9/check.as: Remove unused test
	generators.

2011-03-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Property.cpp, libcore/Property.h,
	libcore/PropertyList.cpp, testsuite/actionscript.all/Boolean.as: Add
	test for destructive property crash and fix it.  Fixes bug #23139
	again.

2011-03-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* configure.ac, libcore/asobj/flash/external/external.am,
	libcore/asobj/flash/geom/geom.am, libcore/asobj/flash/net/net.am,
	libcore/asobj/flash/text/text.am, macros/classes.m4,
	testsuite/misc-haxe.all/Makefile.am,
	testsuite/misc-haxe.all/classes.all/accessibility/accessibility.am,
	testsuite/misc-haxe.all/classes.all/data/data.am,
	testsuite/misc-haxe.all/classes.all/desktop/desktop.am,
	testsuite/misc-haxe.all/classes.all/display/display.am,
	testsuite/misc-haxe.all/classes.all/errors/errors.am,
	testsuite/misc-haxe.all/classes.all/events/events.am,
	testsuite/misc-haxe.all/classes.all/external/external.am,
	testsuite/misc-haxe.all/classes.all/geom/geom.am,
	testsuite/misc-haxe.all/classes.all/media/media.am,
	testsuite/misc-haxe.all/classes.all/net/net.am,
	testsuite/misc-haxe.all/classes.all/printing/printing.am,
	testsuite/misc-haxe.all/classes.all/system/system.am,
	testsuite/misc-haxe.all/classes.all/text/text.am,
	testsuite/misc-haxe.all/classes.all/ui/ui.am,
	testsuite/misc-haxe.all/classes.all/utils/utils.am,
	testsuite/misc-haxe.all/classes.all/xml/xml.am: Drop obsolete
	configuration for non-existent classes.

2011-03-02  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* .gitignore: Drop removed files from .gitignore.

2011-03-01  Rob Savoye <rob@welcomehome.org>

	* plugin/klash4/Makefile.am: install libklashpart instead of
	plugin_LTLIBRARY

2011-03-01  Rob Savoye <rob@welcomehome.org>

	* packaging/debian/gnash-dev.install,
	packaging/debian/konqueror-plugin-gnash.install: don't try to
	package .la files, they don't get installed anymore

2011-03-01  Rob Savoye <rob@welcomehome.org>

	* packaging/debian/changelog: add new entry for release

2011-03-01  Rob Savoye <rob@welcomehome.org>

	* configure.ac, packaging/snapshot.am: update to ~rc3

2011-03-01  Rob Savoye <rob@welcomehome.org>

	* packaging/redhat/gnash.spec: add the new launchers

2011-03-01  Rob Savoye <rob@welcomehome.org>

	* : commit c3c330a8b483f4ac689918ae9c7c6bd0c22ee861 Author: Bastiaan
	Jacques <bastiaan@bjacques.org> Date:   Wed Mar 2 00:06:05 2011
	+0100

2011-03-01  Bastiaan Jacques <bastiaan@bjacques.org>

	* macros/libltdl.m4: Removed libltdl.m4, which goes apparently
	unused.

2011-03-01  Bastiaan Jacques <bastiaan@bjacques.org>

	* autogen.sh: Stop installing libltdl into the source tree.

2011-03-01  Hicham HAOUARI <hicham.haouari@gmail.com>

	* configure.ac, plugin/npapi/Makefile.am,
	plugin/npapi/mozilla-sdk/include/npapi.h,
	plugin/npapi/mozilla-sdk/include/npfunctions.h,
	plugin/npapi/mozilla-sdk/include/npruntime.h,
	plugin/npapi/mozilla-sdk/include/nptypes.h: Use system npapi headers

2011-03-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* configure.ac: Correct package name for yum users.

2011-03-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* Makefile.am: Consistent formatting.

2011-03-01  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* Makefile.am: Add ltdl flags back into make dumpconfig.

2011-03-01  Hicham HAOUARI <hicham.haouari@gmail.com>

	* configure.ac, libbase/Makefile.am: Use LTDL_CFLAGS ang LTDL_LIBS
	produced by GNASH_PKG_FIND

2011-03-01  Hicham HAOUARI <hicham.haouari@gmail.com>

	* configure.ac: Remove some odd character from previous patch

2011-03-01  Hicham HAOUARI <hicham.haouari@gmail.com>

	* Makefile.am, configure.ac, libbase/Makefile.am: Use system ltdl

2011-03-01  Bastiaan Jacques <bastiaan@bjacques.org>

	* librender/cairo/Renderer_cairo.cpp: Stop pixel snapping filled
	shapes, which is unnecessary and makes small shapes like text look
	bad.

2011-03-01  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/gst/MediaParserGst.cpp: Initialise dataSize so we get
	more useful printouts.

2011-02-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* cygnal/cgi-bin/fitcDemo/Makefile.am: Drop a missed link line.

2011-02-28  Bastiaan Jacques <bastiaan@bjacques.org>

	* librender/cairo/Renderer_cairo.cpp: Use the quality setting when
	determining what filter to use for drawing video frames.

2011-02-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/TextField_as.cpp: Ensure that createTextField does
	not crash.

2011-02-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/DefineEditTextTag.cpp: Ensure that a valid TextField
	is constructed

2011-02-28  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/TextField.cpp: Assert that an associated object exists

2011-02-28  Sandro Santilli <strk@keybit.net>

	* NEWS: Add note about obsd

2011-02-28  Sandro Santilli <strk@keybit.net>

	* testsuite/libbase.all/URLTest.cpp: Fix test for bug #32625

2011-02-28  Sandro Santilli <strk@keybit.net>

	* testsuite/libbase.all/URLTest.cpp: Add test for bug #32625

2011-02-28  Bastiaan Jacques <bastiaan@bjacques.org>

	* gui/gtk/gtk.cpp, gui/gtk/gtksup.h, gui/gui.cpp, gui/gui.h: Hook
	into visibility notification events and avoid display() if the
	window is obscured.

2011-02-27  Rob Savoye <rob@welcomehome.org>

	* configure.ac: add the ~rc2 back in

2011-02-28  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/pluginScriptObject.cpp: Fix unsafe access of
	NPString, which is not guaranteed to be NULL-terminated.

2011-02-27  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp: Trivial cleanups.

2011-02-27  Sandro Santilli <strk@keybit.net>

	* .gitignore: More ignores, thanks Gabriele

2011-02-27  Sandro Santilli <strk@keybit.net>

	* plugin/test/baseuri/test.html, plugin/test/baseuri/test_js.html: 
	Add a test trying to reproduce bug #26906

2011-02-27  Sandro Santilli <strk@keybit.net>

	* .gitignore: Do not ignore plugin/test. Fixes bug #32615

2011-02-27  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* cygnal/Makefile.am, cygnal/testsuite/libamf.all/Makefile.am,
	cygnal/testsuite/libnet.all/Makefile.am,
	extensions/dbus/Makefile.am, extensions/dejagnu/Makefile.am,
	extensions/fileio/Makefile.am, extensions/gtk2/Makefile.am,
	extensions/lirc/Makefile.am, extensions/mysql/Makefile.am,
	gui/Makefile.am, libcore/Makefile.am, libcore/parser/Makefile.am,
	libcore/vm/Makefile.am, libmedia/Makefile.am,
	testsuite/Makefile.am, testsuite/libbase.all/Makefile.am,
	testsuite/libcore.all/Makefile.am,
	testsuite/misc-ming.all/Makefile.am,
	testsuite/misc-ming.all/action_order/Makefile.am,
	testsuite/misc-ming.all/displaylist_depths/Makefile.am,
	testsuite/misc-ming.all/loading/Makefile.am,
	testsuite/misc-ming.all/loop/Makefile.am,
	testsuite/misc-swfc.all/Makefile.am,
	testsuite/misc-swfmill.all/Makefile.am,
	testsuite/movies.all/Makefile.am,
	testsuite/network.all/Makefile.am, testsuite/samples/Makefile.am,
	utilities/Makefile.am: Do not link to or include libltdl where it's
	not required.

2011-02-26  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp, plugin/npapi/plugin.h: Make the plugin
	read sockets in nonblocking mode (fixes bug #32601). Don't expect
	newlines. We can expect to receive incomplete requests, so
	accumulate them over calls to handlePlayerRequests(). Make
	processPlayerRequest() more than one message.

2011-02-26  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/eglDevice.cpp: destroy the surrace if it exists

2011-02-26  Rob Savoye <rob@welcomehome.org>

	* libdevice/rawfb/RawFBDevice.h: return something

2011-02-26  Rob Savoye <rob@welcomehome.org>

	* libdevice/egl/egl.am: add EGL_CFLAGS for all egl code

2011-02-26  Rob Savoye <rob@welcomehome.org>

	* gui/fb/fb.cpp: initialize AGG renderer and set the size

2011-02-26  Rob Savoye <rob@welcomehome.org>

	* configure.ac: disable the defaults when enable-device is specified

2011-02-26  Rob Savoye <rob@welcomehome.org>

	* plugin/npapi/plugin.cpp: put the return false back in if there are
	too many attempts to read the network.

2011-02-26  Bastiaan Jacques <bastiaan@bjacques.org>

	* AUTHORS: Switch AUTHORS to utf-8, so apparently more people can
	read it.

2011-02-26  Hicham HAOUARI <hicham.haouari@gmail.com>

	* cygnal/libamf/Makefile.am, cygnal/libnet/Makefile.am,
	gui/pythonmod/Makefile.am, libbase/Makefile.am,
	libcore/Makefile.am, libmedia/Makefile.am, librender/Makefile.am,
	libsound/Makefile.am, plugin/klash4/Makefile.am: Remove libtool .la
	files

2011-02-25  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* doc/C/images/car_crash.png.txt, doc/C/usermanual/usage.xml: Drop
	image tag.

2011-02-25  Hicham HAOUARI <hicham.haouari@gmail.com>

	* configure.ac, desktop/Makefile.am, desktop/gnash-gtk-launcher.in,
	desktop/gnash-qt-launcher.in, desktop/gnash.desktop,
	desktop/klash.desktop, gui/Makefile.am, gui/gnash.in, gui/klash.in: 
	Rename gtk-gnash and kde4-gnash launchers

2011-02-24  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/gst/MediaParserGst.cpp: Implement seeking for the Gst
	parser.

2011-02-24  Rob Savoye <rob@welcomehome.org>

	* packaging/rpm.am: drop the snapshot-rename-dir dependency

2011-02-24  Rob Savoye <rob@welcomehome.org>

	* packaging/rpm.am: rename the builkd directory so we get the full
	version number for everything

2011-02-24  Rob Savoye <rob@welcomehome.org>

	* packaging/snapshot.am: add a tilde so versioning works correctly

2011-02-24  Rob Savoye <rob@welcomehome.org>

	* configure.ac: don't put rc2 into the version, it screws up RPM
	building. Fix this elsewhere in the process.

2011-02-24  Rob Savoye <rob@welcomehome.org>

	* packaging/redhat/gnash.spec: add new desktop files to the package.

2011-02-24  Rob Savoye <rob@welcomehome.org>

	* packaging/snapshot.am: tweak snapshot version for rc2

2011-02-24  Rob Savoye <rob@welcomehome.org>

	* : big merge from master to get recent bug fixes

2011-02-24  Sandro Santilli <strk@keybit.net>

	* doc/C/refmanual/building.xml: Simplify command to checkout remote
	branches

2011-02-24  Sandro Santilli <strk@keybit.net>

	* libbase/curl_adapter.cpp: Provide lock(mutex) and unlock(mutex)
	free functions to provide an implementation for boost versions
	1.34.1. Note that implementation for 1.34.1 and lower uses headers
	which are not meant to be public. Could be not there. Also, I'm not
	sure about consequences of those calls at runtime. Re-fixes bug
	#32579 w/out breaking lenny builds.

2011-02-24  Sandro Santilli <strk@keybit.net>

	* doc/C/refmanual/building.xml: Rewrite the access to sources part
	of gnash reference manual

2011-02-24  Bastiaan Jacques <bastiaan@bjacques.org>

	* : commit 84f3969e89ba3c692efabb2e09e9733d84900995 Author: Bastiaan
	Jacques <bastiaan@bjacques.org> Date:   Thu Feb 24 17:31:27 2011
	+0100

2011-02-24  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/TextField.cpp: Use existing fonts if they exist to avoid
	creating fonts for ever.

2011-02-23  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* configure.ac: Fix duplicated rule from desktop patch

2011-02-23  Sandro Santilli <strk@keybit.net>

	* libbase/curl_adapter.cpp: Don't use scoped_lock objects to hold
	locks requested by libcurl. Should fix bug #32579.

2011-02-23  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* gui/Makefile.am: Restore rule dropped accidentally by desktop
	patch.

2011-02-23  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* desktop/Makefile.am: Distribute files.

2011-02-15  Hicham HAOUARI <hicham.haouari@gmail.com>

	* Makefile.am, configure.ac, desktop/Makefile.am,
	desktop/gnash.desktop, desktop/klash.desktop, gui/Makefile.am,
	gui/gnash.in, gui/klash.in: Add desktop files

2011-02-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* doc/Doxyfile.in: Clean up apidocs.

2011-02-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libbase/URL.cpp: Correct includes

2011-02-23  Sandro Santilli <strk@keybit.net>

	* libmedia/MediaParser.cpp, libmedia/MediaParser.h: Make peek
	functions private and non-locking. Have NextTimestamp fetcher lock
	instead, to ensure the fetched frame is not deleted by another
	thread before having a chance to query its timestamp. Fixes bug
	#32540. Thanks Bastiaan Jacques for doing the hard work of figuring
	out the problem.

2011-02-23  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/AudioDecoderSimple.cpp: Avoid using a temporary buffer
	that is not needed.

2011-02-22  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/ffmpeg/AudioDecoderFfmpeg.cpp: Allow the FFMPEG media
	handler to play LE PCM embedded sound.

2011-02-22  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/MediaParser.h, libmedia/ffmpeg/AudioDecoderFfmpeg.cpp: 
	Raw (AKA PCM) audio is signed; don't treat it otherwise.

2011-02-22  Sandro Santilli <strk@keybit.net>

	* libmedia/ffmpeg/AudioDecoderFfmpeg.cpp: 1024 bytes turned out to
	be not enough to properly decode (or resample?) raw audio. 96000
	works better (was maximum frame returned by decoder when passed
	bigger frames). Re-fixes #21177 and #22284 w/out breaking
	misc-ming.all/eventSoundTest1.swf

2011-02-22  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/ffmpeg/AudioDecoderFfmpeg.cpp: Revert "Don't cut an
	unparseable frame into small chunks. Fixes bug #21177." while we
	figure out the testsuite failure.  This reverts commit caa7af4e06e910eafbe5792aba05d0b06780f29e.

2011-02-22  Bastiaan Jacques <bastiaan@bjacques.org>

	* : commit caa7af4e06e910eafbe5792aba05d0b06780f29e Author: Bastiaan
	Jacques <bastiaan@bjacques.org> Date:   Tue Feb 22 14:56:24 2011
	+0100

2011-02-22  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/gst/AudioDecoderGst.cpp: Have AudioDecoderGst handle
	ADPCM audio.

2011-02-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libmedia/MediaHandler.cpp, libmedia/MediaHandler.h: Drop exception
	specification because a) it's not clear we can guarantee it ( see
	https://bugzilla.redhat.com/show_bug.cgi?id=657826 ), b) it does
	nothing for optimization or code clarity.

2011-02-22  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/vm/CallStack.cpp: Drop unneeded include.

2011-02-22  Sandro Santilli <strk@keybit.net>

	* libcore/vm/ActionExec.cpp: Report url of the movie containing the
	action block being executed when hitting limits.

2011-02-21  Sandro Santilli <strk@keybit.net>

	* libsound/sound_handler.cpp: Leave a comment about the override
	avoidance

2011-02-21  Bastiaan Jacques <bastiaan@bjacques.org>

	* libsound/sound_handler.cpp: Fix a deadlocked caused by attempting
	to lock a mutex twice. Bug #32557.

2011-02-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/MovieClip.cpp, libcore/MovieClip.h: Do not execute tags on
	destroyed MovieClips: fixes bug #32510 and the new action_order
	tests.  Drop unused function to avoid confusion.

2011-02-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/action_order/PlaceAndRemove.c: Add simpler
	test for failing case.

2011-02-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/action_order/Makefile.am,
	testsuite/misc-ming.all/action_order/PlaceAndRemove.c: Play for long
	enough to get a failure.

2011-02-21  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/action_order/Makefile.am,
	testsuite/misc-ming.all/action_order/PlaceAndRemove.c: Add test for
	segfault in advance chars.

2011-02-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* librender/agg/Renderer_agg.cpp: Do zero-initialize buffer because
	the code is evidently not robust enough to avoid reading
	uninitialized parts.

2011-02-20  Gabriele Giacone <1o5g4r8o@gmail.com>

	* macros/kde4.m4: /usr/lib64 on redhat derivatives only

2011-02-20  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/TextField.cpp: Reduce verbosity.

2011-02-20  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/swf/VideoFrameTag.cpp: Fix indentation.

2011-02-20  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/swf/VideoFrameTag.cpp: For ScreenVideo, skip a byte that's
	not part of the bitstream. Fixes bug #22158.

2011-02-19  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/swf/DefineFontTag.cpp: Drop a forgotten debug log.

2011-02-19  Bastiaan Jacques <bastiaan@bjacques.org>

	* plugin/npapi/plugin.cpp, plugin/npapi/plugin.h: Plug a leak by not
	holding an extra reference.

2011-02-19  Bastiaan Jacques <bastiaan@bjacques.org>

	* libmedia/gst/MediaParserGst.cpp: Don't busy the CPU trying to use
	a bad stream.

2011-02-18  Bastiaan Jacques <bastiaan@bjacques.org>

	* libsound/sdl/sound_handler_sdl.cpp,
	libsound/sdl/sound_handler_sdl.h: Override unplugInputStream so
	_inputStreams is accessed in a thread-safe manner. Fixes bug #32538.

2011-02-18  Bastiaan Jacques <bastiaan@bjacques.org>

	* : commit 71c876bb97054787755c9df81d2e88d54aa5320f Author: Bastiaan
	Jacques <bastiaan@bjacques.org> Date:   Fri Feb 18 20:19:17 2011
	+0100

2011-02-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Font.cpp: Add comments

2011-02-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Font.cpp, libcore/swf/DefineFontTag.cpp: Clean up, drop
	debug logging.

2011-02-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/Font.cpp, libcore/parser/SWFMovieDefinition.cpp,
	libcore/parser/SWFMovieDefinition.h,
	libcore/parser/movie_definition.h,
	libcore/parser/sprite_definition.h, libcore/swf/DefineFontTag.cpp: 
	Const correctness for readability.  Pass Font by intrueive_ptr to
	movie definitions.  Temporary debugging.

2011-02-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/TextField.cpp, libcore/swf/TextRecord.cpp,
	libcore/swf/TextRecord.h: Fonts are ref_counted, so store by
	intrusive_ptr.

2011-02-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayList.cpp, libcore/DisplayList.h: Drop unused
	functions.

2011-02-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayObjectContainer.cpp,
	libcore/DisplayObjectContainer.h: Remove unused functions.

2011-02-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayList.cpp: Const correct for readability.

2011-02-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayList.cpp: Do not ignore objects at depth 65535 or
	the DisplayList will lose track of them, allowing them to be deleted
	without being removed from the list of live characters.  This was just a case of the wrong comparison being used.  Reduce the number of predicate functors.

2011-02-18  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayList.cpp: Drop unused functors

2011-02-17  Sandro Santilli <strk@keybit.net>

	* libcore/vm/ASHandlers.cpp: Log an error rather than crashing when
	realizing loading of a movie won't work due to limitation in
	movie_root::findCharacterByTarget. Fixes the assertion failure of
	bug #32506 (but not support for that movie).

2011-02-17  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/loading/loadMovieTest.c: Avoid bug #32516
	for now. I don't have a full week to squash all these bugs..

2011-02-17  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/loading/loadMovieTest.c,
	testsuite/misc-ming.all/loading/loadMovieTestRunner.cpp: Put
	coverart two levels under root, trying to reproduce #32506. Exposes
	another bug, but fails to reproduce that one. The exposed bug is
	left disabled as it takes too much for me now to deal with the test
	runner expecting it.

2011-02-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* testsuite/misc-ming.all/DragDropTestRunner.cpp,
	testsuite/misc-ming.all/masks_testrunner.cpp: Fix tests using
	dump().

2011-02-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/DisplayList.cpp, libcore/DisplayList.h: Not all
	DisplayObjects have an associated as_object, so fix the ostream
	operator<< and drop the dump() function.  Fixes crash while logging.

2011-02-17  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/loading/loadMovieTest.c,
	testsuite/misc-ming.all/loading/loadMovieTestRunner.cpp: Add another
	test for GETURL tag and '_level.coverart' target. Still doesn't
	reproduce #32506

2011-02-17  Sandro Santilli <strk@keybit.net>

	* testsuite/misc-ming.all/loading/loadMovieTest.c,
	testsuite/misc-ming.all/loading/loadMovieTestRunner.cpp: Enhance
	loadMovieTest and runner to test you can pass a path-based target to
	GETURL.

2011-02-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* : commit 367153a484fb002310f68538d0b602e96ae3d66a Merge: 5d31f7a
	585aa24 Author: Benjamin Wolsey <bwy@benjaminwolsey.de> Date:   Thu
	Feb 17 11:16:10 2011 +0100

2011-02-17  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/TextField.cpp: Tweak error message type for the correct
	consumer. Thanks Sandro.

2011-02-17  Benjamin Wolsey <bwy@benjaminwolsey.de>

	* libcore/asobj/flash/geom/Transform_as.cpp: Override marking
	function correctly; fixes bug #32507.

2011-02-17  Sandro Santilli <strk@keybit.net>

	* testsuite/actionscript.all/TextFieldHTML.as: Automate test for bug
	#32508

2011-02-17  Bastiaan Jacques <bastiaan@bjacques.org>

	* libcore/TextField.cpp: Don't pass an empty font name on to the
	Font constructor. (Bug #32508.)

2011-02-15  Gabriele Giacone <1o5g4r8o@gmail.com>

	* macros/kde4.m4: lib64/ on debian amd64 is just a link. When
	provided, with_kde4_* configure options are full path

2011-02-14  Sandro Santilli <strk@keybit.net>

	* plugin/Makefile.am, plugin/klash4/Makefile.am: Fix
	uninstall-plugins rule

2011-02-14  Rob Savoye <rob@welcomehome.org>

	* plugin/npapi/test.cpp: update test case as parseInvoke() now
	returns a boost::shared_ptr<>

2011-02-14  Rob Savoye <rob@welcomehome.org>

	* plugin/npapi/plugin.h: reduce verbosity

2011-02-14  Rob Savoye <rob@welcomehome.org>

	* plugin/npapi/external.cpp, plugin/npapi/external.h,
	plugin/npapi/plugin.cpp, plugin/npapi/plugin.h: handle multiple
	messages in a packet.

2011-02-14  Rob Savoye <rob@welcomehome.org>

	* macros/kde4.m4: properly handle 64 vs 32 bit for the plugin
	directory

2011-02-14  Bastiaan Jacques <bastiaan@bjacques.org>

